<?php

class currency
{
	public $notf = true;
	public $bonuses = true;
	public $user_id;
	public $base;
	
	public function __construct($user_id = false)
	{
		if ($user_id) {
			$this->user_id = $user_id;
		} else $this->user_id = ID;
	}
	
	public function bucks_generate()
	{
		if ( ! $this->bonuses) {
			return $this->base;
		}
		$turtle = user::turtle_get($this->user_id);
		
		/*    "" */
		$bonus = percentage($this->base, user_clan_building::get_repository_bonus_bucks_percent($this->user_id));
		
		/*    */
		$bonus += percentage($this->base, user_cards::collected_bonus_get($this->user_id, 'bucks'));
		
		/*   */
		$obj_user_prem = new \db\users_premium;
		$obj_user_prem->user_id = $this->user_id;
		if ($obj_user_prem->is_premium()) {
			$obj_prem_bonuses = new \premium\bonuses;
			$bonus += percentage($this->base, $obj_prem_bonuses->get()['bucks_percent']);
		}
		
		/*    */
		$db_users_bonuses = new \db\users_bonuses;
		$db_users_bonuses->user_id = $this->user_id;
		$bonus += percentage($this->base, $db_users_bonuses->get_bonuses()['bucks']);
		
		/*   */
		$stock = new \stock\stock();
		$bonus_bucks_percent = $stock->get_bonus_bucks();
		$bonus_bucks = (int) floor(percentage($this->base, $bonus_bucks_percent));
		$bonus += $bonus_bucks;
		
		return ($this->base + $bonus);
	}
	
	public function mutagen_generate()
	{
		if ( ! $this->bonuses) {
			return $this->base;
		}
		return $this->base;
	}
	
	public function metal_generate()
	{
		if ( ! $this->bonuses) {
			return $this->base;
		}
		
		/*    "" */
		$bonus = percentage($this->base, user_clan_building::get_metal_warehouse_bonus_metal_percent($this->user_id));
		
		/*    */
		$bonus += percentage($this->base, user_cards::collected_bonus_get($this->user_id, 'metal'));
		
		/*   */
		$obj_user_prem = new \db\users_premium;
		$obj_user_prem->user_id = $this->user_id;
		if ($obj_user_prem->is_premium()) {
			$obj_prem_bonuses = new \premium\bonuses;
			$bonus += percentage($this->base, $obj_prem_bonuses->get()['metal_percent']);
		}
		
		/*    */
		$db_users_bonuses = new \db\users_bonuses;
		$db_users_bonuses->user_id = $this->user_id;
		$bonus += percentage($this->base, $db_users_bonuses->get_bonuses()['metal']);
		
		/*   */
		$stock = new \stock\stock();
		$bonus_metal_percent = $stock->get_bonus_metal();
		$bonus_metal = (int) floor(percentage($this->base, $bonus_metal_percent));
		$bonus += $bonus_metal;
		
		return $this->base + $bonus;
	}
	
	public function pancers_generate()
	{
		if ( ! $this->bonuses) {
			return $this->base;
		}
		return $this->base;
	}
	
	public function bucks_add()
	{
		$bucks = $this->bucks_generate();
		self::bucks_increase($this->user_id, $bucks);
		if ($this->notf) {
			user_currency_indrat::update_new_currency('bucks', $bucks, $this->user_id);
		}
		if ($bucks > 0) {
			$user_statistic = new \user_statistic($this->user_id);
			$user_statistic->increase_statistic('bucks', $bucks);
		}
	}
	
	public function mutagen_add()
	{
		$mutagen = $this->mutagen_generate();
		self::mutagen_increase($this->user_id, $mutagen);
		if ($this->notf) {
			user_currency_indrat::update_new_currency('mutagen', $mutagen, $this->user_id);
		}
	}
	
	public function metal_add()
	{
		$metal = $this->metal_generate();
		self::metal_increase($this->user_id, $metal);
		if ($this->notf) {
			user_currency_indrat::update_new_currency('metal', $metal, $this->user_id);
		}
		if ($metal > 0) {
			$user_statistic = new \user_statistic($this->user_id);
			$user_statistic->increase_statistic('metal', $metal);
		}
	}
	
	public function pancers_add()
	{
		$pancers = $this->pancers_generate();
		self::pancers_increase($this->user_id, $pancers);
		if ($this->notf) {
			user_currency_indrat::update_new_currency('pancers', $pancers, $this->user_id);
		}
		if ($pancers > 0) {
			$user_statistic = new \user_statistic($this->user_id);
			$user_statistic->increase_statistic('pancers', $pancers);
		}
	}
	
	public static function bucks_increase($user_id, $bucks)
	{
		user_currency_indrat::update_bucks($bucks, $user_id);
	}
	
	public static function mutagen_increase($user_id, $mutagen)
	{
		user_currency_indrat::update_mutagen($mutagen, $user_id);
	}
	
	public static function metal_increase($user_id, $metal)
	{
		user_currency_indrat::update_metal($metal, $user_id);
	}
	
	public static function pancers_increase($user_id, $pancers)
	{
		user_currency_indrat::update_pancers($pancers, $user_id);
	}
	
	public static function bucks_get($user_id)
	{
		return user_currency_indrat::get_bucks($user_id);
	}
	
	public static function metal_get($user_id)
	{
		return user_currency_indrat::get_metal($user_id);
	}
	
	public static function mutagen_get($user_id)
	{
		return user_currency_indrat::get_mutagen($user_id);
	}
	
	public static function pancers_get($user_id)
	{
		return user_currency_indrat::get_pancers($user_id);
	}
}