<?php

class fighting_score
{
	public static function generate($user_id)
	{
		$fighting_score = self::basic_get($user_id);
		$fighting_score_min = (int) floor($fighting_score / 1.1);
		$fighting_score_max = (int) floor($fighting_score * 1.1);
		$fighting_score = mt_rand($fighting_score_min, $fighting_score_max);
		return $fighting_score + self::bonus_get($user_id);
	}
	
	public static function basic_get($user_id)
	{
		return uc::get_param_sum($user_id) / 5;
	}
	
	public static function bonus_get($user_id)
	{
		return weapon::bonus_fighting_score_get(user_weapon::level_get($user_id));
	}
}