<?php

class home
{
	
}

class home_model
{
	public function home()
	{
		$user_id = ID;
		$sweeping_users = new \sweeping_users($user_id);
		$sweeping_enemies_num = $sweeping_users->get_enemies_num();
		$sweeping_enemy_recovery_seconds_left = sweeping_users::enemy_recovery_seconds_left_get(ID);
		$sweeping_enemies_all_recovery_seconds_left = sweeping_users::enemies_all_recovery_seconds_left_get(ID);
		
		
		$scramble_enemies_num = db\users_scramble_detal::enemies_num_get(ID);
		$scramble_enemies_recovery_seconds_left = scramble_enemies::enemies_recovery_seconds_left_get(ID);
		$recoil = [
			'health' => advent::time_recovery_left(ID, 'health'),
			'power' => advent::time_recovery_left(ID, 'power'),
			'agil' => advent::time_recovery_left(ID, 'agil'),
			'intell' => advent::time_recovery_left(ID, 'intell')
		]; // остаток секунд до отката
		array_num_filter($recoil);
		if ($recoil) {
			$min_recoil = min($recoil);
		}
		else {
			$min_recoil = 0;
		}
		$num_open_advents = advent::boss_avail_num(ID);
		$advent_end = advent::advent_end(ID);
		
		$robbery_stage = robbery::get_stage();
		$robbery_player_battles = robbery::player_battles(ID);
		$robbery_player_battles_seconds_left = robbery::player_battles_time_left(ID);
		
		$rreward = new \robbery\reward;
		$rreward->user_id = $user_id;
		$robbery_is_reward = false;
		if ( ! $rreward->is_max()) {
			if ($rreward->is_score_enough()) {
				$user_reward_etap = $rreward->user_reward_etap_get();
				if (\robbery\reward::mutagen_get($user_reward_etap + 1) > 0 ||
				    \robbery\reward::bucks_get($user_reward_etap + 1) > 0) {
					$robbery_is_reward = true;
				}
			}
		}
		
		$cl1_user_battles = cl1::get_user_battles(ID);
		$cl1_user_battles_recovery_seconds_left = cl1::get_user_battles_recovery_seconds_left(ID);
		$cl1_loc_stage = cl1::loc_get_stage();
		$cl1_loc_recovery_seconds_left = cl1::loc_time_recovery_left();
		$dump_metal = dump::get_dump_metal(ID);
		$dump_metal_max = max($dump_metal);
		$dump_metal_final = user_currency::finnaly_metal(array_sum($dump_metal));
		$dump_recovery_seconds_left = dump::get_dump_seconds_left(ID);
		$dump_recovery_seconds_left_min = 0;
		$dump_recovery_seconds_left_array_min = array_num_filter($dump_recovery_seconds_left);
		$dump_is_place_open = dump::is_place_open(ID);
		
		if ($dump_recovery_seconds_left_array_min) {
			$dump_recovery_seconds_left_min = min($dump_recovery_seconds_left_array_min);
		}
		
		$lab_mutagen = (int) floor(lab::get_mutagen_by_id(ID));
		
		$ml1_battle_is = ml1::battle_is();
		$ml1_reward_is = false;
		if ( ! $ml1_battle_is) {
			$ml1_reward_is = ml1_reward::reward_is($user_id);
		}
		
		$ml2_open_is = db\ml2_locations::sewerage_open_is(ID);
		$ml2_reward_is = db\ml2_rewards::is_reward(ID);
		$ml2_battle_is = false;
		if (\db\ml2_commands::in_command($user_id)) {
			if (\db\ml2_commands::command_in_battle(\db\ml2_commands::command_id_get($user_id))) {
				$ml2_battle_is = true;
			}
		}
		
		
		$news_last_id = news::get_news_last_id();
		$news_user_last_id = news::get_news_user_last_id(ID);
		
		$support = new \support(ID);
		$support_new_comments = $support->get_new_comments();
		
		$compensation = \compensation::get_first($user_id);
		return [
			'sweeping_enemies_num' => $sweeping_enemies_num,
			'sweeping_enemies_all_recovery_seconds_left' => $sweeping_enemies_all_recovery_seconds_left,
			'sweeping_enemy_recovery_seconds_left' => $sweeping_enemy_recovery_seconds_left,
			'scramble_enemies_num' => $scramble_enemies_num,
			'scramble_enemies_recovery_seconds_left' => $scramble_enemies_recovery_seconds_left,
			'recoil' => $recoil,
			'num_open_advents' => $num_open_advents,
			'min_recoil' => $min_recoil,
			'advent_end' => $advent_end,
			'robbery_stage' => $robbery_stage,
			'robbery_player_battles' => $robbery_player_battles,
			'robbery_player_battles_seconds_left' => $robbery_player_battles_seconds_left,
			'robbery_time_recovery_left' => robbery::time_recovery_left(),
			'robbery_is_reward' => $robbery_is_reward,
			'cl1_user_battles' => $cl1_user_battles,
			'cl1_user_battles_recovery_seconds_left' => $cl1_user_battles_recovery_seconds_left,
			'cl1_loc_stage' => $cl1_loc_stage,
			'cl1_loc_recovery_seconds_left' => $cl1_loc_recovery_seconds_left,
			'dump_metal' => $dump_metal,
			'dump_metal_max' => $dump_metal_max,
			'dump_metal_final' => $dump_metal_final,
			'dump_recovery_seconds_left' => $dump_recovery_seconds_left,
			'dump_recovery_seconds_left_array_min' => $dump_recovery_seconds_left_array_min,
			'dump_recovery_seconds_left_min' => $dump_recovery_seconds_left_min,
			'dump_is_place_open' => $dump_is_place_open,
			'lab_mutagen' => $lab_mutagen,
			'ml1_battle_is' => $ml1_battle_is,
			'ml1_reward_is' => $ml1_reward_is,
			'ml2_open_is' => $ml2_open_is,
			'ml2_reward_is' => $ml2_reward_is,
			'ml2_battle_is' => $ml2_battle_is,
			'news_last_id' => $news_last_id,
			'news_user_last_id' => $news_user_last_id,
			'support_new_comments' => $support_new_comments,
			'compensation' => $compensation
		];
	}
}