<?php

spl_autoload_register(function ($class) {
	if ($class == 'pagin') {
		$class = 'pagination';
	}
   require ROOT . 'project/internal/class/' . $class . '.php';
});
 
require(ROOT . 'project/internal/print.php');
require(ROOT . 'project/internal/url.php');
require(ROOT . 'project/internal/number.php');
require(ROOT . 'project/internal/clock.php');
require(ROOT . 'project/internal/auth.php');
require(ROOT . 'project/internal/func.php');

require(ROOT . 'project/internal/class/tbl_line.php');
require(ROOT . 'project/internal/class/notf.php');

require(ROOT . 'project/internal/box/html.box.php');
require(ROOT . 'project/internal/box/game.box.php');
require(ROOT . 'project/internal/box/filter.box.php');
require(ROOT . 'project/internal/box/location_recovery.box.php');
require(ROOT . 'project/internal/box/fighting_score.box.php');
require(ROOT . 'project/internal/box/scramble.box.php');
require(ROOT . 'project/internal/box/advent.box.php');
require(ROOT . 'project/internal/box/training.box.php');
require(ROOT . 'project/internal/box/combat.box.php');
require(ROOT . 'project/internal/box/lab/lab.box.php');
require(ROOT . 'project/internal/box/robbery.box.php');
require(ROOT . 'project/internal/box/robbery_reward.box.php');
require(ROOT . 'project/internal/box/dump.box.php');
require(ROOT . 'project/internal/box/clan.box.php');
require(ROOT . 'project/internal/box/clan_building.box.php');
require(ROOT . 'project/internal/box/clan_coffers.box.php');
require(ROOT . 'project/internal/box/clan_journal.box.php');
require(ROOT . 'project/internal/box/clan_exp.box.php');
require(ROOT . 'project/internal/box/clan_level.box.php');
require(ROOT . 'project/internal/box/clan_rating.box.php');
require(ROOT . 'project/internal/box/clan_app.box.php');
require(ROOT . 'project/internal/box/clan_description.box.php');
require(ROOT . 'project/internal/box/profile.box.php');
require(ROOT . 'project/internal/box/user.box.php');
require(ROOT . 'project/internal/box/ratings.box.php');
require(ROOT . 'project/internal/box/user_currency.box.php');
require(ROOT . 'project/internal/box/currency.box.php');
require(ROOT . 'project/internal/box/exp.box.php');
require(ROOT . 'project/internal/box/user_dyn.box.php');
require(ROOT . 'project/internal/box/user_exp.box.php');
require(ROOT . 'project/internal/box/cl1.box.php');
require(ROOT . 'project/internal/box/home.box.php');
require(ROOT . 'project/internal/box/cards.box.php');
require(ROOT . 'project/internal/box/sweeping/sweeping.box.php');
require(ROOT . 'project/internal/box/shop.box.php');
require(ROOT . 'project/internal/box/shop_cards.box.php');
require(ROOT . 'project/internal/box/weapon.box.php');
require(ROOT . 'project/internal/box/translate.box.php');
require(ROOT . 'project/internal/box/user_level.box.php');
require(ROOT . 'project/internal/box/user_act.box.php');
require(ROOT . 'project/internal/box/user_online.box.php');
require(ROOT . 'project/internal/box/ml1/ml1.box.php');
require(ROOT . 'project/internal/box/log_battle.box.php');
require(ROOT . 'project/internal/box/shop_resources.box.php');
require(ROOT . 'project/internal/box/chat.box.php');
require(ROOT . 'project/internal/box/advent_mutagen.box.php');
require(ROOT . 'project/internal/box/journal.box.php');
require(ROOT . 'project/internal/box/mail.box.php');
require(ROOT . 'project/internal/box/users_robbery.box.php');
require(ROOT . 'project/internal/box/users_ban.box.php');
require(ROOT . 'project/internal/box/ban.box.php');
require(ROOT . 'project/internal/box/setting.box.php');
require(ROOT . 'project/internal/box/victory_chance.box.php');
require(ROOT . 'project/internal/box/users_battle.box.php');
require(ROOT . 'project/internal/box/damage.box.php');
require(ROOT . 'project/internal/box/ml2/ml2.php');
require(ROOT . 'project/internal/box/sewerage.db.php');
require(ROOT . 'project/internal/box/sewerage_enemies.db.php');

require(ROOT . 'project/internal/box/premium/_premium.db.php');
require(ROOT . 'project/internal/box/premium/users_premium.db.php');
require(ROOT . 'project/internal/box/premium/premium.box.php');

require(ROOT . 'project/internal/box/bonuses/_bonuses.db.php');
require(ROOT . 'project/internal/box/bonuses/users_bonuses.db.php');
require(ROOT . 'project/internal/box/bonuses/bonuses.box.php');

require(ROOT . 'project/internal/box/news/news.box.php');
require(ROOT . 'project/internal/box/news/news_comments.box.php');
require ROOT . 'project/internal/box/user_statistic.box.php';
require(ROOT . 'project/internal/box/html/show_html_messages.class.php');
require(ROOT . 'project/internal/model/other.mdl.php');
 
require(ROOT . 'project/internal/box/stock/stock.db.php');
require(ROOT . 'project/internal/box/stock/stock_acting.db.php');
require(ROOT . 'project/internal/box/stock/stock.class.php');

require ROOT . 'project/internal/box/support/support.box.php';