<?php

// результат работы класса должен вернуть кол-восстановленых боёв/противников
class location_recovery
{
	public $timestamp; // временная метка из базы
	public $recovery_seconds; // время восстановления одной партии боёв
	public $recovery_num; // кол-во восстановленых боёв (партия)
	public $num_max; // максимальное количество боёв
	public $num_current; // текущее кол-во боёв
	
	public $timestamp_new; // новая метка
	public $num_new; // нововое кол-во боёв
	
	public function tap() // запуск
	{
		$this->timestamp_new = $this->timestamp;
		$this->num_new = $this->num_current;
		if ($this->num_new >= $this->num_max) {
			return false;
		}
		$time = time();
		if (is_null($this->timestamp_new)) {
			$this->timestamp_new = $time;
		}
		$gone = $time - $this->timestamp_new;
		$time_how = (int) floor($gone / $this->recovery_seconds); // сколько раз прошло время необходимое для восстановления ENEMIES_NUM_RECOVERY
		if ($time_how < 1) {
			return false;
		}
		$num_recovery = $time_how * $this->recovery_num; // колво боёв которые восстановятся
		if (($this->num_new + $num_recovery) >= $this->num_max) { // если колво боев которые восстановятся больше или равно, чем нужно
			$num_recovery = $this->num_max;
			$this->timestamp_new = null;
		}
		else {
			$this->timestamp_new = $this->timestamp_new + ($time_how * $this->recovery_seconds); // новая метка
			$num_recovery = $this->num_new + $num_recovery;
		}
		$this->num_new = $num_recovery;
	}
}