<?php

namespace ml2;

class reward
{
	/*     
	       -   ,   
	*/
	/* public static function card_chance_generate($card_id, $user_id)
	{
		$card_num = \user_cards::card_num_get($card_id, $user_id);
		$card_max = \cards::card_max_get($card_id);
		return (int) 100 - \ceil(\compercent($card_num, $card_max));
	} */
}

class reward_generate
{
	
}

class reward_add
{
	public $user_id;
	public $cards = null;
	public $expr;
	public $bucks;
	public $metal;
	public $statistic_id;
	public $battle_id;
	private $table = 'ml2_rewards';
	
	public function tap()
	{
		//   
		\db\ml2_rewards::at_user_delete($this->user_id);
		
		if ( ! is_null($this->cards)) {
			$this->cards = serialize($this->cards);
		}
		$sql = 'insert into ' . $this->table . ' set id_user = ?, cards = ?, exp = ?, bucks = ?, metal = ?, id_statistic = ?, id_battle = ?';
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([
			$this->user_id,
			$this->cards,
			$this->expr,
			$this->bucks,
			$this->metal,
			$this->statistic_id,
			$this->battle_id
		]);
	}
}

class reward_get
{
	public $user_id;
	
	public function execute()
	{
		if ( ! \db\ml2_rewards::is_reward($this->user_id)) {
			return;
		}
		$reward_id = \db\ml2_rewards::last_id_get($this->user_id);
		$exp = \db\ml2_rewards::exp_get($reward_id);
		$bucks = \db\ml2_rewards::bucks_get($reward_id);
		$metal = \db\ml2_rewards::metal_get($reward_id);
		$cards = \db\ml2_rewards::cards_unserialize_get($reward_id);
		
		$obj_exp = new \expr;
		$obj_exp->user_id = $this->user_id;
		$obj_exp->bonuses = false;
		$obj_exp->base = $exp;
		$obj_exp->add();
		
		$obj_currency = new \currency;
		$obj_currency->user_id = $this->user_id;
		$obj_currency->bonuses = false;
		
		$obj_currency->base = $bucks;
		$obj_currency->bucks_add();
		$obj_currency->base = $metal;
		$obj_currency->metal_add();
		
		if (is_array($cards)) {
			foreach ($cards as $card_id) {
				\user_cards::card_up_ctrl($card_id, 1, $this->user_id);
			}
		}
		
		\db\ml2_rewards::delete($reward_id);
	}
}