<?php

namespace db;

class ml2_rewards extends \_tbl_line
{
	protected static $table = 'ml2_rewards';
	
	public static function is_reward($user_id)
	{
		if (self::get('count(*)', 'where id_user = ?', [$user_id]) > 0) {
			return true;
		} return false;
	}
	
	public static function last_id_get($user_id)
	{
		return self::get('id', 'where id_user = ? order by id desc', [$user_id]);
	}
	
	public static function cards_get($id)
	{
		return self::get('cards', 'where id = ?', [$id]);
	}
	
	public static function cards_unserialize_get($id)
	{
		return unserialize(self::cards_get($id));
	}
	
	public static function exp_get($id)
	{
		return self::get('exp', 'where id = ?', [$id]);
	}
	
	public static function bucks_get($id)
	{
		return self::get('bucks', 'where id = ?', [$id]);
	}
	
	public static function metal_get($id)
	{
		return self::get('exp', 'where id = ?', [$id]);
	}
	
	public static function statistic_id_get($id)
	{
		return self::get('id_statistic', 'where id = ?', [$id]);
	}
	
	public static function battle_id_get($id)
	{
		return self::get('id_battle', 'where id = ?', [$id]);
	}
	
	public static function delete($id)
	{
		$sql = 'delete from ' . self::$table . ' where id = ? limit 1';
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$id]);
	}
	
	public static function at_user_delete($user_id)
	{
		$sql = 'delete from ' . self::$table . ' where id_user = ?';
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
	}
}