<?php

namespace premium;

/* покупка премиума */
class purchase
{
	/* какой премиум покупаем */
	public $id;
	
	/* кто покупает */
	public $user_id;
	
	/* купить */
	public function buy()
	{
		$obj_prem = new \db\_premium;
		$obj_prem->_set_id($this->id);
		$prem = $obj_prem->get();
		$user_mutagen = \currency::mutagen_get($this->user_id);
		if ($user_mutagen < $prem->price_mutagen) {
			// можно кинуть нотификацию ...
			return false;
		}
		
		/* продлить премимум */
		$obj_user_prem = new \db\users_premium;
		$obj_user_prem->user_id = $this->user_id;
		$obj_user_prem->time_increase($prem->time);
		
		/* снять мутаген */
		$obj_currency = new \currency;
		$obj_currency->user_id = $this->user_id;
		$obj_currency->base = -$prem->price_mutagen;
		$obj_currency->bonuses = false;
		$obj_currency->mutagen_add();
		
		// можно кинуть нотификацию ...
	}
}

/* истечение премиума */
class expiration
{
	public $user_id;
	
	public function expires()
	{
		$obj_user_prem = new \db\users_premium;
		$obj_user_prem->user_id = $this->user_id;
		if ( ! $obj_user_prem->is_premium()) {
			return false;
		}
		$seconds_end = $obj_user_prem->get_seconds_end();
		if ($seconds_end > 0) {
			return false;
		}
		$obj_user_prem->time_reset();
	}
}

/* класс отвечающий за бонусы от премимума */
class bonuses
{
	/* 	public $user_id;
	 */
	/* получение всех бонусов */
	public function get()
	{
		/* в том же порядке 
			бонус к опыту
			бонус к боевоему опыту
			бонус к баксам
			бонус к металу
			бонус к боям на зачистке
			бонус к боям в схватке
			вероятность найти панцирь на схватке - 100%
			вероятность найти панцирь в разборках после убийства врага - 100%
		*/
		return [
			'expr_percent' => 50, // +
			'combat_expr_percent' => 100, // +
			'bucks_percent' => 100, // +
			'metal_percent' => 100, // +
			'sweeping_battles' => 15, // +
			'scramble_battles' => 5, // +
			'scramble_pancer_chance' => 100, // +
			'ml1_pancer_chance' => 100 // +
		];
	}
}