<?php

namespace robbery;

class reward
{
	public $user_id;
	
	public function __construct()
	{
		if ( ! $this->user_id) {
			$this->user_id = ID;
		}
	}
	
	public function award()
	{
		if ( ! \robbery::is_player($this->user_id)) {
			return false;
		}
		if ($this->is_max()) {
			return false;
		}
		if ( ! $this->is_score_enough()) {
			return false;
		}
		
		$user_etap_current = $this->user_reward_etap_get();
		$reward_mutagen = self::mutagen_get($user_etap_current + 1);
		$reward_bucks = self::bucks_get($user_etap_current + 1);
		
		$this->user_reward_etap_up();
		$currency = new \currency;
		$currency->user_id = $this->user_id;
		$currency->base = $reward_mutagen;
		$currency->mutagen_add();
		$currency->base = $reward_bucks;
		$currency->bonuses = false;
		$currency->bucks_add();
		return true;
	}
	
	/* вернет true если баллов для получения (перехода на следующий этап) награды достаточно */
	public function is_score_enough()
	{
		$user_score = \robbery::get_score_by_id($this->user_id);
		$user_reward_etap = $this->user_reward_etap_get();
		$score_need = self::score_get($user_reward_etap + 1);
		if ($user_score >= $score_need) {
			return true;
		} return false;
	}
	
	/* вернет true если все награды уже получены */
	public function is_max()
	{
		$etap_max = self::etap_max_get();
		$user_etap = $this->user_reward_etap_get();
		if ($user_etap >= $etap_max) {
			return true;
		} return false;
	}
	
	public function is_reward()
	{
		
	}
	
	public function user_reward_etap_get()
	{
		$sth = \db::$pdo->query("select reward_etap from robbery_part where id_user = $this->user_id limit 1");
		return $sth->fetchColumn();
	}
	
	public function user_reward_etap_up()
	{
		return \db::$pdo->exec("update robbery_part set reward_etap = reward_etap + 1 where id_user = $this->user_id limit 1");
	}
	
	public static function score_get($etap)
	{
		$sth = \db::$pdo->query("select score from _robbery_reward_etaps where id = $etap limit 1");
		return $sth->fetchColumn();
	}
	
	public static function mutagen_get($etap)
	{
		$sth = \db::$pdo->query("select mutagen from _robbery_reward_etaps where id = $etap limit 1");
		return $sth->fetchColumn();
	}
	
	public static function bucks_get($etap)
	{
		$sth = \db::$pdo->query("select bucks from _robbery_reward_etaps where id = $etap limit 1");
		return $sth->fetchColumn();
	}
	
	public static function etap_max_get()
	{
		$sth = \db::$pdo->query("select max(id) from _robbery_reward_etaps limit 1");
		return $sth->fetchColumn();
	}
}