<?php

class user_currency extends user_currency_indrat
{
	/**
	 * все функции с префиксом finnaly предназачены для получения окончательных валют (т.е. со всеми бонусами и т.д.)
	 */
	
	public static function finnaly_bucks($bucks, $user_id = false)
	{
		self::user_id($user_id);
		$currency = new \currency;
		$currency->user_id = $user_id;
		$currency->base = $bucks;
		return $currency->bucks_generate();
	}
	
	public static function finnaly_mutagen($mutagen, $user_id = false)
	{
		self::user_id($user_id);
		$currency = new \currency;
		$currency->user_id = $user_id;
		$currency->base = $mutagen;
		return $currency->mutagen_generate();
	}
	
	public static function finnaly_metal($metal, $user_id = false)
	{
		self::user_id($user_id);
		$currency = new \currency;
		$currency->user_id = $user_id;
		$currency->base = $metal;
		return $currency->metal_generate();
	}
	
	public static function finnaly_pancers($pancers, $user_id = false)
	{
		self::user_id($user_id);
		$currency = new \currency;
		$currency->user_id = $user_id;
		$currency->base = $pancers;
		return $currency->pancers_generate();
	}
	
	
	
	/**
	 * все функции с префиксом update предназачены для изменения определенных валют, учитываются бонусы и всё всё всё...
	 */
	 
	public static function update_bucks($bucks, $user_id = false)
	{
	/* 	self::user_id($user_id);
		$bucks = self::finnaly_bucks($bucks, $user_id);
		parent::update_bucks($bucks, $user_id);
		self::update_new_currency('bucks', $bucks, $user_id); */
		
		$currency = new currency($user_id);
		$currency->base = $bucks;
		$currency->bucks_add();
	}
	
	public static function update_mutagen($mutagen, $user_id = false)
	{
		/* self::user_id($user_id);
		$mutagen = self::finnaly_mutagen($mutagen, $user_id);
		parent::update_mutagen($mutagen, $user_id);
		self::update_new_currency('mutagen', $mutagen, $user_id); */
		
		$currency = new currency($user_id);
		$currency->base = $mutagen;
		$currency->mutagen_add();
	}
	
	public static function update_metal($metal, $user_id = false)
	{
		/* self::user_id($user_id);
		$metal = self::finnaly_metal($metal, $user_id);
		parent::update_metal($metal, $user_id);
		self::update_new_currency('metal', $metal, $user_id); */
		
		$currency = new currency($user_id);
		$currency->base = $metal;
		$currency->metal_add();
	}
	
	public static function update_pancers($pancers, $user_id = false)
	{
		/* self::user_id($user_id);
		$bucks = self::finnaly_pancers($pancers, $user_id);
		parent::update_pancers($pancers, $user_id);
		self::update_new_currency('pancers', $pancers, $user_id); */
		$currency = new currency($user_id);
		$currency->base = $pancers;
		$currency->pancers_add();
	}
	
	
	
	/**
	 * все функции с префиксом update предназачены для изменения определенных валют, учитываются бонусы и всё всё всё...
	 */
	// public static function
}

class user_currency_indrat
{
	const USER_ID_DEFAULT = ID;
	
	public static function user_id(&$user_id)
	{
		if ($user_id) {
			return $user_id = $user_id;
		}
		return $user_id = self::USER_ID_DEFAULT;
	}
	
	// достать баксы игрока
	public static function get_bucks($user_id = false)
	{
		self::user_id($user_id);
		$sql = 'select bucks from users where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_NUM)[0];
	}
	
	// достать мутаген игрока
	public static function get_mutagen($user_id = false)
	{
		self::user_id($user_id);
		$sql = 'select mutagen from users where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_NUM)[0];
	}
	
	// достать металлолом игрока
	public static function get_metal($user_id = false)
	{
		self::user_id($user_id);
		$sql = 'select metal from users where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_NUM)[0];
	}
	
	// достать панцири игрока
	public static function get_pancers($user_id = false)
	{
		self::user_id($user_id);
		$sql = 'select pancers from users where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_NUM)[0];
	}
	
	// достать всю валюту
	public static function get_all_currency($user_id = false)
	{
		self::user_id($user_id);
		$sql = 'select bucks, mutagen, metal, pancers from users where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_ASSOC);
	}
	
	// достать новую валюту (недавно полученную игроком)
	public static function get_new_currency($currency, $user_id = false)
	{
		self::user_id($user_id);
		$sql = "select new_$currency from users_dyn where id_user = ? limit 1";
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
		return $sth->fetch(PDO::FETCH_NUM)[0];
	}
	
	
	
	// изменить количество баксов игрока
	public static function update_bucks($bucks, $user_id = false)
	{
		self::user_id($user_id);
		$sql = 'update users set bucks = bucks + ? where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$bucks, $user_id]);
	}
	
	// изменить количество мутагена игрока
	public static function update_mutagen($mutagen, $user_id = false)
	{
		self::user_id($user_id);
		$sql = 'update users set mutagen = mutagen + ? where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$mutagen, $user_id]);
	}
	
	// изменить количество металлолома игрока
	public static function update_metal($metal, $user_id = false)
	{
		self::user_id($user_id);
		$sql = 'update users set metal = metal + ? where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$metal, $user_id]);
	}
	
	// изменить количество панцирей игрока
	public static function update_pancers($pancers, $user_id = false)
	{
		self::user_id($user_id);
		$sql = 'update users set pancers = pancers + ? where id = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$pancers, $user_id]);
	}
	
	// изменить количество новой валюты
	// параметр currency принимает какой именно (:bucks, mutagen, metal, pancers)
	public static function update_new_currency($currency, $num, $user_id)
	{
		$field = "new_$currency";
		$sql = "update users_dyn set $field = $field + ? where id_user = ? limit 1";
		$sth = db::$pdo->prepare($sql);
		$sth->execute([$num, $user_id]);
	}
}

class_alias('user_currency', 'ucur');
class_alias('user_currency_indrat', 'ucuri');