<?php

namespace indrat
{
	class level extends \_tbl_line
	{
		protected static $table = '_levels_user';
		
		public static function exp_need_get($level)
		{
			return self::get('exp_need', 'where level = ?', [$level]);
		}
		
		public static function bonus_bucks_get($level)
		{
			return self::get('bonus_bucks', 'where level = ?', [$level]);
		}
		
		public static function bonus_mutagen_get($level)
		{
			return self::get('bonus_mutagen', 'where level = ?', [$level]);
		}
		
		public static function max()
		{
			return self::get('max(level)');
		}
	}
	
	class user_level
	{
		public static function get($user_id = false)
		{
			\user_id($user_id);
			return \user::level_get($user_id);
		}
		
		public static function set($level, $user_id = false)
		{
			\user_id($user_id);
			\user::level_set($level, $user_id);
		}
		
		public static function up($user_id = false)
		{
			\user_id($user_id);
			\user::level_set(self::get($user_id) + 1, $user_id);
		}
		
		public static function new_get($user_id)
		{
			\user_id($user_id);
			return \user_dyn::field_get('level_up', $user_id);
		}
		
		public static function new_set($level, $user_id = false)
		{
			\user_id($user_id);
			\user_dyn::field_set("level_up = $level", $user_id);
		}
	}
}

namespace
{
	class level extends indrat\level
	{
		
	}
	
	class user_level extends indrat\user_level
	{
		public static function up_ctrl($user_id = false)
		{
			user_id($user_id);
			$user_level = indrat\user_level::get($user_id);
			if ($user_level >= indrat\level::max()) { // если уровень максимальный
				return;
			}
			
			$user_expr = user_exp::exp_get($user_id);
			$expr_next = indrat\level::exp_need_get($user_level + 1);
			// v($user_expr);
			// v($expr_next);
			if ($user_expr < $expr_next) { // если опыта недостаточно для повышения уровня
				return;
			}
			
			$config = require(ROOT . 'project/internal/config/main.config.php');
			$user_avail_levels = $config['user_avail_levels'];
			if (($user_level + 1) == $user_avail_levels) { // если после повышения уровня, уровень игрока будет достигнут максимально-возможного значения, заданного в файле концигураций
				// сбросить опыт
				$level_expr = level::exp_need_get($user_level + 1);
				\expr::set($user_id, $level_expr);
			}
			
			$bonus_bucks = indrat\level::bonus_bucks_get($user_level + 1);
			$bonus_mutagen = indrat\level::bonus_mutagen_get($user_level + 1);
			indrat\user_level::up($user_id);
			indrat\user_level::new_set($user_level + 1, $user_id);
			user_currency_indrat::update_bucks($bonus_bucks, $user_id);
			user_currency_indrat::update_mutagen($bonus_mutagen, $user_id);
			user_currency_indrat::update_new_currency('bucks', $bonus_bucks, $user_id);
			user_currency_indrat::update_new_currency('mutagen', $bonus_mutagen, $user_id);
		}
	}
}
