<?php

namespace db;

class users_ban extends \_tbl_line
{
	protected static $table = 'users_ban';
	
	public static function ban_add($args)
	{
		self::add('id_user = ?, ban_type = ?, ban_time = ?, ban_cause = ?, id_user_imposed = ?', [$args['user_id'], $args['ban_type'], $args['ban_time'], $args['ban_cause'], $args['id_user_imposed']]);
	}
	
	public static function ban_isset($user_id)
	{
		if (self::get('count(*)', 'where id_user = ?', [$user_id])) {
			return true;
		} return false;
	}
	
	public static function ban_type_get($user_id)
	{
		return self::get('ban_type', 'where id_user = ?', [$user_id]);
	}
	
	public static function ban_time_get($user_id)
	{
		return self::get('ban_time', 'where id_user = ?', [$user_id]);
	}
	
	public static function ban_cause_get($user_id)
	{
		return self::get('ban_cause', 'where id_user = ?', [$user_id]);
	}
	
	public static function ban_seconds_left_get($user_id)
	{
		return self::ban_time_get($user_id) - time();
	}
	
	public static function id_user_imposed_get($user_id)
	{
		return self::get('id_user_imposed', 'where id_user = ?', [$user_id]);
	}
	
	public static function delete($user_id)
	{
		$sql = 'delete from ' . self::$table . ' where id_user = ?';
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$user_id]);
	}
}