<?php

namespace db;

class users_robbery extends \_tbl_line
{
	protected static $table = 'users_robbery';
	
	public static function reward_get($user_id)
	{
		return self::get('reward_bucks as bucks, reward_mutagen as mutagen : assoc', 'where id_user = ?', [$user_id]);
	}
	
	public static function reward_update($user_id, $reward)
	{
		self::set('reward_bucks = ?, reward_mutagen = ?', 'where id_user = ?', [$reward['bucks'], $reward['mutagen'], $user_id]);
	}
	
	public static function reward_increase($user_id, $reward)
	{
		self::set('reward_bucks = reward_bucks + ?, reward_mutagen = reward_mutagen + ?', 'where id_user = ?', [$reward['bucks'], $reward['mutagen'], $user_id]);
	}
}