<?php

class notf
{
	public static $user_id = ID;
	
	public static function reset()
	{
		self::$user_id = ID;
	}
	
	public static function set_notf($notf, $type = 'default')
	{
		$sql = 'insert into users_notf set id_user = ?, notf = ?, type = ?';
		$sth = db::$pdo->prepare($sql);
		return $sth->execute([self::$user_id, $notf, $type]);
	}
	
	public static function get_notf()
	{
		$sql = 'select notf, type from users_notf where id_user = ? limit 1';
		$sth = db::$pdo->prepare($sql);
		$sth->execute([self::$user_id]);
		$notfrow = $sth->fetch(PDO::FETCH_ASSOC);
		return [
			'text' => $notfrow['notf'],
			'type' => $notfrow['type']
		];
	}
	
	public static function delete_last_notf()
	{
		$sql = 'delete from users_notf where id_user = ? order by id asc limit 1';
		$sth = db::$pdo->prepare($sql);
		return $sth->execute([self::$user_id]);
	}
}