<?php

class password_rest
{
	public $logmail;
	public $error = '';
	
	public function __construct($logmail)
	{
		$this->logmail = $logmail;
	}
	
	public function run()
	{
		$logmail = $this->logmail;
		if (mb_strlen($logmail) < 1) {
			$this->error = 'Введите что-нибудь.';
			return;
		}
		$is_email = filter_var($logmail, FILTER_VALIDATE_EMAIL);
		if ($is_email) {
			if ( ! user::search_email($logmail)) {
				$this->error = 'К этой электронной почте нет привязанного персонажа.';
				return;
			}
			$user_id = user::get_id_by_email($logmail);
			$login = user::login_get($user_id);
			$email = $logmail;
		} elseif (is_string($logmail)) { // если это не email
			$user_id = user::get_id_by_login($logmail);
			if ( ! is_numeric($user_id)) {
				$this->error = 'Такого игрока не существует.';
				return;
			}
			$user = @new user($user_id);
			if ( ! $user->is_confirm_email()) {
				$this->error = 'Этот пользователь не привязал персонажа к электронной почте.';
				return;
			}
			$login = $logmail;
			$email = $user->get_email();
		}
		if ($email) {
			if (is_null(user::password_get($user_id))) {
				$this->error = 'Нельзя восстанавливать несохраненных персонажей.';
				return;
			}
			
			// сгенерировать новый пароль для юзера
			/* $password = '';
			for ($i = 0; $i < 3; $i++) {
				$password .= chr(mt_rand(65, 90));
			}
			$password .= mt_rand(100, 999);
			$password_encrypt = encrypt_user_password($password);
			
			// записать новый пароль в базу
			user::password_set($password_encrypt, $user_id); */
			
			// получить пароль по емейлу
			$sql = 'select password from users where email = ? limit 1';
			$sth = \db::$pdo->prepare($sql);
			$sth->execute([$email]);
			$password = $sth->fetchColumn();
			
			// отправить новый пароль на почту
			$subject = 'Браузерная игра «Черепашки Ниндзя»';
			$message = "Ваш логин: $login, Ваш пароль: $password";
			mail($email, $subject, $message);
			$this->error = "Данные для восстановления были отправлены на вашу электронную почту.";
			return true;
		}
		return false;
	}
}