<?php

namespace model;

class header
{
	public function get()
	{
		
	}
}

class header_enter
{
	public function get()
	{
		$user_id = ID;
		$param = \uc::get_param_all($user_id);
		$card_id = \dyn_card_received_get($user_id);
		$card_name = null;
		if (is_numeric($card_id)) {
			$card_name = \cards::card_name_get($card_id);
		}

		$currency_new = [
			'bucks' => \user_currency::get_new_currency('bucks'),
			'mutagen' => \user_currency::get_new_currency('mutagen'),
			'metal' => \user_currency::get_new_currency('metal'),
			'pancers' => \user_currency::get_new_currency('pancers'),
			'exp' => \user_exp::exp_new_get()
		];

		$param_new = \uc::get_new_param_all_by_id($user_id);
		$af = function ($var) {
			if ($var == 0) return false;
			return true;
		};
		$param_new = array_filter($param_new, $af);
		$level_new = \indrat\user_level::new_get($user_id);
		$journal_new = \db\users_journal::count_new($user_id);
		$messages_new = \db\users_mail::messages_not_read_count($user_id);
		
		$command_is_invite = \db\ml2_invite::is_invite($user_id);
		$command_invite = [];
		if ($command_is_invite) {
			$command_id = \db\ml2_invite::command_id_get($user_id);
			$location_id = \db\ml2_commands::location_id_get($command_id);
			$command_invite['location_name'] = \db\_sewerage::name_get($location_id);
			$command_invite['seconds_gone'] = \db\ml2_invite::seconds_gone_get($user_id);
		}
		
		$ml1_battle_white_seconds = \ml1::battle_white_seconds();
		$ml1_is_battle = \ml1::battle_is();
		$ml2_is_battle = false;
		if (\db\ml2_commands::in_command($user_id)) {
			if (\db\ml2_commands::command_in_battle(\db\ml2_commands::command_id_get($user_id))) {
				$ml2_is_battle = true;
			}
		}
		
		return [
			'param' => $param,
			'card_id' => $card_id,
			'card_name' => $card_name,
			'currency_new' => $currency_new,
			'param_new' => $param_new,
			'level_new' => $level_new,
			'journal_new' => $journal_new,
			'messages_new' => $messages_new,
			'command_is_invite' => $command_is_invite,
			'command_invite' => $command_invite,
			'ml1_battle_white_seconds' => $ml1_battle_white_seconds,
			'ml1_is_battle' => $ml1_is_battle,
			'ml2_is_battle' => $ml2_is_battle,
			'notf' => \notf::get_notf()
		];
	}
}

class footer
{
	public function get()
	{
		$user_id = (defined('ID')) ? ID : false;
		$user = null;
		if ($user_id) {
			$user['position'] = \user::position_get($user_id);
		}
		$user = (object) $user;
		return [
			'user_id' => $user_id,
			'user' => $user
		];
	}
}

class footer_enter
{
	public function get()
	{
		$user_id = ID;
		
		$online_num = \indrat\user_online::count();
		$currency = \user_currency::get_all_currency($user_id);
		
		$is_clan_event = false;
		$is_clan_event_2 = false;
		if (\clan::is_user_clan($user_id)) {
			if (\chat::is_clan_chat_new($user_id)) {
				$is_clan_event = true;
			}
			if (\clan\app::is_app_avail($user_id)) {
				if (\clan\app::count(\clan::get_id_clan_by_id_user($user_id)) > 0) {
					$is_clan_event = true;
					$is_clan_event_2 = true;
				}
			}
		}
		else {
			if (\dyn_is_clan_invite_new($user_id)) {
				$is_clan_event = $is_clan_event_2 = true;
			}
		}
		
		
		
		
		$user_password = \user::password_get($user_id);
		$in_command = \db\ml2_commands::in_command($user_id);
		$command = [];
		if ($in_command) {
			$parts = \db\ml2_commands::parts_id_get(\db\ml2_commands::command_id_get($user_id));
			foreach ($parts as $_user_id) {
				$command[] = [
					'user_id' => $_user_id,
					'name' => \user::login_get($_user_id),
					'gender' => \user::gender_get($_user_id)
				];
			}
		}
		
		$stock_acting = new \db\stock_acting;
		$stock_all = $stock_acting->get_all();
		$is_stock = ((array) $stock_all) ? true : false;
		$end_of_stock_seconds_left = 0;
		if ($is_stock) {
			$stock = new \stock\stock();
			$end_of_stock_seconds_left = $stock->get_end_of_stock_seconds_left();
			unset($stock);
		}
		
		$stock = [];
		foreach ($stock_all as $key => $_stock) {
			$link = explode('&', $_stock->link);
			$link[1] = (array_key_exists(1, $link)) ? $link[1] : '';
			if (empty($link[0]) && empty($link[1])) {
				$link = null;
			} else {
				$link = subord_url($link[0], $link[1]);
			}
			$stock[] = [
				'text' => $_stock->text,
				'discount' => $_stock->modifier,
				'plus' => (bool) $_stock->plus,
				'link' => $link
			];
		}
		$save_mutagen_num = \game::SAVE_MUTAGEN_NUM;
		$clan_chat_new = \chat::is_clan_chat_new($user_id);
		$is_user_clan = \clan::is_user_clan($user_id);
		
		$messages_num = \db\users_mail::messages_not_read_count($user_id);
		$journal_records_new = \db\users_journal::count_new($user_id);
		$support = new \support($user_id);
		$support_comments_new = $support->get_new_comments();
		
		$news_last_id = \news::get_news_last_id();
		$news_user_last_id = \news::get_news_user_last_id(ID);
		$news_is_new = ($news_user_last_id < $news_last_id) ? true : false;
		
		return [
			'online_num' => $online_num,
			'currency' => $currency,
			'user_password' => $user_password,
			'in_command' => $in_command,
			'command' => $command,
			'is_clan_event' => $is_clan_event,
			'is_clan_event_2' => $is_clan_event_2,
			'is_stock' => $is_stock,
			'stock' => $stock,
			'end_of_stock_seconds_left' => $end_of_stock_seconds_left,
			'save_mutagen_num' => $save_mutagen_num,
			'clan_chat_new' => $clan_chat_new,
			'is_user_clan' => $is_user_clan,
			'messages_num' => $messages_num,
			'journal_records_new' => $journal_records_new,
			'support_comments_new' => $support_comments_new,
			'news_is_new' => $news_is_new
		];
	}
}

class panel_battle
{
	public
		$target_is_real_player, // true если это реальный игрок
		$target_id, // это может быть как и реальный id игрока, так и id врага из какой-нибудь таблицы
		$target_name,
		$target_health,
		$target_health_max,
		$target_damage,
		$user_damage_applied, // урона нанесено
		$hit_access,
		$dodge_access,
		$dodge_seconds_left,
		$change_access;
	
	public function get()
	{
		$user_id = ID;
		
		return [
			'target' => [
				'is_real_player' => $this->target_is_real_player,
				'id' => $this->target_id,
				'name' => $this->target_name,
				'health' => $this->target_health,
				'health_max' => $this->target_health_max,
				'damage' => $this->target_damage
			],
			'user_damage_applied' => $this->user_damage_applied,
			'hit_access' => $this->hit_access,
			'dodge_access' => $this->dodge_access,
			'dodge_seconds_left' => $this->dodge_seconds_left,
			'change_access' => $this->change_access
		];
	}
}