<?php

require ROOT . 'project/internal/core.php';

advent_mutagen::mutagen_update(ID);

$type = filter_input(INPUT_GET, 'type');
$type_perhaps = ['health', 'power', 'agil', 'intell'];
if ( ! in_array($type, $type_perhaps)) {
	$type = 'health';
}

$attack = filter_input(INPUT_GET, 'attack');
$perhaps = [
	'health', 'power', 'agil', 'intell'
];

/* врага нет - создать */
$enemy = new advent\enemy;
$enemy->type = $type;
$enemy->create();
if (in_array($attack, $perhaps)) {
	/* если приключение пройдено */
	if (db\users_advent::is_completed(ID, $attack)) {
		$battle = new advent\battle;
		$battle->type = $attack;
		$battle->free();
	}
	/* приключение не пройдено */
	else {
		$battle = new advent\battle;
		$battle->type = $attack;
		$battle->advent();
	}
}


if ( ! is_null($attack)) {
	redirect::go()->subord('advent', "type=$attack");
}

$data = ['data' => (new model_advent)->get($type)];
view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('advent', $data);
view('tpl/footer-enter');
view('tpl/footer');