<?php
require(ROOT . 'project/internal/core.php');

ban::expiration(ID);

$id_user_adress = filter_input(INPUT_GET, 'id_user_adress', FILTER_VALIDATE_INT);
if ($id_user_adress !== false) {
	if ( ! user::is_user($id_user_adress) || $id_user_adress == ID) {
		$id_user_adress = null;
	}
}
else {
	$id_user_adress = null;
}

$id_message_hide = filter_input(INPUT_GET, 'id_message_hide', FILTER_VALIDATE_INT);
if (is_numeric($id_message_hide)) {
	if (db\chat::is_message($id_message_hide)) {
		if (db\chat::is_hide($id_message_hide)) {
			chat::chat_message_rehide(ID, $id_message_hide); // 
		}
		else {
			chat::chat_message_hide(ID, $id_message_hide); //  ...
		}
	}
	redirect::go()->ruler_cut(['id_message_hide']);
}

if ( ! is_null(filter_input(INPUT_POST, 'submit'))) {
	$text = filter_input(INPUT_POST, 'text');
	$text = trim($text);
	if (empty($text)) {
		redirect::go()->subord('chat');
	}
	
	chat::message_add($text, ID, $id_user_adress);
	redirect::go()->subord('chat');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('chat', (new chat_model)->chat($id_user_adress));
view('tpl/footer-enter');
view('tpl/footer');