<?php
require(ROOT . 'project/internal/core.php');

if ( ! clan::is_user_clan(ID)) {
	redirect_return(false, 'clan');
} $id_clan = clan::get_id_clan_by_id_user(ID);

chat::user_clan_chat_new_reset(ID);

$id_user_adress = filter_input(INPUT_GET, 'id_user_adress', FILTER_VALIDATE_INT);
if ($id_user_adress !== false) {
	if ( ! user::is_user($id_user_adress) || $id_user_adress == ID) {
		$id_user_adress = null;
	}
	elseif ( ! clan::is_user_clan($id_user_adress, $id_clan)) {
		$id_user_adress = null;
	}
}
else {
	$id_user_adress = null;
}

if ( ! is_null(filter_input(INPUT_POST, 'submit'))) {
	$text = filter_input(INPUT_POST, 'text');
	$text = trim($text);
	if (empty($text)) {
		redirect::go()->subord('chat_clan');
	}
	
	chat::clan_message_add($id_clan, $text, ID, $id_user_adress);
	redirect::go()->subord('chat_clan');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('chat_clan', (new chat_model)->chat_clan($id_clan, $id_user_adress));
view('tpl/footer-enter');
view('tpl/footer');