<?php

require(ROOT . 'project/internal/core.php');

if ( ! clan::is_user_clan(ID)) { // если игрок не состоит в клане
	redirect_return(false, 'clan');
}

$clan_id = clan::get_id_clan_by_id_user(ID);

$exit_confirm = filter_input(INPUT_GET, 'exit_confirm');
if ( ! is_null($exit_confirm)) {
	$exit_confirm = true;
}

if ( ! is_null(filter_input(INPUT_GET, 'clan_exit'))) {
	clan::user_clan_exit_ctrl(ID);
	redirect::go()->subord('clan');
}

$clan_name_new = filter_input(INPUT_POST, 'name');
if ( ! is_null($clan_name_new)) {
	clan::clan_name_change(ID, $clan_id, $clan_name_new);
	redirect::go()->subord('clan_control');
}

$description = filter_input(INPUT_POST, 'description');
if ( ! is_null($description)) {
	$obj_cln_descript = new clan\description;
	$obj_cln_descript->description = $description;
	$obj_cln_descript->exchange();
	redirect::go()->subord('clan');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('clan/clan-control', (new clan_model)->clan_control($exit_confirm));
view('tpl/footer-enter');
view('tpl/footer');