<?php

require ROOT . 'project/internal/core.php';
require ROOT . 'project/internal/model/clan_rating.mdl.php';
if ( ! clan::is_user_clan(ID)) {
	redirect_return(false, 'clan');
}
$clan_id = clan::get_id_clan_by_id_user(ID);

/* 
     . . .
$cr = new clan_rating;
$cr->clan_id = $clan_id;
$cr->week_reset();
 */
 
$gap = filter_input(INPUT_GET, 'gap');
$gap_perhaps = [1, 2];
if ( ! in_array($gap, $gap_perhaps)) {
	$gap = 1;
}

$type = filter_input(INPUT_GET, 'type');
$type_perhaps = ['exp', 'bucks', 'mutagen', 'metal', 'pancers', 'param'];
if ( ! in_array($type, $type_perhaps)) {
	$type = 'exp';
}

$data = ['clan_id' => $clan_id, 'gap' => $gap, 'type' => $type];

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('clan/clan-rating', (new model\clan_rating)->main($data));
view('tpl/footer-enter');
view('tpl/footer');