<?php

require ROOT . 'project/internal/core.php';

$clans = [];
$clan_name = filter_input(INPUT_POST, 'clan_name');
if ( ! is_null($clan_name)) {
	$sql = "select id, name from clan where name like ?";
	$sth = db::$pdo->prepare($sql);
	$sth->execute(["%$clan_name%"]);
	$clans = $sth->fetchAll(PDO::FETCH_ASSOC);
}

$data = [
	'clans' => $clans,
	'clan_name' => $clan_name
];
view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('clan/clan-search', $data);
view('tpl/footer-enter');
view('tpl/footer');