<?php

require ROOT . 'project/internal/core.php';
require ROOT . 'project/internal/box/lab/ampoule.class.php';

lab::mutagen_recovery(ID);

if ( ! is_null(filter_input(INPUT_GET, 'mutagen'))) { // кнопка "забрать" нажата
	$mutagen_num = (int) floor(lab::get_mutagen_by_id(ID));
	if ($mutagen_num > 0) { // если есть что забирать
		lab::mutagen_update(ID, -$mutagen_num); // убрать мутаген из лаборатории
		set_mutagen($mutagen_num, ID); // добавить его игроку
		lab::mutagen_time_update(ID); // записать время
		$user_statistic = new \user_statistic(ID);
		$user_statistic->increase_statistic('lab_mutagen', $mutagen_num);
	}
	redirect::go()->subord('lab');
}

if ( ! is_null(filter_input(INPUT_GET, 'lab_level_up'))) {
	$lab_level = lab::get_lab_level_by_id(ID);
	$lab_level_max = lab::get_lab_level_max();
	if ($lab_level < $lab_level_max) { // если есть куда улучшать
		$bucks = get_bucks_by_id(ID);
		$metal = get_metal_by_id(ID);
		$bucks_need = lab::get_price_by_lab_level($lab_level, 'bucks');
		$metal_need = lab::get_price_by_lab_level($lab_level, 'metal');
		if ($bucks >= $bucks_need && $metal >= $metal_need) { // средств достаточно
			lab::lab_level_update(ID, 1); // увеличить уровень лаболатории
			user_currency_indrat::update_bucks(-$bucks_need, ID); // снять баксы и метал
			user_currency_indrat::update_metal(-$metal_need, ID);
			user_currency_indrat::update_new_currency('bucks', -$bucks_need, ID);
			user_currency_indrat::update_new_currency('metal', -$metal_need, ID);
		}
	}
	redirect::go()->subord('lab', 'llevel');
}


$ampoule_perhaps = [
	'red', 'yellow', 'blue', 'green'
];
$ampoule = filter_input(INPUT_GET, 'ampoule');
if (in_array($ampoule, $ampoule_perhaps)) {
	$user_ampoule = new ampoule\user_ampoule(ID);
	$user_ampoule->improve($ampoule);
	redirect::go()->subord('lab');
}


$ll = filter_input(INPUT_GET, 'llevel');
view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
if ( ! is_null($ll)) {
	view('lab/lab-level', (new lab_model)->llab());
}
else {
	view('lab/lab', (new lab_model)->lab());
}


view('tpl/footer-enter');
view('tpl/footer');