<?php

require ROOT . 'project/internal/core.php';
require ROOT . 'project/internal/model/ml2.mdl.php';
if (db\ml2_commands::in_command(ID)) {
	$command_id = db\ml2_commands::command_id_get(ID);
	if (db\ml2_commands::status_get($command_id) != ml2\command::STATUS_BATTLE) {
		redirect::go()->subord('ml2_command');
	}
	elseif (db\ml2_commands::status_get($command_id) == ml2\command::STATUS_BATTLE) {
		redirect::go()->subord('ml2_battle');
	}
}

$open_id = filter_input(INPUT_GET, 'open_id', FILTER_VALIDATE_INT);
if ($open_id) {
	if (db\_sewerage::is($open_id)) {
		if ( ! db\ml2_commands::in_command(ID) && db\ml2_locations::is_open(ID, $open_id)) { //   ,     
			$ml2_cmnd = new ml2\command;
			$ml2_cmnd->location_id = $open_id;
			$ml2_cmnd->leader_id = ID;
			$ml2_cmnd->create();
		}
	}
	redirect::go()->subord('ml2_command');
}

$command_search_location_id = filter_input(INPUT_GET, 'command_search_location_id', FILTER_VALIDATE_INT);
if ($command_search_location_id) {
	if (db\_sewerage::is($command_search_location_id)) {
		$cfind = new ml2\command_find;
		$cfind->user_id = ID;
		$cfind->location_id = $command_search_location_id;
		if ($cfind->tap()) {
			redirect::go()->subord('ml2_command');
		}
	}
	redirect::go()->subord('ml2');
}

if ( ! is_null(filter_input(INPUT_GET, 'reward_get'))) {
	$reward_get = new ml2\reward_get;
	$reward_get->user_id = ID;
	$reward_get->execute();
	redirect::go()->subord('ml2');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('ml2/ml2', (new model\ml2)->main());
view('tpl/footer-enter');
view('tpl/footer');