<?php

require_once ROOT . 'project/internal/core.php';

robbery::stage_ctrl();
robbery::player_ctrl();
robbery::battles_recovery_ctrl();

$battle = filter_input(INPUT_GET, 'battle');
$reward = filter_input(INPUT_GET, 'reward');
if ( ! is_null($battle)) {
	robbery::battle_ctrl();
	redirect::go()->subord('robbery');
}
if ( ! is_null($reward)) {
	$reward = new robbery\reward;
	$reward->user_id = ID;
	$reward->award();
	redirect::go()->subord('robbery');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('robbery/robbery', (new robbery_model)->get());
view('tpl/footer-enter');
view('tpl/footer');

robbery::set_score_last(ID, 0);