<?php

require ROOT . 'project/internal/core.php';

if ( ! scramble_enemy::enemy_isset(ID)) {
	redirect::go()->subord('scramble');
}

$act = filter_input(INPUT_GET, 'act');
$act_perhaps = ['head', 'body', 'legs'];
if (in_array($act, $act_perhaps)) {
	$died_who = scramble_battle::hit($act, ID);
	if ($died_who !== false) {
		scramble_reward::reward_give($died_who, ID);
		scramble_enemy::enemy_delete(ID);
		scramble_battle::caused_damage_set(null, ID);
		scramble_battle::received_damage_set(null, ID);
		redirect::go()->subord('scramble');
	}
	else {
		redirect::go()->subord('scramble_battle');
	}
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('scramble/scramble-battle', (new scramble_model)->scramble_battle());
view('tpl/footer-enter');
view('tpl/footer');