<?php

require ROOT . 'project/internal/core.php';

shop_cards::showcase_ctrl();

$d = filter_input(INPUT_GET, 'd');
if ($d == 'cards') {
	$card_id = filter_input(INPUT_GET, 'card_id', FILTER_VALIDATE_INT);
	if (is_numeric($card_id)) {
		shop_cards::card_buy_ctrl($card_id);
		redirect::go()->subord('shop', 'd=cards');
	}
}
elseif ($d == 'resources') {
	$lot_id = filter_input(INPUT_GET, 'lot_id', FILTER_VALIDATE_INT);
	if (is_numeric($lot_id)) {
		shop_resources::lot_ecquire($lot_id);
		redirect::go()->ruler_cut(['lot_id']);
	}
}
elseif ($d == 'premium') {
	$prem_id = filter_input(INPUT_GET, 'prem_id', FILTER_VALIDATE_INT);
	if (is_numeric($prem_id)) {
		$obj_prem = new db\_premium;
		if ($obj_prem->is_exists($prem_id)) {
			$obj_prem = new premium\purchase;
			$obj_prem->id = $prem_id;
			$obj_prem->user_id = ID;
			$obj_prem->buy();
		}
	}
	if ( ! is_null($prem_id)) {
		redirect::go()->subord('shop&d=premium');
	}
}
elseif ($d == 'bonuses') {
	$bonus = filter_input(INPUT_GET, 'bonus');
	if ( ! is_null($bonus)) {
		
		$bonus_improve = new bonuses\improve;
		$bonus_improve->bonus = $bonus;
		$bonus_improve->make();
		
		redirect::go()->subord('shop', 'd=bonuses');
	}
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
if ($d == 'cards') view('shop/shop-cards', (new shop_cards_model)->shop_cards());
elseif ($d == 'resources') view('shop/shop-resources', (new shop_resources_model)->shop_resources());
elseif ($d == 'premium') {
	$obj_prem = new db\_premium;
	$premium_all = $obj_prem->get_all();
	
	$obj_user_prem = new db\users_premium;
	$obj_user_prem->user_id = ID;
	$is_premium = $obj_user_prem->is_premium();
	$seconds_end = $obj_user_prem->get_seconds_end();
	
	$premium_bonuses = (new premium\bonuses)->get();
	view('shop/shop-premium', [
		'premium_all' => $premium_all,
		'premium_bonuses' => $premium_bonuses,
		'is_premium' => $is_premium,
		'seconds_end' => $seconds_end
	]);
}
elseif ($d == 'bonuses') {
	$obj_t_users_bonuses = new db\users_bonuses;
	$obj_t_users_bonuses->user_id = ID;
	$bonuses = $obj_t_users_bonuses->get_bonuses();
	$bonuses_next = $obj_t_users_bonuses->get_bonuses_next();
	$prices = $obj_t_users_bonuses->get_prices();
	view('shop/shop-bonuses', [
		'bonuses' => $bonuses,
		'bonuses_next' => $bonuses_next,
		'prices' => $prices
	]);
}
else view('shop/shop', (new shop_model)->shop());
view('tpl/footer-enter');
view('tpl/footer');