<?php

require ROOT . 'project/internal/core.php';
$user_id = ID;

sweeping_users::enemies_passed_num_today_reset_ctrl($user_id);
sweeping_users::enemies_recovery_ctrl();
sweeping_users::enemy_create_ctrl();

$sweeping_enemies_bought_reseter = new sweeping_enemies_bought_reseter($user_id);
$sweeping_enemies_bought_reseter->reset();

if (isset($_GET['attack'])) {
	$result = sweeping_users::battle_ctrl();
	sweeping_users::reward_ctrl($result);
	redirect::go()->subord('sweeping');
}

$sweeping_battles_purchase = new sweeping_battles_purchase($user_id);
$buy = filter_input(INPUT_GET, 'buy');
$buy_confirm = false;
if ($buy == 'confirm') {
	$buy_confirm = true;
}
elseif ( ! is_null($buy)) {
	$sweeping_battles_purchase->buy();
	redirect::go()->subord('sweeping');
}

$sweeping_user = new sweeping_users($user_id);

$battle_result = sweeping_users::battle_result_get($user_id);
$enemy_id = sweeping_users::enemy_id_get($user_id);
$enemy_name = sweeping_users::enemy_name_get($user_id);

$enemies_base_num = sweeping_users::enemies_num_get($user_id);
$enemies_bonus_num = sweeping_users::enemies_bonus_num_get($user_id);
$enemies_overall_num = $sweeping_user->get_enemies_num();

$enemy_stats = sweeping_users::enemy_stats_get($user_id);
$enemy_recovery_seconds_left = sweeping_users::enemy_recovery_seconds_left_get($user_id);
$enemies_all_recovery_seconds_left = sweeping_users::enemies_all_recovery_seconds_left_get($user_id);
$enemies_max = sweeping_users::enemies_max_get($user_id);
$bucks_new = user_currency::get_new_currency('bucks', $user_id);

$battles_num_purchase = $sweeping_battles_purchase->get_battles_num_single_purchase();
$battles_price_mutagen_purchase = $sweeping_battles_purchase->get_price_mutagen_purchase();

$data = [
	'enemy_id' => $enemy_id,
	'enemy_name' => $enemy_name,
	'enemies_overall_num' => $enemies_overall_num,
	'enemies_base_num' => $enemies_base_num,
	'enemies_bonus_num' => $enemies_bonus_num,
	'enemy_stats' => $enemy_stats,
	'enemy_recovery_seconds_left' => $enemy_recovery_seconds_left,
	'enemies_all_recovery_seconds_left' => $enemies_all_recovery_seconds_left,
	'enemies_max' => $enemies_max,
	'battle_result' => $battle_result,
	'bucks_new' => $bucks_new,
	'battles_num_purchase' => $battles_num_purchase,
	'battles_price_mutagen_purchase' => $battles_price_mutagen_purchase,
	'buy_confirm' => $buy_confirm
];

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('sweeping', $data);
view('tpl/footer-enter');
view('tpl/footer');