<?php

class system_statistic
{
	public function get_runtime()
	{
		return measure_microtime($_SERVER['REQUEST_TIME_FLOAT']);
	}
	
	public function get_memory_usage()
	{
		return memory_get_usage();
	}
	
	public function get_memory_real_usage()
	{
		return memory_get_usage(true);
	}
	
	// Предел памяти который PHP может выделить (str)
	public function get_memory_limit()
	{
		return ini_get('memory_limit');
	}
	
	//  Максимальное время выполнения скрипта (int)
	public function get_max_execution_time()
	{
		return ini_get('max_execution_time');
	}
	
	// Получение списка (в массиве) всех файлов которые были заинклужены
	public function get_included_files()
	{
		return get_included_files();
	}
	
	// Получение списка (в массиве) всех модулей которые включены в PHP
	public function get_loaded_extensions()
	{
		return get_loaded_extensions();
	}
	
	// Определение времени последней модификации страницы
	public function get_last_modf()
	{
		return getLastMod();
	}
	
	public function get_php_version()
	{
		return phpVersion();
	}
	
	// true если соединение было разорвано пользователем
	public function connect_abort()
	{
		return connection_aborted();
	}
	
	// Определить статус подключения
	public function connect_status()
	{
		return connection_status();
	}
}