<?php

$p = 'stb_';

?>

<style>

.<?= $p ?>main-block {
	font-family: Verdana;
	font-size: 12px;
	min-width: 230px;
	max-width: 320px;
	display: block;
	background-color: rgba(3, 3, 3, 0.75);
	margin: 0 auto;
	padding: 5px;
	color: rgba(255, 255, 255, 0.76);
	z-index: 1;
}
.<?= $p ?>main-block__left {
	
}
.<?= $p ?>item-block {
	padding: 4px 1px 4px 8px;
	background-color: rgba(255, 255, 255, 0.25);
}
.<?= $p ?>item-block__list {
	word-wrap: break-word;
	margin-top: 1px;
}
.<?= $p ?>item-title {
	
}
.<?= $p ?>line {
	border-top: 1px solid rgba(255,221,255, 0.5);
	border-bottom: 1px solid rgba(255,225,200, 0.66);
	height: 0px;
}
.<?= $p ?>mini {
	font-size: 10px;
}
.<?= $p ?>highl {
	color: rgba(47, 255, 0, 0.81);
}
.<?= $p ?>details {
	
}
.<?= $p ?>summary {
	background-color: rgba(230, 230, 230, 0.2);
	width: 94%;
	margin: 4px auto;
	padding: 3px;
	cursor: pointer;
	border-radius: 2%;
}

</style>

<div class="<?= $p ?>main-block">

	<div class="<?= $p ?>item-block">
		<span class="<?= $p ?>item-title">Время выполнения:</span>
		<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $systat->get_runtime() ?></span>
		<span class="<?= $p ?>mini">сек.</span>
	</div>
	
	<div class="<?= $p ?>line">&nbsp;</div>
	
	<div class="<?= $p ?>item-block">
		<span class="<?= $p ?>item-title">Использовано памяти:</span>
		<span class="<?= $p ?>item-title <?= $p ?>highl"><?= number_format($systat->get_memory_usage()) ?></span>
		<span class="<?= $p ?>mini">байт</span>
	</div>
	
	<div class="<?= $p ?>line">&nbsp;</div>
	
	<div class="<?= $p ?>item-block">
		<span class="<?= $p ?>item-title">Выделенная память:</span>
		<span class="<?= $p ?>item-title <?= $p ?>highl"><?= number_format($systat->get_memory_real_usage()) ?></span>
		<span class="<?= $p ?>mini">байт</span>
	</div>
	
	<div class="<?= $p ?>line">&nbsp;</div>
	
	<details class="<?= $p ?>details">
		<summary class="<?= $p ?>summary">Подробнее</summary>
	
		<div class="<?= $p ?>item-block">
			<span class="<?= $p ?>item-title">Лимит памяти:</span>
			<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $systat->get_memory_limit() ?></span>
		</div>
		
		<div class="<?= $p ?>line">&nbsp;</div>
		
		<div class="<?= $p ?>item-block">
			<span class="<?= $p ?>item-title">Макс. время выполнения:</span>
			<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $systat->get_max_execution_time() ?></span>
			<span class="<?= $p ?>mini">сек.</span>
		</div>
		
		<div class="<?= $p ?>line">&nbsp;</div>
		
		<div class="<?= $p ?>item-block">
			<span class="<?= $p ?>item-title">Последнее изменение:</span>
			<span class="<?= $p ?>item-title <?= $p ?>highl"><?= date ("d.m.Y", $systat->get_last_modf()) ?></span>
			<span>в</span>
			<span class="<?= $p ?>item-title <?= $p ?>highl"><?= date ("H:i", $systat->get_last_modf()) ?></span>
		</div>
		
		<div class="<?= $p ?>line">&nbsp;</div>

		<div class="<?= $p ?>item-block">
			<span class="<?= $p ?>item-title">Версия PHP:</span>
			<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $systat->get_php_version() ?></span>
		</div>
		
		<div class="<?= $p ?>line">&nbsp;</div>
		
	</details>
	
	<details class="<?= $p ?>details">
	
		<summary class="<?= $p ?>summary">Включенные файлы</summary>
		
		<?php foreach ($systat->get_included_files() as $file): ?>
		
			<div class="<?= $p ?>item-block <?= $p ?>item-block__list">
				<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $file ?></span>
			</div>
		
		<?php endforeach ?>
	
	</details>
	
	<details class="<?= $p ?>details">
	
		<summary class="<?= $p ?>summary">Загруженые модули</summary>
		
		<?php foreach ($systat->get_loaded_extensions() as $ext): ?>
		
			<div class="<?= $p ?>item-block <?= $p ?>item-block__list">
				<span class="<?= $p ?>item-title <?= $p ?>highl"><?= $ext ?></span>
			</div>
		
		<?php endforeach ?>
	
	</details>
	
		<details class="<?= $p ?>details">
	
		<summary class="<?= $p ?>summary">Детали исполнения</summary>
		
		<div class="<?= $p ?>item-block <?= $p ?>item-block__list">
			<span class="<?= $p ?>item-title <?= $p ?>highl">
			
				<?php if ($systat->connect_status() == 0): ?>
					Сценарий завершен нормально
				<?php elseif ($systat->connect_abort()): ?>
					Соединение разорвано пользователем
				<?php elseif ($systat->connect_status() == 2): ?>
					Время выполнения истекло
				<?php endif ?>
			
			</span>
		</div>
	
	</details>
	
</div>