<!-- админ-панель: компенсации -->
<div class="ta-c">
	<div class="fon-tex-skitka">
	<span class="coloros"><b>Компенсации</b></span></div>

	<?php if ($comps_delete_confirm): ?>
	<div class="fon-tex tomato">
		<div>Вы уверены, что хотите удалить все компенсации?</div>
		<a href="<?= ruler_url(['comps_delete' => 'yes']) ?>" class="box-link d-b"><u>Удалить</u></a>
	</div>
	<?php endif ?>

	<div class="fon-tex">
		<form method="post">

			<div class="mt-6">
				<div class="mb-3">
					<label for="comps_type">Тип компенсации: </label>
				</div>
				<div>
					<select name="comps_type" id="type" class="ta-c input-text">
						<option value="" class="ta-c">(выбери из списка)</option>
						<option value="user">Отдельному Игроку</option>
						<option value="all">Всем Игрокам</option>
					</select>
				</div>
			</div>
			
			<hr>

			<div class="mt-8">
				<div class="mb-3">
					<label for="comps_user_id">ID игрока: <small class="gray">(оставьте это поле пустым, если компенсация выдается всем игрокам)</small></label>
				</div>
				<div>
					<input type="text" id="comps_user_id" name="comps_user_id"class="input-text">
				</div>
			</div>
			
			<hr>

			<div class="mt-8">
				<div class="mb-3">
					<label for="comps_title">Заголовок: <small class="gray">(оставьте это поле пустым, если компенсация выдается конкретному игроку)</small></label>
				</div>
				<div>
					<input type="text" id="comps_title" name="comps_title"class="input-text">
				</div>
			</div>
			
			<hr>

			<div class="mt-8">
				<div class="mb-3">
					<label for="comps_currency_type">Тип валюты: <small class="gray">(можно не выбирать, если компенсация выдается всем игрокам)</small></label>
				</div>
				<div>
					<select name="comps_currency_type" id="type" class="ta-c input-text">
						<option value="" class="ta-c">(выбери из списка)</option>
						<option value="mutagen">Мутаген</option>
						<option value="pancers">Панцири</option>
						<option value="bucks">Баксы</option>
						<option value="metal">Металлолом</option>
					</select>
				</div>
			</div>
			
			<hr>

			<div class="mt-8">
				<div class="mb-3">
					<label for="comps_num">Количество валюты:</label>
				</div>
				<div>
					<input type="text" id="comps_num" name="comps_num"class="input-text">
				</div>
			</div>
			
			<hr>

			<div class="mt-6">
				<div hidden>
					<label for="submit" hidden class="atom atom-green w-40">Запустить</label>
				</div>
				<div>
					<input type="submit" name="submit"class="atom atom-green" id="submit" value="Готово" class="w-100 fs-1em">
				</div>
			</div>
		</form>
	</div>
	
<div class="fon-tex">
	<a href="<?= ruler_url(['comps_delete' => 'confirm']) ?>" class="d-b atom atom-grey mt-10 mt-1 coral">
		<div>Удалить компенсации</div>
		<div><small class="gray">Примечание: удалить все компенсации</small></div>
	</a>
</div>
	
<a href="<?= ruler_url(false, ['comps']) ?>" class="button-new mt-2 mb-6 ta-l">
	<i class="icon-left"> </i>
	<span class="va-m">Назад</span>
</a>

</div>
