<div class="za_fon">
	<div class="title">
		<b class="fs-0-9em">
			Коллекция Карточек:<br>
			<a href="<?= subord_url('profile', "id_user=$user_id") ?>"><?= user::login_get($user_id) ?></a>
		</b>
	</div>
</div>

<?php foreach ($cards as $key => $card): ?>

<div class="fon-tex ta-l fs-1em p-1">
<table width="100%">
<tr>
	<td width="25%">
		<div class="fon1" style="background-image:url(<?= public_url("cards/$card[id]", 'png') ?>);width:74px;height:80px;">&nbsp;</div>
	</td>
	
	<td width="75%"class="fs-0-9em pl-3 va-t">
		<div>
			<span class="card-collect_title">
				<b><?= $card['name'] ?></b>
				<span class="fs-0-9em color3">(<?= $card['quality'] ?> ур.)
			</span>
		</div>
		
		<div class="card-collect_info">
			<div>
				Количество: <span class="darkOrange fs-0-9em"><?= $card['num'] ?>/<?= $card['max'] ?></span>
			</div>
			<div>
				<?= $card['type_rus'] ?>:
				<span class="limeGreen fs-0-9em ">+<?= $card['param'][$card['type']] ?></span>
			</div>
			<div>
			<span> Общ.<?= $card['type_rus'] ?>: <span class="limeGreen fs-0-9em ">+<?= $card['param_sum'] ?></span></span>
			</div>
		</div>
		
		<?php if ($card['num'] >= $card['max']): ?>
		<div>
			<div class="ta-l teal">Бонус от Коллекции:</div>
			<?= $collect_bonus_type_rus[$card['collect_bonus_type']] ?>:
			<span class="limeGreen fs-0-9em">+<?= $card['collect_bonus'] ?><?= ($card['collect_bonus_type'] == 'expr' || $card['collect_bonus_type'] == 'bucks' || $card['collect_bonus_type'] == 'metal') ? '%' : '' ?></span>
		</div>
		<?php endif ?>
	</td>
</tr>
</table>
</div>

<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<div class="fon-tex-info prim mt-2">
	При сборе коллекции карточек вы получаете бонусы. Каждая коллекция имеет свой бонус.
</div>

<a href="<?= subord_url('shop', 'd=cards') ?>" class="button-new mt-2 backbutton ta-l">
	<i class="icon-collect"></i>
	<span class="va-m">Магазин Карточек</span>
</a>

<div class="mt-4"> </div>
