<div class="ta-c za_fon">
	<div class="title">
		<b>Битва Шредера: Рейтинг</b>
	</div>
</div>

<div class="fs-0-8em fon-tex tex-nav">
	<?php if ($statsc_type == 'clans'): ?>
		<span class="atom atom-grey w-35">Кланы</span>
	<?php else: ?>
		<a href="<?= subord_url('cl1_statsc', 'statsc_type=clans') ?>"class="atom atom-green w-35">Кланы</a>
	<?php endif ?>

	<?php if ($statsc_type == 'users'): ?>
		<span class="atom atom-grey w-35">Игроки</span>
	<?php else: ?>
		<a href="<?= subord_url('cl1_statsc', 'statsc_type=users') ?>"class="atom atom-green w-35">Игроки</a>
	<?php endif ?>
</div>

<?php if ($clan_id): ?>

<div class=" mt-1 ta-c fon-tex advent-ml">
	<b class="coloros">Клан:</b>
	<a href="<?= subord_url('clan', "id_clan=$clan_id") ?>" class="b"><?= $clan_name ?></a>
</div>

<?php endif ?>

<div class="fon-tex">
	<div class="rating ta-l fs-0-8em">
		<div class="d-tr">
			<div class="rating-place">
				Место
			</div>
			
			<div class="rating-name">
				Имя
			</div>
			
			<div class="rating-score">
				Счёт
			</div>
		</div>
	</div>
</div>

<?php foreach ($statsc as $key => $stat): ?>

<?php if (isset($stat['id_user'])): ?>
<a href="<?= subord_url('profile', "id_user=$stat[id_user]") ?>" class="rating rating-box">
<?php elseif (isset($stat['id_clan'])): ?>
<a href="<?= subord_url('cl1_statsc', "statsc_type=clan_users&clan_id=$stat[id_clan]") ?>" class="rating rating-box">
<?php endif ?>
	
	<div class="rating-place">
		<span class="va-m silver"><?= $pag->counter($key + 1) ?></span>
	</div>
	
	<div class="rating-name">
	<?php if (isset($stat['id_user'])): ?>
	
		<?= html::turtle_icon_get($stat['id_user']) ?>
		<span class="va-m a-hover <?= $stat['id_user'] == ID ? 'chartreuse' : 'a' ?>">
			<?= $stat['name'] ?>
		</span>
		
	<?php elseif (isset($stat['id_clan'])): ?>
	
		<span class="va-m a-hover <?= $stat['id_clan'] == $user_clan_id ? 'chartreuse' : 'a' ?>">
			<?= $stat['name'] ?>
		</span>
	
	<?php endif ?>
	</div>
	
	<div class="rating-score">
		<span class="d-ib pr-9 silver">
			<span class="rating-score-score"><?= number_format($stat['score']) ?></span>
		</span>
	</div>

</a>

<?php endforeach ?>

<?php if ( ! $statsc): ?>

<div class="p-5">Нет статистики.</div>

<?php endif ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<?php if ($statsc_type == 'clans'): ?>
	<div class="fon-tex-info mt-2">
		<small class="fs-0-8em prim">
			Выберите клан чтобы посмотреть подробную статистику его участников.
		</small>
	</div>
	<?php endif ?>

<a href="<?= subord_url('cl1') ?>"class="button-new mt-3 mb-4 ta-l">
	<i class="icon-left">&nbsp;</i>
	<span class="va-m">Битва Шредера</span>
</a>
