 <!--Новости-->
<?php if ($news_user_last_id < $news_last_id): ?>
<a href="<?= subord_url('news') ?>" class="atom-m d-b ta-c lime">
	<img src="<?= public_url('icon/knicon/mail', 'png') ?>" alt="" width="24" class="va-m">
	Новости!
</a>
<?php endif ?>

 <!--Поддержка-->
<?php if ($support_new_comments > 0): ?>
<a href="<?= subord_url('support') ?>" class="d-b fon-tex a">
	<img src="<?= public_url('icon/knicon/mail', 'png') ?>" alt="" width="24" class="va-m">
	<span class="va-m ta-l mb-1 mt-1">
		Поддержка
		<span class="yellow">(+<?= $support_new_comments ?>)</span>
	</span>
</a>
<?php endif ?>

<!-- компенсация -->
<?php if ($compensation): ?>
	<div class="ta-c fon-tex pt-6 pb-6">
		<div class="fs-1em darkSalmon"><?= $compensation->title ?></div>
		<div>
			<img src="<?= public_url('/icon/resyrs/myt', 'png') ?>" width="16px" class="va-m">
			<span class="mutagen-color fs-0-9em va-m"><?= $compensation->mutagen ?></span>
		</div>
		<a href="<?= subord_url('home', 'compensation=1') ?>" class="atom atom-green w-40 mt-5">Забрать</a>
	</div>
<?php endif ?>

<div class="logo-home">&nbsp;</div>
<div class="pt-1 pb-1 home-menu">
	<!-- локации -->
	
	<!-- зачистка -->
	<a href="<?= subord_url('sweeping') ?>" class="d-b">
		<div class="ta-l fs-1em atom-m _icon _za <?= ($sweeping_enemies_num > 0) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Зачистка</span>
			
		<?php if ($sweeping_enemies_num > 0): ?>
			<small class="f-r home-num"><?= $sweeping_enemies_num ?> </small>
		<?php elseif ($sweeping_enemy_recovery_seconds_left): ?>
			<small class="f-r pr-4 gray"><?= seconds_format($sweeping_enemy_recovery_seconds_left) ?></small>
		<?php endif ?>
		</div>
	</a>
	
	<!-- схватка -->
	<a href="<?= subord_url('scramble') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _sx <?= ($scramble_enemies_num > 0) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Схватка</span>
			<?php if ($scramble_enemies_num > 0): ?>
			<small class="f-r home-num"><?= $scramble_enemies_num ?></small>
			<?php else: ?>
			<small class="f-r pr-4 gray"><?= seconds_format($scramble_enemies_recovery_seconds_left) ?></small>
			<?php endif ?>
		</div>
	</a>
	
	<!-- приключения -->
	<a href="<?= subord_url('advent') ?>" class="d-b">
		<div class="ta-l fs-1em atom-m _icon _adv  <?= ($num_open_advents > 0) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Приключения</span>
			<?php if ($num_open_advents > 0): ?>
			<small class="f-r home-num"><?= $num_open_advents ?></small>
			<?php elseif ($num_open_advents < 1 && $min_recoil > 0 && ! $advent_end): ?>
			<small class="f-r pr-4 gray"><?= seconds_format($min_recoil) ?></small>
			<?php endif ?>
		</div>
	</a>
	
	<!-- ограбление -->
	<a href="<?= subord_url('robbery') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _ogr <?= ($robbery_stage == 2 && $robbery_player_battles > 0) ? 'borber-green' : 'borber-red' ?>">
			<?php if ($robbery_is_reward): ?>
			<img src="<?= public_url('icon/reward', 'png') ?>" alt="" width="22" class="f-r va-m mtm-2 mr-4">
			<?php endif ?>
			<span class="a-hover">Ограбление</span>
			<?php if ($robbery_stage == 1): ?>
			<small class="f-r pr-4 gray"><?= seconds_format($robbery_time_recovery_left) ?></small>
			<?php elseif ($robbery_stage == 2): ?>
			<?php if ($robbery_player_battles > 0): ?>
			<small class="f-r home-num"><?= $robbery_player_battles ?></small> <!-- бои игрока -->
			<?php else: ?>
			<small class="f-r pr-4 gray"><?= seconds_format($robbery_player_battles_seconds_left) ?></small> <!-- время восстановления боёв -->
			<?php endif ?>
			<?php endif ?>
		</div>
	</a>
	
	<!-- битва шредера -->
	<a href="<?= subord_url('cl1') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _sh <?= ($cl1_loc_stage == 2 && $cl1_user_battles > 0) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Битва Шредера</span>
			<?php if ($cl1_loc_stage == 1): ?>
			<small class="f-r pr-4 gray"><?= seconds_format($cl1_loc_recovery_seconds_left) ?></small>
			<?php elseif ($cl1_loc_stage == 2): ?>
				<?php if ($cl1_user_battles > 0): ?>
					<small class='home-num f-r'><?= $cl1_user_battles ?></small>
				<?php else: ?>
					<small class='f-r gray'><?= seconds_format($cl1_user_battles_recovery_seconds_left) ?></small>
				<?php endif ?>
			<?php endif ?>
		</div>
	</a>
	
	<!-- разборки -->
	<a href="<?= subord_url('ml1') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _ra <?= ($ml1_battle_is) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Разборки</span>
			<?php if ($ml1_battle_is): ?>
			<img src="<?= public_url('icon/stat/swords-3', 'png') ?>" alt="" width="22" class="f-r va-m mtm-2 mr-4">
			<?php else: ?>
				<?php if ($ml1_reward_is): ?>
				<img src="<?= public_url('icon/resyrs/myt', 'png') ?>" alt="" width="18" class="f-r va-m mtm-2 mr-4">
				<?php endif ?>
			<?php endif ?>
		</div>
	</a>
	
	<!-- канализация -->
	<a href="<?= subord_url('ml2') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _ka <?= ($ml2_open_is)  ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Канализация</span>
			<?php if ($ml2_reward_is): ?>
			<img src="<?= public_url('icon/reward', 'png') ?>" alt="" width="22" class="f-r va-m mtm-2 mr-4">
			<?php else: ?>
				<?php if ($ml2_battle_is): ?>
				<img src="<?= public_url('icon/stat/swords-3', 'png') ?>" alt="" width="22" class="f-r va-m mtm-2 mr-4">
				<?php endif ?>
			<?php endif ?>
		</div>
	</a>
	
	<!-- свалка -->
	<a href="<?= subord_url('dump') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _sv <?= ($dump_is_place_open) ? 'borber-green' : 'borber-red' ?>">
			<span class="a-hover">Свалка</span>
			<?php if ($dump_metal_final > 0): ?>
			<img src="<?= public_url('icon/reward', 'png') ?>" alt="" width="22" class="f-r va-m mtm-2 mr-4">
			<?php endif ?>
			<?php if ($dump_recovery_seconds_left_min > 0): ?>
			<small class="f-r pr-4 gray"><?= seconds_format($dump_recovery_seconds_left_min) ?></small>
			<?php endif ?>
		</div>
	</a>
	
	<!-- лаборатория -->
	<a href="<?= subord_url('lab') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _la borber-green">
			<span class="a-hover">Лаборатория</span>
			<?php if ($lab_mutagen > 0): ?>
			<span class="d-ib f-r">
				<img src="<?= public_url('/icon/resyrs/myt', 'png') ?>" width="18px" class="va-t mr-4">
			</span>
			<?php endif ?>
		</div>
	</a>
	
	<!-- тренировка -->
	<a href="<?= subord_url('training') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _tr borber-green">
			<span class="a-hover">Тренировка</span>
		</div>
	</a>
	
	<!-- магазин -->
	<a href="<?= subord_url('shop') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _cazna borber-green">
			<span class="a-hover">Магазин</span>
		</div>
	</a>
	
	<!-- банк -->
	<a href="<?= subord_url('bank') ?>" class="d-b">
		<div class=" ta-l fs-1em atom-m _icon _bank borber-green">
			<span class="a-hover">Банк</span>
		</div>
	</a>
</div>
