<div class="za_fon">
	<div class="title">
		<b>Журнал</b>
	</div>
</div>

<?php if ($clean == 'confirm'): ?>
<div class="fon-tex mb-3 fs-0-9em">
	Вы уверены, что хотите очистить журнал?
	<a href="<?= subord_url('journal', "clean=yes") ?>" class="mt-5"><u>Очистить</u></a>
</div>
<?php endif ?>

<?php if ($journal): ?>

<?php foreach ($journal as $key => $val): ?>

<div class="fon-tex ta-l fs-1em">
	<?php if ($val['is_read'] == 0): ?>
	<small class="limeGreen">Новое</small>
	<?php endif ?>
	<?php if ( ! is_null($val['title'])): ?>
	<small class="goldenrod fs-0-9em"><?= $val['title'] ?></small>
	<?php endif ?>
	<div>
		<span class="fs-0-9em"><?= show_html_messages::show($val['text']) ?></span>
	</div>
	<small class="gray"><?= date('d.m.Y', $val['timestamp']) ?></small>
</div>

<?php endforeach ?>

<?php else: ?>

<div class="ta-c p-5">
	<span class="tomato">Журнал пуст.</span>
</div>

<?php endif ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('journal', 'clean=confirm') ?>" class="button-new mt-3 d-b ta-c">
	<img src="<?= public_url('icon/broom', 'png') ?>" alt="" width="18px" class="va-m">
	<span class="va-m">Очистить Журнал</span>
</a>

<a href="<?= subord_url('profile') ?>" class=" button-new ta-c mt-1">
	<i class="icon-left"> </i>
	<span class="va-m">В Профиль</span>
</a>

<div class="mt-4"> </div>
