<div class="za_fon">
	<div class="title">
		<b class="va-m">
			Почта с
			<a href="<?= subord_url('profile', "id_user=$interlocutor_id") ?>"><?= $interlocutor_name ?></a>
		</b>
	</div>
</div>

<?php if ($correspondence_delete_confirm): ?>
	<div class="fon-tex ta-c fs-0-9em">
		Вы уверены, что удалить переписку с этим собеседником?<br>
		<a href="<?= subord_url('mail', "id_interlocutor=$interlocutor_id&correspondence_delete=1") ?>" class="mt-1">Удалить</a>
	</div>
<?php endif ?>

<form method="post" class="ta-c">
	<div class="c-b">
		<textarea name="text" class="textarea-default i mb-1"></textarea>
	</div>
	<div>
		<input name="submit" type="submit" class="cht" value="Отправить" class="d-b w-100">
	</div>
</form>

<?php foreach ($correspondence as $val): ?>

<div class="fon-chat-mess p-5 ta-l">
	<div>
		<?= html::turtle_icon_get($val['id_interlocutor']) ?>
	<?php if ($val['interlocutor_name']): ?>
		<a href="<?= subord_url('profile', "id_user=$val[id_interlocutor]") ?>" class="va-m <?= html::user_nick_class_get($user_id) ?>">
			<?= $val['interlocutor_name'] ?>
		</a>
	<?php else: ?>
		<span class="va-m <?= html::user_nick_class_get($user_id) ?>">Я</span>
	<?php endif ?>
		<small class="va-m fs-0-8em f-r gray">» <?= seconds_format($val['seconds_left']) ?></small>
		<?= ( ! $val['is_read']) ? " <span class='fs-0-9em yellow'> Новое</span>" : '' ?>
	</div>
	<div class="fs-0-9em mt-3 chat-mess-text">
		<?= show_html_messages::show($val['text']) ?>
	</div>
</div>
<?php endforeach ?>

<div class="box mt-2 ta-c fon-tex-nav ">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('mail', "id_interlocutor=$interlocutor_id&correspondence_delete") ?>" class="d-b button-new ta-c mt-1">
	<img src="<?= public_url('/icon/broom', 'png') ?>" alt="" class="va-m">
	<span class="va-m">Удалить Переписку</span>
</a>

<a href="<?= subord_url('mail') ?>" class=" button-new ta-c mb-2 mt-1">
	<i class="icon-left"> </i>
	<span class="va-m">Переписки</span>
</a>

<div class="mt-4"> <div>
