<div class="ta-c pt-1">

	<?php view('panel-battle', $panel_battle) ?>

	<?php foreach ($users as $user): ?>

	<table class="w-100 fon-tex ta-l">
	<tr>
		<td class="w-100">
			<div class="ta-l silver">
			
				<div>
					<?= html::turtle_icon_get($user['id']) ?>
					<span class="va-m <?= html::user_nick_class_get($user['id']) ?>">

					<?php if ($user['id'] == $user_id): ?>

						<u><?= $user['name'] ?></u>

					<?php else: ?>

						<span><?= $user['name'] ?></span>

					<?php endif ?>

					</span>
					
					<img src="<?= public_url('icon/stat/health-2', 'png') ?>"  width="14px" alt="" class="va-m">
					<small>
						<span class="va-m health-2-color mlm-1"><?= number_format($user['health']) ?></span>
						<?php if ($user['id'] == $user_id && $user_damage_received > 0): ?>
						<span class="va-m red f-r mt-1">-<?= number_format($user_damage_received) ?></span>
						<?php endif ?>
					</small>
				</div>
				
				<div class="o-h mt-4 ta-c bar">
					<div class="d-b o-h bar-green" style="width:<?= (int) ceil(compercent($user['health'], $user['health_max'])) ?>%">&nbsp;</div>
				</div>
			</div>
		
		</td>
	</tr>
	</table>
	<?php endforeach ?>
	
	<div class="fon-tex-skitka silver fs-1em mt-1 mb-1">
		<div class="coloros mb-1 b">Враги:</div>
		<?php foreach ($enemies as $enemy): ?>
		<span><?= $enemy['name'] ?></span>
		<span>x<?= $enemy['num'] ?></span>
		<?php endforeach ?>
	</div>

<?php
$log = new log_battle_model;
$log->num = 15;
view('log-battle', $log->log_battle());
?>

<a href="<?= subord_url('ml2_battle', 'leave') ?>" class="d-b atom atom-grey ta-c m-6">
	<div>Покинуть бой</div>
	<div class="fs-0-9em">
		<small>
			<span class="deepPink">Внимание!</span>
			<span class="gray">Покинув бой, вы не получите награду.</span>
		</small>
	</div>
</a>