<div class="ta-c za_fon">
	<div class="title">
		<b>Ограбление</b>
	</div>
</div>

<?php if ($score > 0): ?>
<div class="rating-box ta-l p-8 coloros">
	<span class="forestGreen">Ваш счёт:</span>
	<span>
		<?= number_format($score) ?>
		(<?= ($score > 0) ? round(compercent($score, $score_all), 1): '0' ?>%)
	</span>
</div>
<?php endif ?>

<!-- сам  бой -->
<?php if ($stage == 2): ?>
<div class="ta-c">
	<!-- атака -->
	<a href="<?= subord_url('robbery', 'battle') ?>" class="d-b">
		<div class="log _robbery d-t w-100">
			<?php if ($score_last): ?>
				<div class="d-tr">
					<div class="d-tc va-m robbery-score-last"><?= $score_last ?></div>
				</div>
			<?php else: ?>
			
			<?php endif ?>
		</div>
	</a>
	<div class="robbery-part mt-4">
		<div class="robbery-part-row">
			<a href="<?= subord_url('robbery', 'battle') ?>" class="robbery-part-cell-left atom mt-7 w-50 b <?= $player_battles_num > 0 ? 'atom-green' : 'atom-grey' ?>">
				<span class="<?= $player_battles_num > 0 ? '' : 'gray' ?>">Участвовать</span>
			</a>
			<span class="robbery-part-cell-right fon-tex">
				<?php if ($player_battles_num > 0): ?>
				<span class="va-m coloros"><?= $player_battles_num ?></span>
				<?php else: ?>
				<span class="va-m gray fs-0-8em"><?= seconds_format($player_battles_time_left) ?></span>
				<?php endif ?>
			</span>
		</div>
	</div>
</div>
<!-- текущая награда -->
<?php if (array_sum($reward['current']) > 0): ?>
<div class="fon-tex-nagr mt-5 mb-2">
	<div class="mt-3">
		<span class="coloros fs-1em">
			<b>Ваша награда:</b>
		</span>
		<hr>
		<div class="mt-3">
			<!-- баксы -->
			<?php if ($reward['current']['bucks'] > 0): ?>
			<span class="va-m">Баксы:</span>
			<img src="<?= public_url('/icon/resyrs/baks', 'png') ?>" width="18px" class="va-m">
			<span class="bucks-color"><?= number_format($reward['current']['bucks']) ?></span>
			<?php endif ?>
			
			<!-- мутаген -->
			<?php if ($reward['current']['mutagen'] > 0): ?>
			<span class="va-m">Мутаген:</span>
			<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="18px" class="va-m">
			<span class="va-m lime"><?= number_format($reward['current']['mutagen']) ?></span>
			<?php endif ?>

			<div class="mt-5 mb-5">
				<a href="<?= subord_url('robbery', 'reward') ?>" class="box-link mt-2 atom atom-green w-40">Забрать</a>
			</div>
		</div>
	</div>
</div>
<!-- следующая награда -->
<?php elseif (array_sum($reward['next']) > 0): ?>
<div class="fon-tex-nagr pt-10 pb-10 mt-5 mb-2">
	<div>
		<span class="coloros fs-1em b">Следующая награда:</span>
	</div>
	<hr>
	<div class="fs-0-9em">
	<?php if ($reward['next']['bucks'] > 0): ?>
		<span class="va-m">Баксы:</span>
		<img src="<?= public_url('/icon/resyrs/baks', 'png') ?>" width="18px" class="va-m">
		<span class="va-m bucks-color"><?= number_format($reward['next']['bucks']) ?></span>
	<?php endif ?>
	<?php if ($reward['next']['mutagen'] > 0): ?>
		<span class="va-m">Мутаген:</span>
		<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>"width="18px"class="va-m">
		<span class="va-m lime"><?= number_format($reward['next']['mutagen']) ?></span>
	<?php endif ?>
	</div>
	<div>
		<span class="fs-0-9em">
			Требуется счёт:
			<b class="coloros"><?= number_format($reward['next']['score_need']) ?></b>
		</span>
	</div>
</div>
<?php endif ?>
<?php endif ?>

<!-- мини-рейтинг -->
<?php if ( ! empty($statistic_small)): ?>
<div class="fon-tex ta-c">
	<div class="coloros fs-1 p-1">
		<b>Участники Топ-6:</b>
	</div>
	<hr>
	
	<?php if ($statistic_small): ?>
	<div class="robbery-mini-rait">
		<?php foreach($statistic_small as $part): ?>
		<div class="robbery-mini-rait-row">
			<div class="robbery-mini-rait-cell-left coloros"><?= $part['_num'] ?>.</span>
				<a href="<?= subord_url('profile', "id_user=$part[id_user]") ?>" class="<?= ($part['id_user'] == ID) ? 'chartreuse' : '' ?>">
					<?= user::login_get($part['id_user']) ?>
				</a>
			</div>
			<div class="robbery-mini-rait-cell-right">
				<?= number_format($part['score']) ?>
				<small>(<?= round(compercent($part['score'], $score_all), 1) ?>%)</small>
			</div>
		</div>
		<?php endforeach ?>
	</div>
	<?php endif ?>
	<hr>
	<a href="<?= subord_url('robbery_ratings') ?>" class="d-b button_green">
		...<br>
		Весь Рейтинг
	</a>
</div>
<?php endif ?>

<!-- открыта/закрыта -->
<?php if ($stage == 1): ?>
<div class="yellowGreen fon-tex osvet-2 ta-c">
	<b class="darkSalmon">Локация Закрыта</b>
	<div>
		<small class="fs-0-8em silver">Ждите: <u><?= seconds_format($time_recovery_left) ?></u></small>
	</div>
</div>
<a href="<?= subord_url('robbery_ratings') ?>" class="d-b button-new ta-c mt-1 mb-1">
	<i class="icon-statik">&nbsp;</i> 
	<span class="va-m">Рейтинг</span>
</a>
<?php elseif ($stage == 2): ?>
<div class="yellowGreen mt-1 fon-tex osvet-3 ta-c">
	<b class="cornsilk"style="color:#65aa27">Локация Открыта</b><br>
	<small class="fs-0-8em silver">До закрытия: <u><?= seconds_format($time_passing_left) ?></u></small>
	<div class="mt-2"> </div>
</div>
<?php endif ?>

<div class="fon-tex-info mb-4">
	<small class="prim"><b>Примечание:</b> Награду нужно забрать до начала следующего ограбления, иначе она пропадёт.</small>
</div>
