<div class="za_fon ta-c">
	<div class="title">
		<b>Магазин Карточек</b>
	</div>
</div>

<div class="fon-tex ta-c">

<?php foreach ($cards as $key => $card): ?>

	<div href="<?= subord_url('shop', "d=cards&card_id=$card[id_card]") ?>" class="card fon1" style="background-image:url(<?= public_url("cards/$card[id_card]", 'png') ?>)">
		<div class="card-top">
			<b><?= $card['name'] ?></b>
			<br>
			<b class="fs-0-9em">
				<span class="coloros"><?= param_trans(key($card['param'])) ?>:</span>
				<span class="limeGreen">+<?= current($card['param']) ?></span>
			</b>
		</div>
		
		<?php if ($card['at_user_num'] < $card['max']): ?>
		
		<a href="<?= subord_url('shop', "d=cards&card_id=$card[id_card]") ?>" class="card-bottom card-button-buy">
			<div class="">
				<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="15px" class="va-m">
				<span class="va-m mutagen-color"><?= $card['price_mutagen'] ?></span>
				<br>
				<span class="va-m">Купить</span>
			</div>
		</a>
		
		<?php else: ?>
		
		<span class="card-bottom card-button-buy__coll">Собрано!</span>
		
		<?php endif ?>
	
	</div>

<?php endforeach ?>

</div>

<div class="fon-tex-info">
	<small>Карточки в магазине обновляются каждую неделю.</small>
</div>

<div class="mt-2">
	<a href="<?= subord_url('cards_collect') ?>" class="button-new backbutton ">
		<i class="icon-collect"> </i>
		<span class="va-m">Моя Коллекция</span>
	</a>
	
	<a href="<?= subord_url('shop') ?>" class="button-new backbutton">
		<i class="icon-left"> </i>
		<span class="va-m">Назад в Магазин</span>
	</a>
</div>
