<?php

class ban
{
	public static function issue($user_id, $args) //  
	{
		if (db\users_ban::ban_isset($user_id)) {
			db\users_ban::delete($user_id);
		}
		$args['user_id'] = $user_id;
		$args['ban_time'] = time() + $args['ban_time'];
		db\users_ban::ban_add($args);
	}
	
	public static function expiration($user_id) //    
	{
		if ( ! db\users_ban::ban_isset($user_id)) {
			return;
		}
		if (db\users_ban::ban_seconds_left_get($user_id) > 0) {
			return;
		}
		db\users_ban::delete($user_id);
	}
	
	public static function shoot($user_id) //   
	{
		if ( ! db\users_ban::ban_isset($user_id)) {
			return;
		} db\users_ban::delete($user_id);
	}
}

class ban_model
{
	public static function ban_issue($id_user)
	{
		$login = user::login_get($id_user);
		$ban_time = package('ban-time');
		return [
			'id_user' => $id_user,
			'login' => $login,
			'ban_time' => $ban_time
		];
	}
	
	public static function ban_character($id_user)
	{
		return [
			'ban' => self::ban($id_user)
		];
	}
	
	public static function ban($id_user)
	{
		$ban_type = db\users_ban::ban_type_get($id_user);
		$ban_name =  translate::user_ban_name($ban_type);
		$ban_cause =  db\users_ban::ban_cause_get($id_user);
		$ban_seconds_left = db\users_ban::ban_seconds_left_get($id_user);
		$ban_id_user_imposed = db\users_ban::id_user_imposed_get($id_user);
		$ban_username_imposed = user::login_get($ban_id_user_imposed);
		$ban = html::ban_get(['ban_name' => $ban_name,
		'ban_seconds_left' => $ban_seconds_left,
		'ban_cause' => $ban_cause,
		'ban_id_user_imposed' => $ban_id_user_imposed,
		'ban_username_imposed' => $ban_username_imposed]);
		return $ban;
	}
}