<?php

namespace db;

class _bonuses
{
	/* тип бонуса: expr, bucks, metal */
	public $bonus;
	
	/* уровень бонуса */
	public $level;
	
	private $table = '_bonuses';
	
	public function is_exists()
	{
		$sql = "select count(*) from $this->table where bonus = ? and level = ? limit 1";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->bonus, $this->level]);
		if ($sth->fetchColumn() > 0) {
			return true;
		} return false;
	}
	
	/* получить одну запись */
	public function get()
	{
		$sql = "select * from $this->table where type = ? and level = ? limit 1";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->bonus, $this->level]);
		return $sth->fetch(\PDO::FETCH_ASSOC);
	}
	
	/* получить одну запись */
	public function get_bonus()
	{
		$sql = "select bonus from $this->table where type = ? and level = ? limit 1";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->bonus, $this->level]);
		return $sth->fetchColumn();
	}
	
	/* получить максимальный уровень бонуса */
	public function get_bonus_level_max()
	{
		$sql = "select max(level) from $this->table where type = ?";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->bonus]);
		return $sth->fetchColumn();
	}
	
	/* получить цену */
	public function get_price()
	{
		$sql = "select price_pancers from $this->table where type = ? and level = ? limit 1";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->bonus, $this->level]);
		return $sth->fetchColumn();
	}
	
}