<?php

class html
{
	public static function turtle_icon_get($user_id)
	{
		$turtle = user::turtle_get($user_id);
		$gender = user::gender_get($user_id);
		if ($gender == 1) $gender = 'male';
		elseif ($gender == 2) $gender = 'female';
		else $gender = 'not';
		
		$is_online = user_online::is_online($user_id);
		$class = "pers-icon-$turtle-mini";
		$img_url = public_url("icon/pers/$turtle", 'png');
		if ( ! $is_online) {
			$class .= '-off';
			$img_url = public_url("icon/pers/$turtle-off", 'png');
		}
		if ($gender != 'not') {
			$gender_img_url = public_url("icon/$gender", 'png');
			$gender_img = "<img src='$gender_img_url' class='d-ib pers-icon-$gender'>";
		} else $gender_img = '';
		return "
			<span class='pers-icon'>
				<img src='$img_url' alt='' class='va-m $class'>
				$gender_img
			</span>
		";
	}
	
	public static function user_position_login_class_get($user_id)
	{
		$uposition = user::position_get($user_id);
		if ($uposition == 3) {
			return 'user-position-3';
		}
		if ($uposition == 2) {
			return 'user-position-2';
		} return 'user-position-1';
	}
	
	public static function user_nick_class_get($user_id)
	{
		return self::user_position_login_class_get($user_id);
	}
	
	public static function ban_get($args)
	{
		$str = '<div class="fs-0-8em darkSalmon ta-c box-negative">';
			$str .= '<div>' . "$args[ban_name]." . ' До истечения: ' . format_time($args['ban_seconds_left']) . '</div>';
			$str .= '<div>' . "Причина: $args[ban_cause]</div>";
			$str .= '<div>Забанил: <a href="' . subord_url('profile', "id_user=$args[ban_id_user_imposed]") . '" class="' . self::user_position_login_class_get(user::position_get($args['ban_id_user_imposed'])) .'">' . "$args[ban_username_imposed] </a></div>";
		$str .= '</div>';
		return $str;
	}
}