<?php

namespace ml2;

class location_close
{
	public 
		$user_id,
		$location_id;
	public $completion_timestamp;
	
	public function __construct()
	{
		$this->completion_timestamp = time();
	}
	
	public function tap()
	{
		if (\db\ml2_locations::is_location($this->user_id, $this->location_id)) {
			$sql = 'update ml2_locations set completion_timestamp = ? where id_user = ? and id_location = ? limit 1';
			$update = true;
		}
		else {
			$sql = 'insert into ml2_locations set id_user = ?, id_location = ?, completion_timestamp = ?';
			$update = false;
		}
		$sth = \db::$pdo->prepare($sql);
		if ($update) $sth->execute([$this->completion_timestamp, $this->user_id, $this->location_id]);
		else $sth->execute([$this->user_id, $this->location_id, $this->completion_timestamp]);
	}
}