<?php

namespace db;

class _premium
{
	/* идентификатор премиума с которым будем работать */
	private $id;
	
	private $table = '_premium';
	
	public function _set_id($id)
	{
		if ( ! $this->is_exists($id)) {
			throw new \Exception('Запись с таким идентификатором, не существует.');
		}
		$this->id = $id;
	}
	
	/* получить все записи с таблицы */
	public function get_all()
	{
		$sth = \db::$pdo->query("select * from $this->table");
		return $sth->fetchAll(\PDO::FETCH_OBJ);
	}
	
	/* получить одну запись */
	public function get()
	{
		$sth = \db::$pdo->query("select * from $this->table where id = $this->id limit 1");
		return $sth->fetch(\PDO::FETCH_OBJ);
	}
	
	/* вернет true, если такой id существует */
	public function is_exists($id)
	{
		$sth = \db::$pdo->query("select count(*) from $this->table where id = $id limit 1");
		if ($sth->fetchColumn() > 0) {
			return true;
		} return false;
	}
}