<?php

namespace db;

class users_premium
{
	public $user_id;
	
	private $table = 'users_premium';
	
	public function get()
	{
		$sth = \db::$pdo->query("select * from $this->table where id_user = $this->user_id limit 1");
		return $sth->fetch(\PDO::FETCH_OBJ);
	}
	
	/* получить значение time */
	public function get_time()
	{
		$sth = \db::$pdo->query("select time from $this->table where id_user = $this->user_id limit 1");
		return $sth->fetchColumn();
	}
	
	/* сколько еще премиум будет действителен, в секундах 
		вернет false, если прем вообще не активирован
	*/
	public function get_seconds_end()
	{
		if ( ! $this->is_premium()) {
			return false;
		} return $this->get_time() - time();
	}
	
	/* узнать, есть ли премиум у игрока */
	public function is_premium()
	{
		if (is_null($this->get_time())) {
			return false;
		} return true;
	}
	
	/* увеличить срок премиума */
	public function time_increase($time)
	{
		if ($this->is_premium()) {
			return \db::$pdo->exec("update $this->table set time = time + $time where id_user = $this->user_id limit 1");
		}
		else {
			$time = time() + $time;
			return \db::$pdo->exec("update $this->table set time = $time where id_user = $this->user_id limit 1");
		}
	}
	
	/* сбросить значение time (в null) */
	public function time_reset()
	{
		return \db::$pdo->exec("update $this->table set time = default where id_user = $this->user_id limit 1");
	}
}