<?php

namespace db;

class stock
{
	public $id;
	private $row;
	private $table = '_stock';
	
	public function __construct($id)
	{
		$this->id = $id;
		$this->row();
		if ( ! $this->is_exist()) {
			throw new \Exception('Акции с таким id не существует.');
		}
	}
	
	/* существует ли акция */
	private function is_exist()
	{
		if ($this->row === false) {
			return false;
		} return true;
	}
	
	/* поместить рядок с $this->id */
	private function row()
	{
		$sql = "select * from $this->table where id = ? limit 1";
		$sth = \db::$pdo->prepare($sql);
		$sth->execute([$this->id]);
		$this->row = $sth->fetch(\PDO::FETCH_OBJ);
	}
	
	/* получить рядок */
	public function get()
	{
		$row = $this->row;
		return (object) [
			'id' => $row->id,
			'type' => $row->type,
			'text' => $row->text,
			'link' => $row->link,
			'plus' => $row->plus
		];
	}
}