<?php

class user_dyn extends _tbl_line
{
	protected static $table = 'users_dyn';
	
	public static function field_get($field, $user_id = false)
	{
		user_id($user_id);
		return self::get($field, ' where id_user = ?', [$user_id]);
	}
	
	public static function field_set($field, $user_id = false)
	{
		user_id($user_id);
		if (is_array($field)) {
			$field[1] = [$field[1], $user_id];
			return self::set($field[0], ' where id_user = ?', $field[1]);
		}
		return self::set($field, ' where id_user = ?', [$user_id]);
	}
}