<?php

namespace model;

class clan_rating
{
	public function main($data)
	{
		$clan_id = $data['clan_id'];
		
		if ($data['type'] == 'param') {
			$sql = 'select uc.id_user, uc.health + uc.power + uc.agil + uc.intell as q, u.login from users_combat uc
			left join users u on u.id = uc.id_user
			where uc.id_user in(select cp.id_user from clan_part cp where cp.id_clan = ?) order by q desc';
			$sth = \db::$pdo->prepare($sql);
			$sth->execute([$clan_id]);
		} else {
			$tpl = 'select cp.id_user, cp.%s as q, u.login from clan_part cp
			left join users u on u.id = cp.id_user
			where id_clan = ? order by q desc';
			if ($data['gap'] == 1) {
				$column = "{$data['type']}_week";
			} else {
				$column = $data['type'];
			}
			$sql = sprintf($tpl, $column);
			$sth = \db::$pdo->prepare($sql);
			$sth->execute([$clan_id]);
		}
		$rating = $sth->fetchAll(\PDO::FETCH_ASSOC);
		return [
			'gap' => $data['gap'],
			'type' => $data['type'],
			'rating' => $rating
		];
	}
}