<?php

/**
 * выделяет процент из числа
 */
function percentage($number, $percent)
{
	return ($number / 100) * $percent;
}

/**
 * сколько процентов составляет одно число в другом
 */
function compercent($thiss, $source)
{
	if ($source == 0) {
		return 0;
	}
	$result = ($thiss / $source) * 100;
	return $result;
}


// Вырезает дробь из дробного числа
function cut_fraction($number)
{
	$number = (float) $number;
	$position = strpos($number, '.');
	if ($position === false) {
		return (float) 0;
	}
	$number = substr($number, $position + 1);
	$number = "0.$number";
	settype($number, 'float');
	return $number;
}

/**
 * склеить два числа в дробное
 * первое целое, второе дробь
 */
function glue_fract($int, $double)
{
	$double = "$int.$double";
	settype($double, 'double');
	return $double;
}

// TODO: переработать следующие две функции
/* // Конвертирует массив для функции randomFromChance()
function convertPercentageArray($chance)
{	
	arsort($chance);
	
	$i			= 1;
	$new 		= $chance;
	$save 	= '';
	
	foreach ($chance as $key => $val) {
		
		// Для самого первого элемента (с самым большим значением)
		// Всегда задается значение
		if ($i == 1) {
			
			$new[$key] = 100;
		}
		
		// Только на второй итерации
		if ( ! empty($save)) {
			
			$new[$key] = $save;
		}
		
		$save = $new[$key] - $val;
		
		$i++;
	}
	
	return $new;
}

// Делает рандом элемента из массива с шансом
function randomFromChance($chance)
{
	$chance = convertPercentageArray($chance);
	
	asort($chance);
	
	$rand		= mt_rand(1, 100);
	
	foreach ($chance as $key => $val) {
		
		if ($rand <= $val) {
			
			return $key;
		}
	}
	
	return false;
} */

/**
 * сокращает большие числа, например в таком стиле (по умолчанию): 1k, 1m, 1g и т.д
 * второй параметр: сколько дробной части оставить
 * третий: стили сокращений которые подставляются после числа
 */
function number_reduct(
	$number,
	$power_round = 1,
	$style = [
		'k',
		'm',
		'g',
		't',
		'Qa',
		'Qi'
	]
)
{
	if ($number < 0) {
		$number = abs($number);
	}
	
	if ($number < 1000) {
		return $number;
	}
	$k	= round($number / 1000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($k < 1000) {
		return $k . $style[0];
	}
	$m	= round($number / 1000000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($m < 1000) {
		return $m . $style[1];
	}
	$g	= round($number / 1000000000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($g < 1000) {
		return $g . $style[2];
	}
	$t	= round($number / 1000000000000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($t < 1000) {
		return $t . $style[3];
	}
	$qa = round($number / 1000000000000000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($qa < 1000) {
		return $qa . $style[4];
	}
	$qi = round($number / 1000000000000000000, $power_round, PHP_ROUND_HALF_DOWN);
	if ($qi < 1000) {
		return $qi . $style[5];
	}
	return $number;
}


function is_even($number)
{
	if (($number % 2) == 0){
		return true;
	}
	else {
		return false;
	}
}