<?php

require ROOT . 'project/internal/core.php';

$perhaps = ['clans', 'users', 'clan_users'];
if ( ! in_array($statsc_type = filter_input(INPUT_GET, 'statsc_type'), $perhaps)) {
	$statsc_type = 'clans';
}

$clan_id = null;
if ($statsc_type == 'clan_users') {
	$clan_id = filter_input(INPUT_GET, 'clan_id', FILTER_VALIDATE_INT);
	if ( ! clan::is_clan($clan_id)) { //     
		if (clan::is_user_clan(ID)) { //     
			$clan_id = clan::get_id_clan_by_id_user(ID); //   id  
		}
	}
	if (is_numeric($clan_id)) {
		if ( ! cl1::get_score_clan($clan_id) > 0) { //       (  )
			$clan_id = null;
		}
	}
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('cl1/cl1-statsc', (new cl1_model)->cl1_statsc($statsc_type, false, $clan_id));
view('tpl/footer-enter');
view('tpl/footer');