<?php

require(ROOT . 'project/internal/core.php');

$id_clan = filter_input(INPUT_GET, 'id_clan', FILTER_VALIDATE_INT);
if ($id_clan) {
	if ( ! clan::is_clan($id_clan)) { // если клан с таким id не существует
		$id_clan = clan::get_id_clan_by_id_user(ID); // попытаться получить id-клана текущего игрока
	}
}
if ( ! $id_clan) {
	if (clan::is_user_clan(ID)) { // игрок в клане
		$id_clan = clan::get_id_clan_by_id_user(ID);
	}
}

clan_level::regulator_ctrl($id_clan);

if ( ! is_null(filter_input(INPUT_GET, 'app_retain'))) {
	$app = new clan\app_retain;
	$app->user_id = ID;
	$app->clan_id = $id_clan;
	$app->execute();
	redirect::go()->subord('clan', "id_clan=$id_clan");
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
if ($id_clan) {
	view('clan/clan', (new clan_model)->clan($id_clan));
}
else {
	view('clan/clan-not', (new clan_model)->clan_not());
}
view('tpl/footer-enter');
view('tpl/footer');