<?php
require ROOT . 'project/internal/core.php';
if ( ! clan::is_user_clan(ID)) {
	redirect_return(false, 'clan');
}

/* может ли игрок принимать по заявкам */
if ( ! clan\app::is_app_avail(ID)) {
	redirect_return(false, 'clan');
}

$accept_user_id = filter_input(INPUT_GET, 'accept_user_id', FILTER_VALIDATE_INT);
if ($accept_user_id) {
	$app_accept = new clan\app_accept;
	$app_accept->user_id = ID;
	$app_accept->user_id_accept = $accept_user_id;
	$app_accept->execute();
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('clan/clan-app', (new clan_model)->clan_app());
view('tpl/footer-enter');
view('tpl/footer');