<?php

require(ROOT . 'project/internal/core.php');

$id_clan = filter_input(INPUT_GET, 'id_clan', FILTER_VALIDATE_INT);
if ($id_clan) {
	if ( ! clan::is_clan($id_clan)) { // если клан с таким id не существует
		$id_clan = clan::get_id_clan_by_id_user(ID); // попытаться получить id-клана текущего игрока
	}
}
if ( ! $id_clan) {
	if (clan::is_user_clan(ID)) { // игрок в клане
		$id_clan = clan::get_id_clan_by_id_user(ID);
	}
	else {
		redirect_return(false, 'clan');
	}
}

$up = filter_input(INPUT_GET, 'up');
$perhaps = ['residence', 'scientific_complex', 'repository', 'metal_warehouse', 'training_hall'];
if (in_array($up, $perhaps)) {
	user_clan_building::building_level_increase($id_clan, $up);
	redirect::go()->subord('clan_building');
}

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('clan/clan-building', (new clan_model)->clan_building($id_clan));
view('tpl/footer-enter');
view('tpl/footer');