<?php

require ROOT . 'project/internal/core.php';

$privilege_news_create = news::is_privilege_news_create(ID);
if ( ! $privilege_news_create) {
	redirect_return();
}

$title = filter_input(INPUT_POST, 'title');
$text = filter_input(INPUT_POST, 'text');
if ( ! is_null($title) && ! is_null($text)) {
	$news = new news;
	$news->user_id = ID;
	$news->title = $title;
	$news->text = $text;
	$last_id = $news->create();
	if ($last_id === false) {
		redirect::go()->subord('news_create');
	}
	redirect::go()->subord('news_detail', "id=$last_id");
}

$data = [
	'title_top_text' => 'Создать Новость',
	'submit_text' => 'Создать',
	'title_text' => '',
	'textarea_text' => ''
];

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('news-create', $data);
view('tpl/footer-enter');
view('tpl/footer');