<?php

require ROOT . 'project/internal/core.php';
require ROOT . 'project/internal/class/password_rest.php';

$login = filter_input(INPUT_POST, 'login');
$error = '';
if ( ! is_null($login)) {
	$password_rest = new password_rest($login);
	$password_rest->run();
	$error = $password_rest->error;
}

$data = [
	'error' => $error
];

view('tpl/cap');
view('tpl/header');
view('password-rest', $data);
view('tpl/footer');