<?php

require(ROOT . 'project/internal/core.php');

$id_user = filter_input(INPUT_GET, 'id_user', FILTER_VALIDATE_INT);
if ($id_user) {
	if ( ! user::is_user($id_user)) {
		$id_user = ID;
	}
}
else {
	$id_user = ID;
}

ban::expiration($id_user);

if ( ! is_null(filter_input(INPUT_GET, 'clan_invite'))) {
	clan::clan_invite_send_ctrl(ID, $id_user);
	redirect::go()->subord('profile', "id_user=$id_user");
}

if ( ! is_null(filter_input(INPUT_GET, 'clan_increase'))) {
	clan::clan_increase_user_ctrl(ID, $id_user);
	redirect::go()->subord('profile', "id_user=$id_user");
}

if ( ! is_null(filter_input(INPUT_GET, 'clan_lower'))) {
	clan::clan_lower_user_ctrl(ID, $id_user);
	redirect::go()->subord('profile', "id_user=$id_user");
}

$ban_shoot = filter_input(INPUT_GET, 'ban_shoot');
if ($ban_shoot == 1){
	ban::shoot($id_user);
	redirect::go()->subord('profile', "id_user=$id_user");
}

$clan_expel = filter_input(INPUT_GET, 'clan_expel');
if ($clan_expel == 1){
	clan::clan_expel_user_ctrl(ID, $id_user);
	redirect::go()->subord('profile', "id_user=$id_user");
}

if ( ! is_null(filter_input(INPUT_GET, 'command_invite_send'))) {
	$cis = new ml2\invite_send;
	$cis->who_user_id = ID;
	$cis->whom_user_id = $id_user;
	$cis->execute();
	redirect::go()->subord('profile', "id_user=$id_user");
}

$args = [
	'id_user' => $id_user,
	'ban_shoot' => $ban_shoot,
	'clan_expel' => $clan_expel
];
view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('profile', (new profile_model)->profile($args));
view('tpl/footer-enter');
view('tpl/footer');