<?php

require ROOT . 'project/internal/core.php';

$support = new support(ID);

$clean = filter_input(INPUT_GET, 'clean');
if ($clean == 1) {
	$support->clean();
	redirect::go()->subord('support');
}

$user_position = user::position_get(ID);
if ($user_position > 1) {
	$app_all = $support->get_app_all();
} else {
	$app_all = $support->get_user_app_all();
}

$data = [
	'user_position' => $user_position,
	'app_all' => $app_all['app'],
	'pag' => $app_all['pag'],
	'clean' => $clean
];

view('tpl/cap');
view('tpl/header');
view('tpl/header-enter');
view('support', $data);
view('tpl/footer-enter');
view('tpl/footer');