<div class="za_fon">
	<div class="title">
		<b>Чат</b>
	</div>
</div>

<?php if ($ban): ?>

<div class="mt-5 fon-tex">	<?= $ban ?></div>

<?php else: ?>

<div class="d-t w-100 tl-f fs-0-9em">
	<a href="<?= subord_url('chat') ?>" class="d-tc fon-chat">Обновить</a>
	<a href="<?= subord_url('chat_clan') ?>" class="d-tc fon-chat">Клан. Чат</a>
</div>

<form method="post" class="ta-c">
	
	<?php if ( ! is_null($user_adress_login)): ?>
		<div class="mt-4 mb-5">
			Ответ для:
			<a href="<?= subord_url('profile', "id_user=$user_adress_id") ?>"><u><?= $user_adress_login ?></u></a>
		</div>
	<?php endif ?>
	<div class="c-b">
		<textarea name="text" class="textarea-default mb-1"></textarea>
	</div>
	<div>
		<input name="submit" type="submit" class="cht" value="Отправить" class="d-b w-100">
	</div>
</form>

<?php endif ?>

<?php foreach ($chat as $key => $val): ?>

<div style="<?= ($val['hide'] == 1 && ! $user_privilege_message_hide) ? 'display:none' : '' ?>">
	<div class="fon-chat-mess p-5 ta-l fs-0-9em">
		<div>
			<?= $val['user_icon'] ?>
			<a href="<?= subord_url('profile', "id_user=$val[id_user]") ?>" class="<?=  html::user_position_login_class_get($val['id_user']) ?> va-m"><?= $val['user_login'] ?></a>
			
			<?php if ($user_id != $val['id_user']): ?>
			<a href="<?= subord_url('chat', "id_user_adress=$val[id_user]") ?>" class="d-ib va-m">
				<img src="<?= public_url('/icon/otvet', 'png') ?>" alt="" class="va-m" width="16px">
			</a>
			<?php endif ?>

			<?php if ($user_privilege_message_hide): ?>
			<a href="<?= ruler_url(['id_message_hide' => "$val[id]"]) ?>" class="d-ib va-m pl-5">
				<img src="<?= public_url(($val['hide'] == 1) ? 'icon/eye-half' : 'icon/eye', 'png') ?>" alt="" class="va-m ml-5">
			</a>
			<?php endif ?>

			<small class="chat-mess-time va-m f-r">» <?= seconds_format($val['message_seconds_left']) ?></small>
		</div>
		<div class="chat-mess-text ml-3 fs-1em mt-2 <?= ($user_privilege_message_hide && $val['hide'] == 1) ? 'dimGray' : '' ?>">
			<?php if ( ! is_null($val['user_adress_login'])): ?>
				<span <?= ($user_id == $val['id_user_adress']) ? 'class="chartreuse fs-0-9em"' : '' ?>><?= $val['user_adress_login'] ?></span>,
			<?php endif ?>
			<?= show_html_messages::show($val['text']) ?>
		</div>
	</div>
</div>
<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('help', 'smilies') ?>" class="button-new ta-c mt-2">
	<span class="va-m">Смайлы</span>
</a>

<div class="mt-4"> </div>
