<div class="ta-c za_fon">
	<div class="title">
		<b>Битва Шредера</b>
	</div>
</div>

<!-- игрок в клане -->
<?php if ($user_in_clan): ?>

<!-- стадия 1 - восстановление боя -->
<?php if ($stage == 1): ?>
<div class="fon-tex osvet-2 ta-c">
	<div>
		<b class="lightCoral">Локация закрыта!</b>
	</div>
	<small class="fs-0-8em silver">
		Откроется через:
		<u><?= seconds_format($loc_time_recovery_left) ?></u>
	</small>
</div>

	<?php if ($clan_score > 0): ?>
	
	<div class="fon-tex-nagr fs-0-9em mt-3">
	
		<span class="lime fs-1em">
			Награда:
		</span>
		<hr>
		<div class="fs-0-9em">
			<div class="silver mb-2">
				Счёт клана:
				<span style="color:#abac6d"><?= number_format($clan_score) ?>
				(<?= $clan_score_percent ?>%)
			</div>
			
			<div>
				<div class="silver mb-2">За предыдущий бой:</div>
				<img src="<?=  public_url('/icon/resyrs/baks', 'png') ?>" width="18px">
				<span class="bucks-color"><?= number_format($clan_reward_last['bucks']) ?></span>
				
				<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="18px">
				<span class="mutagen-color"><?= number_format($clan_reward_last['mutagen']) ?></span>
				
				<img src="<?=  public_url('/icon/resyrs/me', 'png') ?>"width="18px">
				<span class="metal-color"><?= number_format($clan_reward_last['metal']) ?></span>
			</div>
			
			<div class="mt-4">
				<div>
					<div class="silver mb-2">Доступно для сбора:</div>
					
					<img src="<?=  public_url('/icon/resyrs/baks', 'png') ?>" width="18px">
					<span class="bucks-color"> <?= number_format($clan_reward['bucks']) ?></span>
					
					<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="18px">
					<span class="mutagen-color"> <?= number_format($clan_reward['mutagen']) ?></span>
					
					<img src="<?=  public_url('/icon/resyrs/me', 'png') ?>" width="18px">
					<span class="metal-color"> <?= number_format($clan_reward['metal']) ?> </span>
				</div>
				
				<?php if ($is_user_get_reward_privilege && array_sum($clan_reward) > 0): ?>
				
				<a href="<?= subord_url('cl1', 'clan_get_reward') ?>"class="atom atom-green w-35 mt-10">Забрать</a>
				
				<?php endif ?>
			</div>
		</div>
	
	</div>
	
	<!-- счет клана меньше 0 -->
	<?php else: ?>
	
	<div class="box fs-1em">
	<small style="color:crimson;">Ваш клан не принимал участия в сражении!</small>
	</div>
	
	<?php endif ?>

<!-- стадия 2 - бой -->
<?php elseif ($stage == 2): ?>

<a href="<?= subord_url('cl1', 'battle') ?>" class="d-b">
	<div class="log _cl1 d-t w-100 ta-c">
		<?php if ($user_score_last): ?>
			<div class="d-tr">
				<div class="d-tc va-m robbery-score-last"><?= $user_score_last ?></div>
			</div>
		<?php else: ?>
		
		<?php endif ?>
	</div>
</a>

<div class="robbery-part mt-4 mb-2">
	<div class="robbery-part-row">
		<a href="<?= subord_url('cl1', 'battle') ?>" class="robbery-part-cell-left atom mt-7 w-50 b <?= $user_battles > 0 ? 'atom-green' : 'atom-grey' ?>">
			<span class="<?= $user_battles > 0 ? '' : 'gray' ?>">Участвовать</span>
		</a>
		<span class="robbery-part-cell-right fon-tex">
			<?php if ($user_battles > 0): ?>
			<span class="va-m coloros"><?= $user_battles ?></span>
			<?php else: ?>
			<span class="va-m gray fs-0-8em"><?= seconds_format($user_battles_recovery_seconds_left) ?></span>
			<?php endif ?>
		</span>
	</div>
</div>
<?php endif ?>

<!-- игрок не состоит в клане -->
<?php else: ?>

<div class="yellowGreen mt-1 fon-tex osvet-2 ta-c">
<span class="darkSalmon">Для участия в этой локации необходимо состоять в клане!</span>
</div>
<div class="mt-2">
</div>

<?php endif ?>

<!-- статистика игрока -->
<?php if ($stage == 2 && $user_in_clan): ?>
<div class="fon-tex ta-c fs-1em">
	<div class="ta-c mt-2 fs-1em coloros b">Ваша Статистика:</div>
	<hr>
	<div>
		Ваш Счёт:
		<span class="fs-0-9em fight-score-color b"><?= number_format($user_score, 0, '.', ',') ?></span>
	</div>
	<div>
		Общий:
		<span class="fs-0-9em coloros"><?= $user_score_percent['in_overall'] ?>%</span>
	</div>
	
		<span style="">Клан: </span><span style="color:#abac6d"class="fs-0-9em"> <?= $user_score_percent['in_clan'] ?>%
	</span>
</div>
<?php endif ?>

 <!-- мини-рейтинг -->
<div class="fon-tex">

	<div class="ta-c mt-3 fs-1em coloros b">Участники Топ-5:</div>

	<table class="mt-5 tl-f fs-0-9em">
		<tr>
			<td class="va-m">
				<div style="border-bottom:1px solid gray;" class="pb-3">
					<a href="<?= subord_url('cl1_statsc', 'statsc_type=users') ?>" class="atom atom-green w-80">Общий</a>
				</div>
			</td>
			<td class="va-m">
				<div style="border-bottom:1px solid gray;" class="pb-3">
					<a href="<?= subord_url('cl1_statsc', "statsc_type=clan_users&clan_id=$user_clan_id") ?>"class="atom atom-green w-80">Мой Клан</a>
				</div>
			</td>
		</tr>
		
		<tr>
			<!-- общий -->
			<?php if ($part_overall): ?>
			
			<td class="va-t ta-l pt-2">
			<?php foreach ($part_overall as $key => $part): ?>
			
				<div class="fs-0-9em">
					<span class="coloros"><?= $key + 1 ?>.</span>
					<a href="<?= subord_url('profile', "id_user=$part[0]") ?>" class="<?= ($part[0] == ID) ? 'chartreuse' : '' ?>"><?= $part['name'] ?></a>
					<span class="fs-0-9em">(<?= $part['score_percent'] ?>%)</span>
				</div>
			
			<?php endforeach ?>
			</td>
			
			<?php else: ?>
			
			<td class="va-m">
				<div class="gray">Нет участников!</div>
			</td>
			
			<?php endif ?>

			<!-- клановый -->
			<?php if ($part_clan): ?>
			
			<td class="va-t ta-l pt-2">
			<?php foreach ($part_clan as $key => $part): ?>
				<div class="fs-0-9em">
					<span class="coloros"><?= $key + 1 ?>.</span>
					<a href="<?= subord_url('profile', "id_user=$part[0]") ?>" class="<?= ($part[0] == ID) ? 'chartreuse' : '' ?>"><?= $part['name'] ?></a>
					<span class="fs-0-9em">(<?= $part['score_percent'] ?>%)</span>
				</div>
			<?php endforeach ?>
			</td>
			
			<?php else: ?>
			
			<td class="va-m">
				<div class="gray">Нет участников!</div>
			</td>
			
			<?php endif ?>
		</tr>
	</table>
</div>

<!-- топ кланов -->
<div class="fon-tex ">
	<div class="coloros b">Кланы Топ-5:</div>
	<hr>
	
	<div class="d-t w-100 ta-c">
		<?php foreach ($clans as $key => $clan): ?>
			<div class="d-tr">
				<div class="d-tc w-70 ta-l pl-10">
					<span><?= ($key + 1) ?>.</span>
					<?php if (is_null($clan)): ?>
					-
					<?php else: ?>
					<a href="<?= subord_url('cl1_statsc', "statsc_type=clan_users&clan_id=$clan[id_clan]") ?>"><?= $clan['clan_name'] ?></a>
					<?php endif ?>
				</div>
				
				<?php if ( ! is_null($clan)): ?>
				<div class="d-tc w-30 ta-l fs-0-8em">
					<?= number_reduct($clan['score']) ?>
					<span class="fs-0-8em">(<?= $clan['score_percent'] ?>%)</span>
				</div>
				<?php endif ?>
			</div>
		<?php endforeach ?>
	</div>
</div>

<div class="mt-1 mb-4">
	<a href="<?= subord_url('cl1_statsc&statsc_type=users') ?>" class="button-new">
		<i class="icon-statik">&nbsp;</i> 
		<span class="va-m">Полная Статистика</span>
	</a>
</div>