<div class="za_fon">
	<div class="title">
		<b><?= $clan_name ?></b>
	</div>
</div>

<?php if ( ! empty($description)): ?>
<div class="fon-tex ta-c fon-tex ta-c darkGray">
	<?= show_html_messages::show($description) ?>
</div>
<?php endif ?>

<?php if ($user_app_is_avail): ?>
	<a href="<?= subord_url('clan', "id_clan=$clan_id&app_retain") ?>" class="d-b button-new ta-c mb-1">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" class="va-m" width="24px">
		<span class="va-m">Подать Заявку</span>
	</a>
<?php endif ?>

<div class="fon-tex">
	<table width="100%" class="ta-c tl-f" style="margin: 0px 0px;width: 100%">
	
		<td width="25%">
			<span class="coloros b"><?= $level ?></span><br>
			<small>Уровень</small>
		</td>
	
		<td width="50%">
			<img src="<?=public_url('icon/clanger/cer1','jpg') ?>" width="99px" class="">
		</td>
	
		<td width="25%">
			<span class="fs-0-9em coloros"><?= date('d.m.y', $created_timestamp) ?></span><br>
			<small>Основан</small>
		</td>
	
	</table>

	<?php if ($user_clan_id == $clan_id): ?>
	
	<div class="mb-1">
		<img src="<?=public_url('icon/resyrs/exp','png') ?>" width="16px" class="va-m">
		<span class="va-m ForestGreen">Опыт:</span>
		<span class="va-m coloros"> <?= number_reduct($exp) ?> / <?= number_reduct($exp_need) ?></span>
	</div>
	
	<?php endif ?>
</div>

<div class="fon-tex">
	<div class="clanfon mtm-2">
		<img src="<?= public_url('icon/stat/icon_hp','png') ?>" width="16px" class="mt-2 va-m">
		<img src="<?= public_url('icon/stat/icon_str','png') ?>" width="16px" class="mt-2 va-m">
		<img src="<?= public_url('icon/stat/lor','png') ?>" width="16px" class="mt-2 va-m">
		<img src="<?= public_url('icon/stat/in','png') ?>" width="16px" class="mt-2 va-m">
		<b class="va-m lawnGreen">+<?= $resid_param_bonus['health'] ?></b>
	</div>
	<div class="clanfon mbm-1">
		<img src="<?= public_url('icon/resyrs/myt', 'png') ?>" alt="" width="16" class="va-m">
		<span class="va-m mlm-3 lawnGreen fs-0-9em">+<?= $clan_bonus['mutagen'] ?></span>
		
		<img src="<?= public_url('icon/resyrs/exp', 'png') ?>" alt="" width="16" class="va-m">
		<span class="va-m mlm-3 lawnGreen fs-0-9em">+<?= $clan_bonus['expr'] ?>%</span>
		
		<img src="<?= public_url('icon/resyrs/baks', 'png') ?>" alt="" width="16" class="va-m">
		<span class="va-m mlm-3 lawnGreen fs-0-9em">+<?= $clan_bonus['bucks'] ?>%</span>
		
		<img src="<?= public_url('icon/resyrs/me', 'png') ?>" alt="" width="16" class="va-m">
		<span class="va-m mlm-3 lawnGreen fs-0-9em">+<?= $clan_bonus['metal'] ?>%</span>
	</div>
</div>

<div class="ta-l">
	<a href="<?= subord_url('clan_building', "id_clan=$clan_id") ?>" class="button-new backbutton ml-2 mr-2 mt-1 mb-1">
		<i class="icon-building"></i>
		<span class="va-m">Постройки</span>
	</a>

<?php if ($user_clan_id == $clan_id): ?>
	<table width="100%">
		<tr>
			<td width="50%">
				<a href="<?= subord_url('clan_coffers') ?>" class="button-new backbutton">
					<i class="icon-cazna"> </i>
					<span class="va-m">Казна</span>
				</a>
			</td>
			<td width="50%">
				<a href="<?= subord_url('clan_rating') ?>" class="button-new backbutton">
					<i class="icon-statik"> </i>
					<span class="va-m">Рейтинги</span>
				</a>
			</td>
		</tr>
		
		<tr>
			<td width="50%">
				<a href="<?= subord_url('clan_journal') ?>" class="button-new backbutton">
					<i class="icon-jurnal"></i>
					<span class="va-m">Журнал</span>
				</a>
			</td>
			<td width="50%">
				<a href="<?= subord_url('chat_clan') ?>" class="button-new">
					<i class="icon-mail"> </i>
					<span class="va-m">Чат <?= ($chat_new) ? "<span class='lime'>+</span>" : '' ?></span>
				</a>
			</td>
		</tr>
		
		<tr>
			<td width="50%">
				<a href="<?= subord_url('clan_control') ?>" class="button-new backbutton">
					<i class="icon-setting"> </i>
					<span class="va-m">Управление</span>
				</a>
			</td>
			<td width="50%">
				<a href="<?= subord_url('clan_app') ?>" class="button-new <?= ( ! $app_is_avail) ? 'button-new-deact' : '' ?>">
					<i class="icon-jurnal"> </i>
					<span class="va-m">Заявки <?= ($app_new && $app_is_avail) ? "<b class='lime'>+</b>" : '' ?></span>
				</a>
			</td>
		</tr>
	</table>
<?php endif ?>
</div>

<?php if ($clan_part): ?>

	<div class="fon-tex coloros">Участники клана (<?= $clan_part_num ?>/<?= $clan_capacity ?>)</div>

	<?php if ($clan_part): ?>

		<div>
		
		<?php foreach ($clan_part as $part): ?>

			<a href="<?= subord_url('profile', "id_user=$part[id_user]") ?>" class="box-link  d-b o-h rating-box"style="padding:4px 6px">
				<div class="d-ib w-60 f-l ta-l">
					<?= html::turtle_icon_get($part['id_user']) ?>
					<span class="va-m a-hover <?= html::user_nick_class_get($part['id_user']) ?>"><?= $part['username'] ?></span>
				</div>

				<div class="d-ib w-40 ta-r c-b">
					<img src="<?= public_url('icon/resyrs/exp', 'png') ?>" width="16px" alt="" class="va-m">
					<small class="exp-color" class="va-m"><?= number_reduct($part['exp']) ?></small>
				</div>

				<div class="d-t w-100">
					<div class="d-tr">
						<div class="d-tc ta-l">
							<small class="fs-0-8em va-m silver"><?= $part['rank'] ?></small>
						</div>
						<?php if ($user_clan_id == $clan_id): ?>
						<div class="d-tc ta-r">
							<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="16px" class="va-m">
							<small class="mutagen-color fs-0-8em mlm-3 mr-1 va-m"><?= number_reduct($part['mutagen']) ?></small>
							
							<img src="<?=  public_url('/icon/resyrs/baks', 'png') ?>" width="16px" class="va-m">
							<small class="bucks-color fs-0-8em mlm-3 mr-1 va-m"><?= number_reduct($part['bucks']) ?></small>
							
							<img src="<?=  public_url('/icon/resyrs/me', 'png') ?>" width="16px" class="va-m">
							<small class="metal-color fs-0-8em mlm-3 va-m"><?= number_reduct($part['metal']) ?></small>
							
							<img src="<?=  public_url('/icon/resyrs/pan', 'png') ?>" width="16px" class="va-m">
							<small class="pancers-color fs-0-8em mlm-3 mr-1 va-m"><?= number_reduct($part['pancers']) ?></small>
						</div>
						<?php endif ?>
					</div>
				</div>
			</a>

		<?php endforeach ?>
		
		</div>
		
		<span class="c-b"> </span>
	<?php endif ?>
<?php endif ?>
<div class="mt-4"> </div>
