<div class="za_fon">
	<div class="title">
		<b>Почта</b>
	</div>
</div>

<?php if ($clean_confirm): ?>
<div class="fon-tex ta-c fs-0-9em">
	Вы уверены, что хотите очистить всю свою почту?<br>
	<a href="<?= subord_url('mail', "clean=1") ?>" class="mt-1"><u>Очистить</u></a>
</div>
<?php endif ?>

<?php foreach ($contacts as $key => $val): ?>
<div class="fon-chat-mess p-5 pl-3 pr-3 ta-l">
	<a href="<?= subord_url('mail', "id_interlocutor=$val[id_interlocutor]") ?>" class="d-b">
		<?= html::turtle_icon_get($val['id_interlocutor']) ?>
		<span class="va-m mlm-2 a-hover <?= html::user_nick_class_get($val['id_interlocutor']) ?>"><?= $val['interlocutor_name'] ?></span>
		<?= ($val['messages_new_num'] > 0) ? "<span class='yellow va-m'> (+$val[messages_new_num])</span>" : '' ?>

		<div class="mt-4 ml-3 chat-mess-text a-hover">
			<?= show_html_messages::show(trim(mb_substr($val['message_last'], 0, 50))) ?>...
		</div>
	</a>
</div>
<?php endforeach ?>

<div class="ta-c mt-2 fon-tex-nav">
<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('mail', 'clean') ?>" class="button-new d-b ta-c mt-2">
	<img src="<?= public_url('/icon/broom', 'png') ?>" alt="" class="va-m">
	<span class="va-m">Очистить Почту</span>
</a>

<div class="mt-4"> </div>
