<div class="za_fon">
	<div class="title">
		<b>Команда на: <span class="fs-0-9em"><?= $location_name ?></span></b>
	</div>
</div>

<!-- логотип -->
<div class="log _ml2">&nbsp;</div>

<div class="mt-1 ta-c fon-tex advent-ml">
	<div class="coloros">
		<span class="coloros">Участники:</span>
		<span class="silver fs-0-9em">
			<b><?= $seats_num ?></b> / <?= $seats_num_max ?>
		</span>
	</div>
</div>

<!-- список участников -->
<div>
	<?php foreach ($part as $user): ?>
	
		<a href="<?= subord_url('profile', "id_user=$user[id]") ?>" class="d-ib ta-l pl-8 fs-1em rating-ml w-90 f-l <?= ($is_leader && $user['id'] != $user_id) ? 'w-85' : 'w-100' ?>" style="box-sizing: border-box;">
			<div>
				<?= html::turtle_icon_get($user['id']) ?>
				<span class="va-m a-hover <?= html::user_nick_class_get($user['id']) ?>"><?= $user['name'] ?></span>
			</div>
			
			<div class="ml-2">
				<img src="<?= public_url('icon/stat/health-2', 'png') ?>" width="15px" class="va-m">
				<span class="va-m mlm-2 fs-0-8em health-2-color"><?= number_format($user['health']) ?></span>
				
				<img src="<?= public_url('icon/stat/damage', 'png') ?>" width="15px" class="va-m">
				<span class="va-m mlm-2 fs-0-8em damage-color"><?= number_format($user['damage']) ?></span>
			</div>
		</a>
		<?php if ($is_leader && $user['id'] != $user_id): ?>
		
			<a href="<?= subord_url('ml2_command', "expel=$user[id]") ?>" class="d-ib ta-c va-m orangeRed rating-ml w-9 f-l ml-2" style="padding-top: 14px;padding-bottom: 18px;">
				<b>x</b>
			</a>
			
		<?php endif ?>
		
		<br class="c-b">
		
	<?php endforeach ?>
</div>
	
<div class="fon-tex mt-2">

	<a href="<?= subord_url('ml2_command') ?>" class="atom atom-green w-30 ta-c">Обновить</a>
	
<?php if ($is_leader): ?>

	<a href="<?= subord_url('ml2_command', 'start') ?>" class="atom atom-red w-30 ta-c">Начать бой</a>
	
<?php endif?>

</div>

<?php foreach ($chat as $message): ?>
	<div class="fon-tex ta-l fs-1em">
		<?= html::turtle_icon_get($message->id_user) ?>
		<span class="va-m <?= html::user_nick_class_get($message->id_user) ?>"><?= $message->user_name ?>:</span>
		<span class="va-m fs-0-9em"><?= show_html_messages::show($message->text) ?></span>
	</div>
<?php endforeach ?>

<form method="post" class="mt-1 mb-2">
	<textarea name="message" class="textarea-default mb-1"></textarea>
	<input type="submit" value="Написать" class="cht">
</form>


<div class="fon-tex mt-3">

	<a href="<?= subord_url('ml2_command', 'leave') ?>" class="atom atom-grey w-30 ta-c">Покинуть</a>
	
	<?php if ($is_leader): ?>
	
	<a href="<?= subord_url('ml2_command', 'dissolve') ?>" class="atom atom-grey w-30 mt-1 ta-c">Распустить</a>
	
	<?php endif ?>
	
	<hr>
	
	<div class="fs-0-9em mt-3">
		<?php if ($is_open): ?>
			<span class="limeGreen"><b>Команда открыта</b> (вход для всех)</span>
		<?php else: ?>
			<span class="tomato"><b>Команда закрыта</b> (вход только по приглашению)</span>
		<?php endif ?>
	</div>

	<?php if ($is_leader): ?>
	
	<div class="mb-2">
	
	<?php if ($is_open): ?>
		
		<a href="<?= subord_url('ml2_command', 'access') ?>" class="atom atom-red ta-c mt-6">Закрыть Команду</a>

	<?php else: ?>
	
		<a href="<?= subord_url('ml2_command', 'access') ?>" class="atom atom-green ta-c mt-6">Открыть Команду</a>
		
	<?php endif ?>
		
	</div>
		
	<?php endif ?>
</div>
