<div class="za_fon">
	<div class="title">
		<b><?= $news->title ?></b>
	</div>
</div>

<div class="ta-l atom-m p-5">
	<?= html::turtle_icon_get($news->id_creator) ?>
	<a href="<?= subord_url('profile', "id=$news->id_creator") ?>" class="va-m <?= html::user_nick_class_get($news->id_creator) ?>">
		<?= user::login_get($news->id_creator) ?>
	</a>
	<div class="mt-3 ta-l va-m"><?= show_html_messages::show($news->text) ?></div>
</div>

<?php if ($is_privilege_news_edit): ?>
<a href="<?= subord_url('news_edit', "id=$news->id") ?>" class="fon-tex d-b ta-c mt-2">Редактировать новость</a>
<?php endif ?>
<?php if ($is_privilege_news_delete): ?>
<a href="<?= subord_url('news_detail', "id=$news->id&delete") ?>" class="fon-tex d-b ta-c mt-1">Удалить новость</a>
<?php endif ?>

<div class="d-b title  ta-c fs-1em advent-ml coloros mt-2 mb-2">
Комментарии (<?= $comments_num ?>)
</div>

<?php if ($recipient_id): ?>
	<div class="mt-2 mb-2">Ответ для <a href="<?= subord_url('profile', "id_user=$recipient_id") ?>"><?= user::login_get($recipient_id) ?></a></div>
<?php endif ?>
<form method="post">
	<textarea name="comment"class="textarea-default mb-2"></textarea>
	<input type="submit" class="cht" value="Комментировать">
</form>

<?php foreach ($comments as $comment): ?>
	<div class="fon-tex mt-1 mb-1 ta-l">
		<div>
			<?= html::turtle_icon_get($comment['id_user']) ?>
			<a href="<?= subord_url('profile', "id_user=$comment[id_user]") ?>" class="va-m <?= html::user_nick_class_get($comment['id_user']) ?>"><?= user::login_get($comment['id_user']) ?></a>
			<?php if ($user_id != $comment['id_user']): ?>
			<a href="<?= subord_url('news_detail', "id=$news->id&recipient_id=$comment[id_user]") ?>" class="mt-4">
				<img src="<?= public_url('/icon/otvet', 'png') ?>" alt="" class="va-m" width="16px">
			</a>
			<?php endif ?>
			<span class="f-r va-m fs-0-8em gray">» <?= date('d.m, y:h', $comment['timestamp']) ?></span>
		</div>
		<div class="pt-2">
			<?php if ($comment['id_recipient']): ?>
			<span class="<?= ($user_id == $comment['id_recipient']) ? 'chartreuse' : '' ?>"><?= user::login_get($comment['id_recipient']) ?></span>
			<?php endif ?>
			<?= show_html_messages::show($comment['text']) ?>
		</div>
		<?php if ($is_privilege_comment_delete): ?>
		<a href="<?= subord_url('news_detail', "id=$news->id&comment_delete=$comment[id]") ?>" class="mt-4">Удалить</a>
		<?php endif ?>
	</div>
<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-3"><?php view('_pagination', ['pag' => $comments_pag]) ?></div>

<a href="<?= subord_url('news') ?>" class="button-new mb-4 mt-2 d-b">
	<i class="icon-left"> </i> 
	<span class="va-m">К Новостям</span>
</a>