<div class="ta-c">
<?php if ( ! is_null($ban_shoot) && $user_position > 1): ?>
	<div class="fon-tex mb-1 fs-0-9em">
		Вы уверены, что хотите снять бан с этого персонажа?
		<a href="<?= subord_url('profile', "id_user=$user_id&ban_shoot=1") ?>" class="box-link d-b mt-1 va-m u">Снять</a>
	</div>
<?php endif ?>

<?php if ( ! is_null($clan_expel) && $user_expel_user): ?>
	<div class="fon-tex mb-1 fs-0-9em">Вы уверены, что хотите исключить этого игрока из клана?
		<a href="<?= subord_url('profile', "id_user=$user_id&clan_expel=1") ?>" class="d-b mt-1 u">Исключить</a>
	</div>
<?php endif ?>
</div>

<div class="za_fon">
	<div class="title">
		Профиль 
		<b><?= $username ?></b>
	</div>
</div>

<?php if ($ban): ?>
	<div class="mt-1 fs-1em fon-tex"><?= $ban ?></div>
<?php endif ?>

<div class="fon-tex ta-c mt-1 pb-8">
	<?php if ($position > 1): ?>
		<div>
			<span class="va-m <?= html::user_position_login_class_get($user_id) ?>"><?= $position_name ?></span>
		</div>
	<?php endif ?>
	
	<!-- ник -->
	<div>
		<b class="ForestGreen va-m">Ник:</b>
		<span class="coloros va-m"><?= $username ?></span>
	</div>
	
	<!-- уровень -->
	<div>
		<b class="ForestGreen va-m">Уровень:</b>
		<span class="coloros va-m"><?= $user_level ?></span>
	</div>
	
	<!-- персонаж -->
	<div>
		<b class="ForestGreen va-m">Персонаж:</b>
		<?= $user_turtle_icon ?>
		<span class="coloros va-m"><?= $user_turtle_name ?></span>
	</div>
	
	<!-- клан -->
	<div>
		<b class="ForestGreen va-m">Клан:</b>
		<?php if ($clan_name): ?>
		<a href="<?= subord_url('clan', "id_clan=$clan_id") ?>" class="u va-m"><?= $clan_name ?></a>
		<span class="forestGreen va-m">(<?= $clan_rank ?>)</span>
		<?php else: ?>
		<span class="gray va-m">Без клана</span>
		<?php endif ?>
	</div>
</div>

<!-- персонаж -->
<table class="w-100 fon-tex ta-c">
	<tr>
		<td width="33%" class="fs-1em">
			<div>
				<img src="<?=  public_url('/icon/stat/icon_hp', 'png') ?>"width="11px"class="va-m">
				<span class="coloros va-m"><?= number_format($user_param['health']) ?></span>
			</div>
			
			<div>
				<img src="<?=  public_url('/icon/stat/icon_str', 'png') ?>"width="11px"class="va-m">
				<span class="coloros va-m"><?= number_format($user_param['power']) ?></span>
			</div>
			
			<div>
				<img src="<?=  public_url('/icon/stat/lor', 'png') ?>"width="11px"class="va-m">
				<span class="coloros va-m"><?= number_format($user_param['agil']) ?></span>
			</div>
			
			<div>
				<img src="<?=  public_url('/icon/stat/in', 'png') ?>"width="11px"class="va-m">
				<span class="coloros va-m"><?= number_format($user_param['intell']) ?></span>
			</div>
			
			<div>
				<img src="<?=  public_url('/icon/stat/sum', 'png') ?>"width="11px"class="va-m">
				<span class="coloros va-m"><?= number_format($user_param_sum) ?></span>
			</div>
		</td>
		
		<td width="33%">
			<img src="<?= public_url("icon/weapon/$user_turtle", 'png') ?>" width="93px" class="filter-green">
		</td>
		
		<td width="33%" class="fs-1em va-m">
			<?php if ($is_premium): ?>
			<div style="bottom:33px;left:32px;position: relative;">
				<img src="<?= public_url('/icon/vip', 'png') ?>" width="36">
			</div>
			<?php endif ?>
			
			<div>
				<img src="<?= public_url('/icon/stat/health-2', 'png') ?>" width="14px" alt="" class="va-m">
				<span class="health-2-color va-m"><?= number_format($user_health) ?></span><br>
			</div>
			
			<div>
				<img src="<?= public_url('/icon/stat/damage', 'png') ?>"width="14px" alt="" class="va-m">
				<span class="damage-color va-m"> <?= number_format($user_damage) ?></span>
			</div>
		</td>
	</tr>
</table>

<!-- полоска уровня, опыт -->
<?php if ($user_id == ID): ?>
<div class="fon-tex p-3 profile-lvl">
	<table class="fs-0-9em" width="100%">
		<tr>
			<td width="16%">
				<?= $user_level ?> ур.
			</td>
			<td width="68%">
				<div class="progress-bar mt-3" style="box-shadow: 0px 0px 3px 1px #114111;">
					<div style="width:<?= (int) ceil(compercent($user_currency['exp'], $user_exp_next)) ?>%;" class="progress _green">
						&nbsp;
					</div>
				</div>
			</td>
			
			<td width="16%"class="pr-10"> <?= (int) ceil(compercent($user_currency['exp'], $user_exp_next)) ?>%
			</td>
		</tr>
	</table>
	<div class="mt-5 fs-0-9em">
		<img src="<?=  public_url('/icon/resyrs/exp', 'png') ?>"width="16px" class="va-m mb-2">
		<span>Опыт:</span>
		<span class="coloros">
			<?= number_reduct($user_currency['exp']) ?> / <?= number_reduct($user_exp_next) ?>
		</span>
	</div>
</div>
<?php endif ?>

<!-- премиум -->
<?php if ($is_premium): ?>
	<?php if ($user_id == ID): ?>
	  <div class="fon-tex lawnGreen">
		<span>Премиум-аккаунт:</span>
		<span class="coloros"><?= seconds_format($premium_seconds_end) ?></span>
	  </div>
	<?php endif ?>
<?php endif ?>

<!-- другая инфа -->
<div class="fon-tex ta-l">
	<div class="fs-0-9em">
		<div>
			Статус:
			<?php if ($is_online): ?>
			<span class="lawnGreen">Онлайн</span>
			<?php else: ?>
			<span class="tomato">Оффлайн</span>
			<?php endif ?>
		</div>
		<div>
			Посл. вход:
			<span class="coloros"><?= $enter_last ?></span>
		</div>
		
		<div>
			Дней в Игре:
			<span class="coloros"><?= (0 < ($in_game_days = at_days($in_game_seconds))) ? $in_game_days : 'менее суток' ?></span>
		</div>
		
		<?php if ($clan_name): ?>
		<div>
			Дней в Клане:
			<span class="coloros"><?= (0 < ($in_clan_days = at_days($in_clan_seconds))) ? $in_clan_days : 'менее суток' ?></span>
		</div>
		<?php endif ?>
	</div>
</div>

<div class="fon-tex mb-3">

<div class="profile-menu">
	<?php if ($user_id != ID): ?>
		<a href="<?= subord_url('mail', "id_interlocutor=$user_id") ?>" class="button-new profile-menu-item">
			<img src="<?= public_url('icon/knicon/mail', 'png') ?>" alt="" width="20" class="va-m">
			<span class="va-m">Написать Сообщение</span>
		</a>
	<?php endif ?>
	
	<?php if ($av_command_invite_send): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&command_invite_send") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/sv', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Пригласить в Команду</span>
	</a>
	<?php endif ?>
	
	<?php if ($user_invite_user): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&clan_invite") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Пригласить в Клан</span>
	</a>
	<?php endif ?>
	
	<?php if ($user_expel_user): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&clan_expel") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Исключить из Клана</span>
	</a>
	<?php endif ?>
		
	<?php if ($user_increase_user): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&clan_increase") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Повысить в Звании</span>
	</a>
	<?php endif ?>
	
	<?php if ($user_lower_user): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&clan_lower") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Понизить в Звании</span>
	</a>
	<?php endif ?>
	
	<!-- выдача/снятие бана -->
	<?php if ($user_id != ID): ?>
		<?php if ($user_position > 1): ?>
	<a href="<?= subord_url('ban_issue', "id_user=$user_id") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/exit', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Выдать Бан</span>
	</a>
			<?php if ($ban_isset): ?>
	<a href="<?= subord_url('profile', "id_user=$user_id&ban_shoot") ?>" class="button-new profile-menu-item">
		<img src="<?= public_url('icon/knicon/exit', 'png') ?>" alt="" width="20" class="va-m">
		<span class="va-m">Снять Бан</span>
	</a>
			<?php endif ?>
		<?php endif ?>
	<?php endif ?>
</div>

<?php if ($user_id == ID): ?>
	<div class="profile-menu">
		<div class="profile-menu-table profile-menu-item">
			<div class="profile-menu-item-row">
				<a href="<?= subord_url('mail') ?>" class="button-new profile-menu-item-cell">
					<img src="<?= public_url('icon/knicon/mail', 'png') ?>" alt="" width="20" class="va-m">
					<span class="va-m">Почта</span>
				</a>
				<a href="<?= subord_url('journal') ?>" class="button-new profile-menu-item-cell">
					<img src="<?= public_url('icon/knicon/jurnal', 'png') ?>" alt="" width="20" class="va-m">
					<span class="va-m">Журнал</span>
				</a>
			</div>
		</div>
		<a href="<?= subord_url('cards_collect', "user_id=$user_id") ?>" class="button-new profile-menu-item">
			<img src="<?= public_url('icon/knicon/collect', 'png') ?>" alt="" width="20" class="va-m">
			<span class="va-m">Коллекция Карточек</span>
		</a>
		<a href="<?= subord_url('setting') ?>" class="button-new profile-menu-item">
			<img src="<?= public_url('icon/knicon/setting', 'png') ?>" alt="" width="20" class="va-m">
			<span class="va-m">Настройки</span>
		</a>
	</div>
<?php endif ?>

	<div class="profile-menu mt-2">
		<a href="<?= subord_url('user_statistic', "id_user=$user_id") ?>" class="button-new d-b coloros va-m">
			<img src="<?= public_url('icon/knicon/adv', 'png') ?>" alt="" width="20" class="va-m">
			<span class="a-hover fs-0-8em b">Статистика</span>
		</a>
	</div>
</div>