<div class="za_fon">
	<div class="title">
		<b class="fs-0-9em">
			<?php if ($type == 'level_clan'): ?>Рейтинг Кланов по Уровню
			<?php endif ?>
			<?php if ($type == 'power_clan'): ?>
			Рейинг Кланов по Могуществу
			<?php endif ?>
		</b>
	</div>
</div>

<div class="fon-tex fs-0-8em tex-nav pt-7">
	<?php if ($type == 'level_clan'): ?>
	<span class="atom atom-grey w-35">По уровню</span>
	<?php else: ?>
	<a href="<?= subord_url('ratings_clan', 'type=level_clan') ?>" class="atom atom-green w-35">По уровню</a>
	<?php endif ?>

	<?php if ($type == 'power_clan'): ?>
	<span class="atom atom-grey w-35">По могуществу</span>
	<?php else: ?>
	<a href="<?= subord_url('ratings_clan', 'type=power_clan') ?>" class="atom atom-green w-35">По могуществу</a>
	<?php endif ?>
</div>

<div class="fon-tex">
	<div class="rating ta-l fs-0-8em">
		<div class="d-tr">
			<div class="rating-place">
				Место
			</div>
			
			<div class="rating-name">
				Имя
			</div>
			
			<div class="rating-score">
			<?php if ($type == 'level_clan'): ?>
				Опыт
			<?php else: ?>
				Могущество
			<?php endif ?>
			</div>
		</div>
	</div>
</div>

<?php foreach ($rait as $key => $val): ?>

<a href="<?= subord_url('clan', "id_clan=$val[id]") ?>" class="rating rating-box">
	<div class="rating-place">
		<span class="va-m silver"><?= $pag->counter($key + 1) ?></span>
	</div>
	
	<div class="rating-name">
		<img src="<?= public_url('icon/knicon/clan', 'png') ?>" alt="" width="18" class="va-m">
		<span class="va-m a-hover">
			<?= $val['name'] ?>
		</span>
	</div>
	
	<div class="rating-score">
		<span class="d-ib pr-9 silver">
			<span class="rating-score-score"><?= ($type == 'power_clan') ? number_format($val['score']) : number_reduct($val['score']) ?></span>
		</span>
	</div>
</a>

<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('clan_search') ?>" class="button-new backbutton ta-l mt-4">
	<i class="icon-exit"> </i>
	<span class="va-m">Поиск Клана</span>
</a>

<a href="<?= subord_url('ratings') ?>" class="button-new backbutton ta-l">
	<i class="icon-clan"> </i>
	<span class="va-m">Рейтинг Игроков</span>
</a>

<div class="mt-4"> </div>
