<div class="za_fon">
	<div class="title">
		<b>Рейтинг по
		<?php if ($type == 'stats'): ?>
		Параметрам
		<?php endif ?>
		<?php if ($type == 'exp'): ?>
		Опыту
		<?php endif ?>
		</b>
	</div>
</div>

<div class="fs-0-8em fon-tex tex-nav pt-7">
	<?php if ($type == 'stats'): ?>
	<span class="atom atom-grey w-35">По параметрам</span>
	<?php else: ?>
	<a href="<?= subord_url('ratings', 'type=stats') ?>"class="atom atom-green w-35">По параметрам</a>
	<?php endif ?>

	<?php if ($type == 'exp'): ?>
	<span class="atom atom-grey w-35">По опыту</span>
	<?php else: ?>
	<a href="<?= subord_url('ratings', 'type=exp') ?>"class="atom atom-green w-35">По опыту</a>
	<?php endif ?>
</div>
  
<div class="fon-tex">
	<div class="rating ta-l fs-0-8em">
		<div class="d-tr">
			<div class="rating-place">
				Место
			</div>
			
			<div class="rating-name">
				Имя
			</div>
			
			<div class="rating-score">
			<?php if ($type == 'exp'): ?>
				Опыт
			<?php else: ?>
				Параметры
			<?php endif ?>
			</div>
		</div>
	</div>
</div>

<?php foreach ($rait as $key => $val): ?>

<a href="<?= subord_url('profile', "id_user=$val[id_user]") ?>" class="rating rating-box">
	<div class="rating-place">
		<span class="va-m silver"><?= $pag->counter($key + 1) ?></span>
	</div>
	
	<div class="rating-name">
		<?= html::turtle_icon_get($val['id_user']) ?>
		<span class="va-m a-hover <?= html::user_nick_class_get($val['id_user']) ?> <?= ($val['id_user'] == ID) ? 'chartreuse' : '' ?>">
			<?= user::login_get($val['id_user']) ?>
		</span>
	</div>
	
	<div class="rating-score">
		<span class="d-ib pr-9 silver">
			<span class="rating-score-score"><?= ($type == 'stats') ? number_format($val['score']) : number_reduct($val['score']) ?></span>
		</span>
	</div>
</a>

<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('user_search') ?>" class="button-new backbutton ta-l mt-4">
	<i class="icon-exit"> </i>
	<span class="va-m">Поиск Игрока</span>
</a>

<a href="<?= subord_url('ratings_clan') ?>" class="button-new backbutton ta-l">
	<i class="icon-clan"> </i>
	<span class="va-m">Клановые Рейтинги</span>
</a>

<div class="mt-4"> </div>
