<div class="za_fon">
	<div class="title">
		<b>Заявка в ТП</b>
	</div>
</div>

<div class="fon-tex ta-l">
	<div>
		<?= html::turtle_icon_get($app->id_user) ?>
		<a href="<?= subord_url('profile', "id_user=$app->id_user") ?>" class="va-m <?= html::user_nick_class_get($app->id_user) ?>">
			<?= user::login_get($app->id_user) ?>
		</a>
		<span class="gray va-m fs-0-8em f-r">» <?= date('d.m, H:i', $app->timestamp) ?></span>
	</div>
	<div class="mt-3">
		<span><?= show_html_messages::show($app->text) ?></span>
	</div>
	<div class="fs-0-9em mt-4">
		<?php if ($app->status == 1): ?>
		<span class="lawnGreen">[Открытая]</span>
		<?php elseif ($app->status == 2): ?>
		<span class="tomato">[Закрытая]</span>
		<?php endif ?>

		<?php if ($user_position > 1): ?>
		<?php if ($app->status == 1): ?>
		<a href="<?= subord_url('support_detail', "id=$app->id&close") ?>">Закрыть</a>
		<?php elseif ($app->status == 2): ?>
		<a href="<?= subord_url('support_detail', "id=$app->id&open") ?>">Открыть</a>
		<?php endif ?>
		<?php endif ?>
	</div>
</div>

<div class="fon-tex ta-c fs-1em advent-ml coloros br-y mt-2">Комментарии</div>

<?php if ($user_position > 1 || $app->status == 1): ?>
<form method="post">
	<textarea name="comment_text" class="textarea-default mb-2"></textarea>
	<input type="submit" value="Добавить" class="cht mb-2">
</form>
<?php endif ?>

<?php foreach ($app_comments as $comment): ?>
<div class="fon-tex ta-l">
	<div>
		<?= html::turtle_icon_get($comment->id_user) ?>
		<a href="<?= subord_url('profile', "id_user=$comment->id_user") ?>" class="va-m <?= html::user_nick_class_get($comment->id_user) ?>">
			<?= user::login_get($comment->id_user) ?>
		</a>
		<span class="f-r va-m fs-0-8em gray">» <?= date('d.m, H:i', $comment->timestamp) ?></span>
	</div>
	<div class="fs-0-9em">
		<span><?= show_html_messages::show($comment->text) ?></span>
	</div>
</div>
<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('support') ?>" class="button-new mt-2 mb-4">
	<i class="icon-left"> </i>
	<span class="va-m">Назад</span>
</a>