<div class="za_fon">
	<div class="title">
		<b>Тех. Поддержка</b>
	</div>
</div>

<div class="rating-box ta-c p-5 o-h fs-0-9em b">
<?php if ($user_position > 1): ?>
 	Запросы Игроков
<?php else: ?>
	Мои Запросы
<?php endif ?>
</div>

<?php if ( ! is_null($clean) && $user_position > 2): ?>
<div class="fon-tex mb-1 fs-0-9em">
	<div>Вы уверены, что хотите сделать очистку тех. поддержки?! (лучше не стоит)</div>
	<a href="<?= subord_url('support', 'clean=1') ?>" class="mt-1 u">Подтверждаю</a>
</div>
<?php endif ?>

<?php foreach ($app_all as $app): ?>
<div class="fon-tex ta-l">
	<a href="<?= subord_url('support_detail', "id=$app->id") ?>" class="d-b">
		<?php if ($user_position > 1): ?>
			<?= html::turtle_icon_get($app->id_user) ?>
			<span class="va-m color3"><?= user::login_get($app->id_user) ?>:</span>
		<?php endif ?>
		<span class="va-m"><?= trim(mb_substr($app->text, 0, 26)) ?>...</span>
		<?php if ($user_position > 1): ?>
			<?php if ($app->for_admin > 0): ?>
				<span class="fs-0-9em lawnGreen">(+<?= $app->for_admin ?>)</span>
			<?php endif ?>
		<?php else: ?>
			<?php if ($app->for_user > 0): ?>
				<span class="va-m lawnGreen">(+<?= $app->for_user ?>)</span>
			<?php endif ?>
		<?php endif ?>
		<br>
		<?php if ($app->status == 1): ?>
			<span class="fs-0-9em lawnGreen va-m">[открытая]</span>
		<?php elseif ($app->status == 2): ?>
			<span class="fs-0-9em tomato va-m">[закрытая]</span>
		<?php endif ?>
	</a>
</div>
<?php endforeach ?>

<div class="ta-c fon-tex-nav mt-2">
	<?php view('_pagination', ['pag' => $pag]) ?>
</div>

<a href="<?= subord_url('support_app_create') ?>" class="d-b button-new ta-c mt-2">Создать Заявку</a>

<?php if ($user_position > 2): ?>
<a href="<?= subord_url('support', 'clean') ?>" class="d-b button-new ta-c mt-1">
	<img src="<?= public_url('icon/broom', 'png') ?>" alt="" class="va-m">
	<span class="va-m">Очистка <span class="tomato">[не рекомендуется]</span></span>
</a>
<?php endif ?>

<div class="mt-4"> </div>
