<div class="za_fon">
	<div class="title">
		<b>
			Зачистка
			<small>(<?= $enemies_overall_num ?>)</small>
		</b>
	 </div>
</div>

<!-- подтверждение на покупку боев -->
<?php if ($buy_confirm): ?>
	<div class="fon-tex">
		<div>Вы уверены что хотите купить бои?</div>
		<div>
			<a href="<?= subord_url('sweeping', 'buy') ?>" class="u">Купить</a>
		</div>
	</div>
<?php endif ?>

<!-- победа / поражение -->
<?php if ( ! is_null($battle_result)): ?>
	<div class="mt-2 mb-3">
	<?php if ($battle_result == 1): ?>
		<div class="box-popeda">
			<b class="limeGreen">Победа</b>
		</div>
	<?php endif ?>
	<?php if ($battle_result == 0): ?>
		<div class="box-pora">
			<b class="tomato">Поражение</b>
		</div>
	<?php endif ?>
	</div>
<?php endif ?>
	
	
	
<?php if ($enemies_overall_num < 1): ?>
<div class="lightCoral mt-1 fon-tex ta-c osvet-2">
	<div>
		<b>Нет противников!</b>
	</div>
	
	<span class="fs-0-8em">
		Следующий противник через:
		<u><?= seconds_format($enemy_recovery_seconds_left) ?></u>
	</span>
	
	<div class="yellowGreen mt-1">
		Все противники через:
		<u><?= seconds_format($enemies_all_recovery_seconds_left) ?></u>
	</div>
</div>
<?php endif ?>

<?php if ($enemies_overall_num > 0): ?>
<div class="fon-tex ta-l fs-0-9em" style="padding: 2px 6px 2px 5px;">
	<table width="100%">
	<tr>
		<td class="sweeping-left" width="36%">
			<a href="<?= subord_url('sweeping', 'attack') ?>" class="d-ib sweeping-enemy-img">
				<img src="<?= public_url("/cards/$enemy_id", 'png') ?>" class="va-m">
			</a> 
		</td>

		<td class="fs-0-9em">
			<div class="ml-5">
				<div class="red">
					<img src="<?= public_url('/icon/stat/item','png') ?>" width="15px" class="va-m mb-2">
					<b class="va-m"><?= $enemy_name ?></b>
				</div>
				
				<div>
					<img src="<?= public_url('/icon/stat/icon_hp','png') ?>" width="14px" class="va-m mb-2">
					<span class="va-m">Выносливость:</span>
					<span class="coloros va-m"><?= number_format($enemy_stats['health']) ?></span>
				</div>
				
				<div>
					<img src="<?= public_url('/icon/stat/icon_str','png') ?>" width="14px" class="va-m mb-2">
					<span class="va-m">Сила:</span>
					<span class="va-m coloros"><?= number_format($enemy_stats['power']) ?></span>
				</div>
				
				<div>
					<img src="<?=public_url('/icon/stat/lor','png') ?>" width="14px" class="va-m mb-2">
					<span class="va-m">Ловкость:</span>
					<span class="va-m coloros"><?= number_format($enemy_stats['agil']) ?></span>
				</div>
				
				<div class="mb-5">
					<img src="<?=public_url('/icon/stat/in','png') ?>" width="14px" class="va-m mb-2">
					<span class="va-m">Интеллект:</span>
					<span class="va-m coloros"><?= number_format($enemy_stats['intell']) ?>
				</div>
			</div>

			<div class="button-red-left d-ib f-l">&nbsp;</div>
			<a class="button-red-content fs-1em f-l" href="<?= subord_url('sweeping', 'attack') ?>">
				<b class="va-m">Атаковать</b>
			</a>
			<div class="button-red-right d-ib f-l">&nbsp;</div>
		</td>
	</tr>
	</table>
</div>
<?php endif ?>

<div class="fon-tex">
	<div class="coloros mb-3">
		<span class="va-m"><?= $battles_num_purchase ?> боёв за</span>
		<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="18px" class="va-m">
		<span class="mutagen-color va-m"><?= $battles_price_mutagen_purchase ?></span>
	</div>
	
	<a href="<?= subord_url('sweeping', 'buy=confirm') ?>" class="atom atom-green w-40 mt-2">Купить</a>
	
	<hr>
	
	<div class="fs-0-9em">
		<small class="prim">
			<span class="b">Примечание:</span> все, купленные бонусные бои, сбрасываются на следующий день.
		</small>
	</div>
</div>