<?php extract((new model\footer_enter)->get()) ?>
<div class="ta-c">

   <!--Команда-->
   <?php if ($in_command): ?>
   <div class="mb-1 ta-l fon-tex">
		<a href="<?= subord_url('ml2_command') ?>" class="va-m d-ib">
			<img src="<?= public_url('icon/knicon/sv', 'png') ?>" alt="" width="20" class="va-m">
			<span class="va-m mlm-3 b u">Команда:</span>
		</a>
		<?php foreach ($command as $part): ?>
			<a href="<?= subord_url('profile', "id_user=$part[user_id]") ?>" class="d-ib a va-m">
				<?= html::turtle_icon_get($part['user_id']) ?>
				<span class="va-m a-hover <?= html::user_nick_class_get($part['user_id']) ?>"><?= $part['name'] ?></span>
			</a>
		<?php endforeach ?>
	</div>
   <?php endif ?>

   <!--Акции-->
   <?php if ($is_stock): ?>
<div class="yellowGreen mt-1 p-6 nta-c mb-2 mb-1 osvet-skitka tout">
   <div><b class="orange">Акция!</b></div>
   <?php foreach ($stock as $stck): ?>
   <div>
   <?php if ($stck['link']): ?><a href="<?= $stck['link'] ?>"><?php endif ?>
   <span class="fs-0-9em <?= ($stck['plus']) ? 'lawnGreen' : 'cyan' ?>">
   <?= $stck['text'] ?>
   <?php if ($stck['discount']): ?>
   <?= ($stck['plus'] ? '+' : '') ?><?= $stck['discount'] ?>%
   <?php endif ?>
   </span>
   <?php if ($stck['link']): ?></a><?php endif ?>
   </div>
   <?php endforeach ?>
   <div class="gray fs-0-9em">Осталось: <?= seconds_format($end_of_stock_seconds_left) ?></div>
   </div>
   <?php endif ?>
   <!--/Акции-->














<!--Если не сохранены-->
<?php if (is_null(get_userpassword_by_id(ID))): ?>
<div class="d-b p-6 mb-1">
<div class="orangeRed b">Вы не сохранены!</div>
   <a href="<?= subord_url('save') ?>" class="b u">Сохранитесь</a>
	<span class="d-ib dodgerBlue">и получите
		<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>" width="18px" class="va-m">
		<span class="va-m b mutagen-color"><?= $save_mutagen_num ?></span> в подарок.
	</span>
</div>
<?php endif ?>


<!--Ресурсы-->
<div class="title-res fs-1em">
	<img src="<?= public_url('/icon/resyrs/myt', 'png') ?>" width="18px" class="va-m">
	<span class="mutagen-color va-m mlm-2"><?= number_reduct($currency['mutagen']) ?></span>
	
	<img src="<?= public_url('/icon/resyrs/baks', 'png') ?>" width="18px" class="va-m">
	<span class="bucks-color va-m mlm-2"> <?= number_reduct($currency['bucks']) ?></span>
	
	<img src="<?= public_url('/icon/resyrs/me', 'png') ?>" width="18px" class="va-m">
	<span class="metal-color va-m mlm-2"><?= number_reduct($currency['metal']) ?></span>
	
	<img src="<?=  public_url('/icon/resyrs/pan', 'png') ?>" width="18px" class="va-m">
	<span class="pancers-color va-m mlm-2"><?= number_reduct($currency['pancers']) ?></span>
</div>

<!--кнопки наигации-->
<table width="100%" border="0" cellpadding="0px" cellspacing="0" class="nav">
	<tr>
		<td width="25%">
			<a class="home"href="<?= subord_url('home') ?>">
				<img src="<?=  public_url('/icon/home', 'png') ?>"width="35px"><br>
				Главная
			</a>
		</td>

		<td width="25%">
			<a class="ratings" href="<?= subord_url('ratings') ?>">
				<img src="<?=  public_url('/icon/ratings', 'png') ?>"width="35px"><br>
				Рейтинг
			</a>
		</td>

		<td width="25%">
			<a class="user" href="<?= subord_url('profile') ?>">
				<img src="<?=  public_url('/icon/user', 'png') ?>"width="35px"><br>
				Профиль
			</a>
		</td>

		<td width="25%">
			<a class="clan <?= ($is_clan_event) ? 'lime' : '' ?>" href="<?= subord_url('clan') ?>">
				<img src="<?=  public_url('/icon/knicon/clan', 'png') ?>"width="35px"><br>
				<span class="clan">Клан</span>
			</a>
		</td>
	</tr>
</table>

<!--Прочее-->
<div class="title-res">
	<a href="<?= subord_url('chat') ?>" class="u">Чат</a> |
	<a href="<?= subord_url('news') ?>" class="u">Новости</a>
</div>

<div class="fon-tex-footer ta-c gray">
	<div>
		<a href="<?= subord_url('support') ?>">Поддержка</a> |
		<a href="<?= subord_url('help') ?>">Справка</a> |
		<a href="<?= subord_url('online') ?>"> Онлайн: <?= $online_num ?></a>
	</div>
	<div class="fs-0-9em">Время: <?= date('H:i:s') ?></div>
	
	<a href="<?= subord_url('exit') ?>" class="va-m	">Выйти</a>
</div>




<div class="w-200px alc pos-r lptp comp_menu_left">
	<div class="vner">&nbsp;</div>
	<div class="ta-c">
		<a class="button_200px" href="<?= subord_url('profile') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/user','png') ?>">
			</div>
			<div class="button_200px_content">Профиль</div>
		</a>
		<a class="button_200px" href="<?= subord_url('journal') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/jurnal','png') ?>">
			</div>
			<div class="button_200px_content">
				Журнал
				<?= ($journal_records_new > 0) ? "<span class='yellow'>(+$journal_records_new)</span>" : '' ?>
			</div>
		</a>
		<a class="button_200px" href="<?= subord_url('mail') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/mail','png') ?>">
			</div>
			<div class="button_200px_content">
				Почта
				<?= ($messages_num > 0) ? "<span class='yellow'>(+$messages_num)</span>" : '' ?>
			</div>
		</a>
		<a class="button_200px" href="<?= subord_url('support') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/mail','png') ?>">
			</div>
			<div class="button_200px_content">
				Поддержка
				<?= ($support_comments_new > 0) ? "<span class='yellow'>(+$support_comments_new)</span>" : '' ?>
			</div>
		</a>
		<a class="button_200px" href="<?= subord_url('setting') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/setting','png') ?>">
			</div>
			<div class="button_200px_content">Настройки</div>
		</a>
		<br>
		<a class="button_200px" href="<?= subord_url('bank') ?>">
			<div class="button_200px_image">
				<img src="<?= public_url('/icon/knicon/bank','png') ?>"></span>
			</div>
			<div class="button_200px_content">Купить Мутаген</div>
		</a>
	</div>
	<div class="vner2">&nbsp;</div>
</div>


<div class="w-200px alc lptp comp_menu_right">
	<div class="vner">&nbsp;</div>
	<div class="ta-c">
		<a class="button_200px <?= ($is_clan_event_2) ? 'button_200px_new' : '' ?>" href="<?= subord_url('clan') ?>">
			<div class="button_200px_image">
				<img src="<?= public_url('/icon/knicon/clan', 'png') ?>">
			</div>
			<div class="button_200px_content">
				<span>Клан</span>
			</div>
		</a>
		<a class="button_200px <?= ($clan_chat_new) ? 'button_200px_new' : '' ?> <?= ( ! $is_user_clan) ? 'button_200px_deact' : '' ?>" href="<?= subord_url('chat_clan') ?>">
			<div class="button_200px_image">
				<img src="<?= public_url('/icon/knicon/mail', 'png') ?>">
			</div>
			<div class="button_200px_content">
				<span class="<?= ( ! $is_user_clan) ? 'dimGray' : '' ?>">Клановый Чат</span>
			</div>
		</a>
		<a class="button_200px" href="<?= subord_url('ratings') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/fag','png') ?>">
			</div>
			<div class="button_200px_content">Рейтинги</div>
		</a>
		<a class="button_200px" href="<?= subord_url('chat') ?>">
			<div class="button_200px_image">
				<img src="<?= public_url('/icon/knicon/mail','png') ?>">
			</div>
			<div class="button_200px_content">
				<span>Чат</span>
			</div>
		</a>
		<a class="button_200px <?= ($news_is_new) ? 'button_200px_new' : '' ?>" href="<?= subord_url('news') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/mail','png') ?>">
			</div>
			<div class="button_200px_content">
				Новости
			</div>
		</a>
		<br>
		<a class="button_200px" href="<?= subord_url('online') ?>">
			<div class="button_200px_image">
				<img src="<?=  public_url('/icon/knicon/im','png') ?>">
			</div>
			<div class="button_200px_content">
				<span>Онлайн</span>
				<span>(<?= $online_num ?>)</span>
			</div>
		</a>
	</div>
	<div class="vner2">&nbsp;</div>
</div>