<?php extract((new model\header_enter)->get()) ?>

<div class="header">
   <div class="header-line">
	<?php if ($messages_new): ?>
		<a href="<?= subord_url('mail') ?>" class="header-left header-left-mail fon-tex">
			<img src="<?= public_url('/icon/sms', 'png') ?>" alt="" width="20" class="va-m">
		</a>
	<?php endif ?>

		<a href="<?= get_url() ?>" class="header-center fon-tex fs-0-8em">
			<img src="<?= public_url('/icon/stat/icon_hp', 'png') ?>" alt="" class="va-m" width="10px">
			<span class="va-m mlm-2 mr-2 coloros"><?= $param['health'] ?></span>
			
			<img src="<?= public_url('/icon/stat/icon_str', 'png') ?>" alt="" class="va-m" width="10px">
			<span class="va-m mlm-2 mr-2 coloros"><?= $param['power'] ?></span>
			
			<img src="<?= public_url('/icon/stat/lor', 'png') ?>" alt="" class="va-m" width="10px">
			<span class="va-m mlm-2 mr-2 coloros"><?= $param['agil'] ?></span>
			
			<img src="<?= public_url('/icon/stat/in', 'png') ?>" alt="" class="va-m" width="10px">
			<span class="va-m mlm-2 coloros"><?= $param['intell'] ?></span>
			
		<?php if ( ! $messages_new && ! $journal_new): ?>
			<span class="orange fs-1-1em va-m">|</span>
			<img src="<?= public_url('icon/stat/sum', 'png') ?>" alt="" class="va-m" width="10px">
			<span class="va-m coloros fs-0-8em"><?= number_format(array_sum($param), 0, '.', ' ') ?></span>
		<?php endif ?>
		</a>

	<?php if ($journal_new && PAGE_NAME != 'journal'): ?>
		<a href="<?= subord_url('journal') ?>" class="header-right header-left-mail fon-tex">
			<img src="<?= public_url('icon/tip', 'png') ?>" alt="" width="16">
		</a>
	<?php endif ?>
   </div>
</div>

<?php if ( ! empty($notf['text'])): ?>
<div class="fon-tex-jurnal p-6">
	<!--Обычное уведомление-->
	<?php if ($notf['type'] == 'default'): ?>
	<span class="royalBlue"><?= $notf['text'] ?></span>
	<!--Уведомление об ошибке-->
	<?php elseif ($notf['type'] == 'error'): ?>
	<span class="tomato"><?= $notf['text'] ?></span>
	<?php endif ?>
</div>
<?php endif ?>

<!--Разборки-->
<?php if ($ml1_battle_white_seconds <= 600): ?>
<div class="ta-c p-6 fs-0-9em fon-tex-jurnal mb-1">
   <a href="<?= subord_url('ml1') ?>"class="lime">Разборки - готовность!<br></a>
   До начала:
   <?php if ($ml1_battle_white_seconds <= 180): ?>
   <span class="orangeRed"><?= seconds_format($ml1_battle_white_seconds) ?></span>
   <?php else: ?>
   <?= seconds_format($ml1_battle_white_seconds) ?>
   <?php endif ?>
   <br>
   <a href="<?= subord_url('ml1') ?>" class="u">Войти</a>
</div>
<?php elseif ($ml1_is_battle): ?>
<div class="ta-c p-6 fs-0-9em fon-tex-jurnal osvet-yurnal mb-1">
   <a href="<?= subord_url('ml1') ?>" class="ta-c d-b">
		<span class="lime">Разборки - идёт бой!</span><br>
	</a>
	<a href="<?= subord_url('ml1') ?>"class="fs-0-9em u">В бой</a>
</div>
<?php endif ?>

<!--Канализация-->
<?php if ($ml2_is_battle): ?>
<div class="ta-c p-6 fs-0-9em fon-tex-jurnal osvet-yurnal mb-1">
   <a href="<?= subord_url('ml2_battle') ?>" class="ta-c d-b">
   <span class="lime a-hover">Канализация - идёт бой!</span><br>
	</a>
   <u><a href="<?= subord_url('ml2_battle') ?>"class="fs-0-9em"> В бой</a></u>
</div>
<?php endif ?>

<!--канализация пришлашение в команду-->
<?php if ($command_is_invite): ?>
<div class="ta-c pb-5 fs-0-9em fon-tex-jurnal mb-1">
   <span class="coloros">
      Вас приглашают в команду на
      <?= $command_invite['location_name'] ?>.<br>
      <span class="silver">
      <?= seconds_format($command_invite['seconds_gone']) ?>  назад
      </span>
   </span>
   <div class="mt-4">
      <a href="<?= ruler_url(['command_accept' => 1]) ?>" class="atom atom-green w-35">Принять</a>
      <a href="<?= ruler_url(['command_reject' => 1]) ?>" class="atom atom-grey w-35">Отклонить</a>
   </div>
</div>
<?php endif ?>

<!--Новый уровень-->
<?php if ( ! is_null($level_new)): ?>
<div class="fon-tex-jurnal mb-1 ta-c">
   <span class="coloros">Получен новый уровень!</span>
   <div class="line-hr"></div>
   <b><?= $level_new ?></b>
</div>
<?php endif ?>

<!--Новая карточка-->
<?php if ($card_name): ?>
<div class="fon-tex-jurnal mb-1 ta-c">
   <span class="coloros">Получена новая карточка!</span>
   <div class="line-hr"> </div>
   <b><?= $card_name ?> </b>
</div>
<?php endif ?>

<!--новые параметры-->
<?php if ($param_new): ?>
<div class="fon-tex-jurnal mb-1 fs-0-9em ta-c">
	<b>
      <?php if (array_key_exists('health', $param_new)): ?>
			<?php if ($param_new['health'] > 0): ?>
			<img src="<?= public_url('/icon/stat/icon_hp', 'png') ?>" alt="" class="va-m" width="12px">
			<span class='limeGreen va-m'>+<?= $param_new['health'] ?></span>
			<?php else: ?>
			<img src="<?= public_url('/icon/stat/icon_hp', 'png') ?>" alt="" class="va-m" width="12px">
			<span class='crimson va-m'><?= $param_new['health'] ?></span>
			<?php endif ?>
      <?php endif ?>
      <!-- ============================ -->
      <?php if (array_key_exists('power', $param_new)): ?>
			<?php if ($param_new['power'] > 0): ?>
			<img src="<?= public_url('/icon/stat/icon_str', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='limeGreen va-m'>+<?= $param_new['power'] ?></span>
			<?php else: ?>
			<img src="<?= public_url('/icon/stat/icon_str', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='crimson va-m'><?= $param_new['power'] ?></span>
			<?php endif ?>
      <?php endif ?>
      <!-- ============================ -->
      <?php if (array_key_exists('agil', $param_new)): ?>
			<?php if ($param_new['agil'] > 0): ?>
			<img src="<?= public_url('/icon/stat/lor', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='limeGreen va-m'>+<?= $param_new['agil'] ?></span>
			<?php else: ?>
			<img src="<?= public_url('/icon/stat/lor', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='crimson va-m'><?= $param_new['agil'] ?></span>
			<?php endif ?>
      <?php endif ?>
      <!-- ============================ -->
      <?php if (array_key_exists('intell', $param_new)): ?>
			<?php if ($param_new['intell'] > 0): ?>
			<img src="<?= public_url('/icon/stat/in', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='limeGreen va-m'>+<?= $param_new['intell'] ?></span>
			<?php else: ?>
			<img src=" <?= public_url('/icon/stat/in', 'png') ?>" alt="" class="va-m"width="12px">
			<span class='crimson va-m'><?= $param_new['intell'] ?></span>
			<?php endif ?>
      <?php endif ?>
 </b>
   </div>
<?php endif ?>

<!--Новые ресурсы-->
<?php if (max($currency_new) != 0 || min($currency_new) != 0): ?>
<div class="fon-tex-jurnal mb-1 ta-c">
	<?php if ($currency_new['exp'] > 0): ?>
		<img src="<?=  public_url('/icon/resyrs/exp', 'png') ?>"width="18px"class="va-m">
		<span class='exp-color va-m'>+<?= number_format($currency_new['exp']) ?></span>
	<?php elseif ($currency_new['exp'] < 0): ?>
		<img src="<?=  public_url('/icon/resyrs/exp', 'png') ?>" width="18px" class="va-m">
		<span class="crimson va-m"><?= number_format($currency_new['exp']) ?></span>
	<?php endif ?>

	<?php if ($currency_new['bucks'] > 0): ?>
		<img src="<?=  public_url('/icon/resyrs/baks', 'png') ?>"width="18px" class="va-m">
		<span class='bucks-color va-m'>+<?= number_format($currency_new['bucks']) ?></span>
		<?php elseif ($currency_new['bucks'] < 0): ?>
		<img src="<?=  public_url('/icon/resyrs/baks', 'png') ?>"width="18px" class="va-m">
		<span class="crimson va-m"><?= number_format($currency_new['bucks']) ?></span>
	<?php endif ?>

	<?php if ($currency_new['mutagen'] > 0): ?>
		<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>"width="18px" class="va-m">
		<span class='mutagen-color va-m'>+<?= number_format($currency_new['mutagen']) ?></span>
		<?php elseif ($currency_new['mutagen'] < 0): ?>
		<img src="<?=  public_url('/icon/resyrs/myt', 'png') ?>"width="18px" class="va-m">
		<span class="crimson va-m"><?= number_format($currency_new['mutagen']) ?></span>
	<?php endif ?>

	<?php if ($currency_new['pancers'] > 0): ?>
		<img src="<?=  public_url('/icon/resyrs/pan', 'png') ?>"width="18px" class="va-m">
		<span class='pancers-color va-m'>+<?= number_format($currency_new['pancers']) ?></span>
		<?php elseif ($currency_new['pancers'] < 0): ?>
		<img src="<?=  public_url('/icon/resyrs/pan', 'png') ?>"width="18px" class="va-m">
		<span class="crimson va-m"><?= number_format($currency_new['pancers']) ?></span>
	<?php endif ?>

	<?php if ($currency_new['metal'] > 0): ?>
		<img src="<?=  public_url('/icon/resyrs/me', 'png') ?>"width="18px" class="va-m">
		<span class='metal-color va-m'>+<?= number_format($currency_new['metal']) ?></span>
		<?php elseif ($currency_new['metal'] < 0): ?>
		<img src="<?=  public_url('/icon/resyrs/me', 'png') ?>"width="18px" class="va-m">
		<span class="crimson va-m"><?= number_format($currency_new['metal']) ?></span>
	<?php endif ?>
</div>
<?php endif ?>
