-- phpMyAdmin SQL Dump
-- version 4.4.11
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Май 26 2019 г., 10:08
-- Версия сервера: 5.5.44-log
-- Версия PHP: 5.4.41

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- База данных: `turtles`
--

-- --------------------------------------------------------

--
-- Структура таблицы `admin_panel_users_remember`
--

CREATE TABLE IF NOT EXISTS `admin_panel_users_remember` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `chat`
--

CREATE TABLE IF NOT EXISTS `chat` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_user_adress` int(10) unsigned DEFAULT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  `hide` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '1 - сообщение скрыто от пользователей (видно только для мд и адм)'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `chat_clan`
--

CREATE TABLE IF NOT EXISTS `chat_clan` (
  `id` bigint(20) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_user_adress` int(10) unsigned DEFAULT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cl1`
--

CREATE TABLE IF NOT EXISTS `cl1` (
  `id` int(10) unsigned NOT NULL,
  `stage` tinyint(1) NOT NULL DEFAULT '1',
  `stage_timestamp` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `cl1`
--

INSERT INTO `cl1` (`id`, `stage`, `stage_timestamp`) VALUES
(1, 1, 1558854369);

-- --------------------------------------------------------

--
-- Структура таблицы `cl1_clan`
--

CREATE TABLE IF NOT EXISTS `cl1_clan` (
  `id` bigint(20) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `score` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `reward_status` tinyint(1) unsigned NOT NULL DEFAULT '2',
  `reward_bucks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `reward_mutagen` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `reward_metal` mediumint(8) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cl1_part`
--

CREATE TABLE IF NOT EXISTS `cl1_part` (
  `id` bigint(20) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `score` mediumint(8) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `cl1_users`
--

CREATE TABLE IF NOT EXISTS `cl1_users` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `battles` tinyint(2) unsigned NOT NULL DEFAULT '20',
  `battles_recovery_timestamp` int(10) unsigned DEFAULT NULL,
  `score` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `score_last` smallint(5) unsigned NOT NULL DEFAULT '0',
  `battles_count` smallint(5) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan`
--

CREATE TABLE IF NOT EXISTS `clan` (
  `id` bigint(20) unsigned NOT NULL,
  `name` varchar(25) NOT NULL,
  `level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `exp` bigint(20) unsigned NOT NULL DEFAULT '0',
  `capacity` tinyint(2) unsigned NOT NULL,
  `description` text NOT NULL,
  `coffers_bucks` bigint(20) unsigned NOT NULL DEFAULT '0',
  `coffers_mutagen` bigint(20) unsigned NOT NULL DEFAULT '0',
  `coffers_pancers` bigint(20) unsigned NOT NULL DEFAULT '0',
  `coffers_metal` bigint(20) unsigned NOT NULL DEFAULT '0',
  `created_timestamp` int(10) unsigned NOT NULL,
  `week_reset_timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_app`
--

CREATE TABLE IF NOT EXISTS `clan_app` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `app_timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_building`
--

CREATE TABLE IF NOT EXISTS `clan_building` (
  `id` bigint(20) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `residence_level` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'уровень резиденции',
  `scientific_complex_level` tinyint(3) unsigned NOT NULL DEFAULT '0' COMMENT 'уровень научного комплекса',
  `repository_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `metal_warehouse_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_hall_level` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_invite`
--

CREATE TABLE IF NOT EXISTS `clan_invite` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_journal`
--

CREATE TABLE IF NOT EXISTS `clan_journal` (
  `id` bigint(20) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `text` varchar(300) NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_part`
--

CREATE TABLE IF NOT EXISTS `clan_part` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_clan` int(10) unsigned NOT NULL,
  `rank` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `exp` int(10) unsigned NOT NULL DEFAULT '0',
  `bucks` int(10) unsigned NOT NULL DEFAULT '0',
  `mutagen` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `pancers` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal` int(10) unsigned NOT NULL DEFAULT '0',
  `exp_week` int(10) unsigned NOT NULL DEFAULT '0',
  `bucks_week` int(10) unsigned NOT NULL DEFAULT '0',
  `mutagen_week` int(10) unsigned NOT NULL DEFAULT '0',
  `metal_week` int(10) unsigned NOT NULL DEFAULT '0',
  `pancers_week` int(10) unsigned NOT NULL DEFAULT '0',
  `chat_new` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'есть ли новые сообщения в чате клана. 0/1',
  `join_timestamp` int(10) NOT NULL COMMENT 'ВМ, когда игрок присоеденился к клану'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `compensation`
--

CREATE TABLE IF NOT EXISTS `compensation` (
  `id` mediumint(8) unsigned NOT NULL,
  `title` varchar(200) NOT NULL,
  `mutagen` mediumint(8) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml1`
--

CREATE TABLE IF NOT EXISTS `ml1` (
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `reward_received` tinyint(1) NOT NULL DEFAULT '0' COMMENT 'награда получена: 1 -да, 0 -нет'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `ml1`
--

INSERT INTO `ml1` (`status`, `reward_received`) VALUES
(1, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `ml1_part`
--

CREATE TABLE IF NOT EXISTS `ml1_part` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `health` mediumint(8) NOT NULL,
  `status` tinyint(1) unsigned NOT NULL,
  `status_timestamp` int(10) unsigned DEFAULT NULL,
  `target` int(10) unsigned DEFAULT NULL,
  `dodge_status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `dodge_status_timestamp` int(10) unsigned DEFAULT NULL,
  `hit_status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `hit_status_timestamp` int(10) unsigned DEFAULT NULL,
  `damage_received` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'урона получено',
  `damage_applied` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'урона нанесено'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml1_pending`
--

CREATE TABLE IF NOT EXISTS `ml1_pending` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=18 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `ml1_pending`
--

INSERT INTO `ml1_pending` (`id`, `id_user`, `timestamp`) VALUES
(15, 1, 1558688105),
(17, 9, 1558688115);

-- --------------------------------------------------------

--
-- Структура таблицы `ml1_reward`
--

CREATE TABLE IF NOT EXISTS `ml1_reward` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` bigint(20) unsigned NOT NULL,
  `mutagen` smallint(5) unsigned NOT NULL DEFAULT '0',
  `reward_took` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'награда, та которая за прошедший бой. 0 - не начислялась, 1 - начислялась'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml1_statistic`
--

CREATE TABLE IF NOT EXISTS `ml1_statistic` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `damage` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `killed` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_commands`
--

CREATE TABLE IF NOT EXISTS `ml2_commands` (
  `id` bigint(20) unsigned NOT NULL,
  `id_location` tinyint(2) unsigned NOT NULL COMMENT 'в какую локацию эта команда собралась',
  `access` tinyint(1) NOT NULL DEFAULT '1' COMMENT '1-открыто 2-закрыто',
  `id_leader` int(10) unsigned DEFAULT NULL,
  `id_user_1` int(10) unsigned DEFAULT NULL,
  `id_user_2` int(10) unsigned DEFAULT NULL,
  `id_user_3` int(10) unsigned DEFAULT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `wave` tinyint(2) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_commands_chat`
--

CREATE TABLE IF NOT EXISTS `ml2_commands_chat` (
  `id` bigint(20) unsigned NOT NULL,
  `id_command` int(10) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB AUTO_INCREMENT=32 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `ml2_commands_chat`
--

INSERT INTO `ml2_commands_chat` (`id`, `id_command`, `id_user`, `text`, `timestamp`) VALUES
(15, 4, 1, 'привет', 1557586463),
(29, 8, 1, 'тест', 1557836911),
(30, 8, 74, 'когда начинаем?', 1557837111),
(31, 8, 1, 'когда то\r\n', 1557842980);

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_invite`
--

CREATE TABLE IF NOT EXISTS `ml2_invite` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_command` int(10) unsigned NOT NULL,
  `record_timestamp` int(10) unsigned NOT NULL COMMENT 'время записи'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_locations`
--

CREATE TABLE IF NOT EXISTS `ml2_locations` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_location` tinyint(2) unsigned NOT NULL,
  `completion_timestamp` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_part`
--

CREATE TABLE IF NOT EXISTS `ml2_part` (
  `id` bigint(20) unsigned NOT NULL,
  `id_battle` int(10) unsigned NOT NULL,
  `part_type` tinyint(1) unsigned NOT NULL COMMENT '1 - реальный участник, 2 - бот',
  `id_part` int(10) unsigned NOT NULL,
  `health` int(10) NOT NULL,
  `damage` smallint(5) unsigned NOT NULL,
  `target` int(10) unsigned DEFAULT NULL,
  `hit_timestamp` int(10) unsigned DEFAULT NULL,
  `hit_delay_seconds` tinyint(3) unsigned NOT NULL DEFAULT '2',
  `damage_received` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'получено урона',
  `damage_applied` mediumint(8) unsigned NOT NULL DEFAULT '0' COMMENT 'нанесено урона'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_rewards`
--

CREATE TABLE IF NOT EXISTS `ml2_rewards` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `cards` varchar(150) DEFAULT NULL,
  `exp` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `bucks` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `id_statistic` int(10) unsigned NOT NULL,
  `id_battle` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `ml2_statistic`
--

CREATE TABLE IF NOT EXISTS `ml2_statistic` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_battle` int(10) unsigned NOT NULL,
  `damage` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news`
--

CREATE TABLE IF NOT EXISTS `news` (
  `id` bigint(20) unsigned NOT NULL,
  `title` varchar(50) NOT NULL,
  `text` text NOT NULL,
  `created_timestamp` int(10) unsigned NOT NULL,
  `id_creator` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `news_comments`
--

CREATE TABLE IF NOT EXISTS `news_comments` (
  `id` bigint(20) unsigned NOT NULL,
  `id_news` mediumint(8) unsigned NOT NULL,
  `id_user` int(10) NOT NULL,
  `id_recipient` bigint(20) unsigned DEFAULT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `robbery`
--

CREATE TABLE IF NOT EXISTS `robbery` (
  `id` bigint(20) unsigned NOT NULL,
  `stage` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `time` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `robbery`
--

INSERT INTO `robbery` (`id`, `stage`, `time`) VALUES
(1, 1, 1);

-- --------------------------------------------------------

--
-- Структура таблицы `robbery_part`
--

CREATE TABLE IF NOT EXISTS `robbery_part` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `score` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `score_last` smallint(5) unsigned NOT NULL DEFAULT '0',
  `battles_count` smallint(5) unsigned NOT NULL DEFAULT '0',
  `reward_status` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT 'забрана награда или нет (1/0)',
  `reward_etap` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `battles` smallint(5) unsigned NOT NULL,
  `battles_time` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_cards`
--

CREATE TABLE IF NOT EXISTS `shop_cards` (
  `id` bigint(20) unsigned NOT NULL,
  `id_card` smallint(5) unsigned NOT NULL,
  `price_mutagen` smallint(5) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `shop_cards_detail`
--

CREATE TABLE IF NOT EXISTS `shop_cards_detail` (
  `showcase_timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `shop_cards_detail`
--

INSERT INTO `shop_cards_detail` (`showcase_timestamp`) VALUES
(1558192551);

-- --------------------------------------------------------

--
-- Структура таблицы `stock_acting`
--

CREATE TABLE IF NOT EXISTS `stock_acting` (
  `id` bigint(20) unsigned NOT NULL,
  `id_stock` tinyint(1) unsigned NOT NULL,
  `type` varchar(35) NOT NULL,
  `text` varchar(60) NOT NULL,
  `link` varchar(150) DEFAULT NULL,
  `modifier` smallint(5) unsigned NOT NULL,
  `plus` tinyint(1) NOT NULL DEFAULT '1',
  `term` mediumint(8) unsigned NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `support`
--

CREATE TABLE IF NOT EXISTS `support` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `text` text NOT NULL,
  `status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT '1 - открытая заявка; 2 - закрытая заявка;',
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `support_comments`
--

CREATE TABLE IF NOT EXISTS `support_comments` (
  `id` bigint(20) unsigned NOT NULL,
  `id_app` mediumint(8) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `support_notice`
--

CREATE TABLE IF NOT EXISTS `support_notice` (
  `id` bigint(20) unsigned NOT NULL,
  `id_app` mediumint(8) unsigned NOT NULL,
  `for_user` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'колво новых сообщений для пользователя (создавшего заявку)',
  `for_admin` smallint(5) unsigned NOT NULL DEFAULT '0' COMMENT 'колво  новых сообщений для администрации'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` bigint(20) unsigned NOT NULL,
  `login` varchar(25) DEFAULT NULL,
  `password` varchar(50) DEFAULT NULL,
  `hash` varchar(32) DEFAULT NULL,
  `email` varchar(50) DEFAULT NULL,
  `email_confirm` tinyint(1) unsigned NOT NULL DEFAULT '0',
  `email_confirm_code` varchar(10) DEFAULT NULL,
  `gender` tinyint(1) unsigned NOT NULL DEFAULT '0' COMMENT '0 -не указано 1 - женский 2 - мужской',
  `hero` enum('leo','raf','miki','doni') NOT NULL DEFAULT 'leo',
  `position` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'должность, 1 - пользователь, 2 - модератор, 3 - админ',
  `level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `exp` int(14) unsigned NOT NULL DEFAULT '0',
  `bucks` bigint(20) unsigned NOT NULL DEFAULT '1000',
  `mutagen` bigint(20) unsigned NOT NULL DEFAULT '15',
  `metal` bigint(20) unsigned NOT NULL DEFAULT '500',
  `pancers` bigint(20) unsigned NOT NULL DEFAULT '5',
  `id_clan_last` int(10) unsigned DEFAULT NULL,
  `id_news_last` mediumint(8) unsigned DEFAULT NULL,
  `id_compensation_last` mediumint(8) unsigned DEFAULT NULL,
  `reg_timestamp` int(10) unsigned NOT NULL,
  `id_invited` int(10) DEFAULT NULL COMMENT 'id того кто пригласил в игру'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_advent`
--

CREATE TABLE IF NOT EXISTS `users_advent` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `health` tinyint(3) unsigned DEFAULT '1' COMMENT 'Этап с выносливыми боссами!',
  `power` tinyint(3) unsigned DEFAULT '1' COMMENT 'Этап с сильными боссами!',
  `agil` tinyint(3) unsigned DEFAULT '1' COMMENT 'Этап с ловкими боссами!',
  `intell` tinyint(3) unsigned DEFAULT '1' COMMENT 'Этап с умными боссами!',
  `health_time` int(10) unsigned DEFAULT NULL,
  `power_time` int(10) unsigned DEFAULT NULL,
  `agil_time` int(10) unsigned DEFAULT NULL,
  `intell_time` int(10) unsigned DEFAULT NULL,
  `health_completed` tinyint(1) NOT NULL DEFAULT '0',
  `power_completed` tinyint(1) NOT NULL DEFAULT '0',
  `agil_completed` tinyint(1) NOT NULL DEFAULT '0',
  `intell_completed` tinyint(1) NOT NULL DEFAULT '0',
  `mutagen_collected` smallint(5) unsigned NOT NULL DEFAULT '0',
  `mutagen_collected_timestamp` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_ban`
--

CREATE TABLE IF NOT EXISTS `users_ban` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) NOT NULL,
  `ban_type` tinyint(1) unsigned NOT NULL COMMENT '1 - бан чата 2 - бан игры',
  `ban_time` int(10) unsigned NOT NULL,
  `ban_cause` varchar(250) NOT NULL DEFAULT 'Нет',
  `id_user_imposed` int(10) unsigned NOT NULL COMMENT 'кто наложил'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_battle`
--

CREATE TABLE IF NOT EXISTS `users_battle` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `hit_status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `dodge_status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `change_status` tinyint(1) unsigned NOT NULL DEFAULT '1',
  `hit_status_timestamp` int(10) unsigned DEFAULT NULL,
  `dodge_status_timestamp` int(10) unsigned DEFAULT NULL,
  `change_status_timestamp` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_bonuses`
--

CREATE TABLE IF NOT EXISTS `users_bonuses` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `level_expr` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `level_bucks` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `level_metal` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_cards`
--

CREATE TABLE IF NOT EXISTS `users_cards` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `cards` text NOT NULL COMMENT 'сериализованый массив'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_combat`
--

CREATE TABLE IF NOT EXISTS `users_combat` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `health` smallint(5) unsigned NOT NULL DEFAULT '10' COMMENT 'выносливость',
  `power` smallint(5) unsigned NOT NULL DEFAULT '10' COMMENT 'сила',
  `agil` smallint(5) unsigned NOT NULL DEFAULT '10' COMMENT 'ловкость',
  `intell` smallint(5) unsigned NOT NULL DEFAULT '10' COMMENT 'интеллект'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_donat`
--

CREATE TABLE IF NOT EXISTS `users_donat` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_bill` int(10) unsigned NOT NULL,
  `mutagen_sum` int(10) unsigned NOT NULL,
  `ruble_sum` int(10) unsigned NOT NULL,
  `created_timestamp` int(10) unsigned NOT NULL,
  `payment_timestamp` int(10) unsigned DEFAULT NULL,
  `completed` tinyint(1) NOT NULL DEFAULT '0' COMMENT '1 - платеж завершен (осуществлен), 0 - нет еще'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_dump`
--

CREATE TABLE IF NOT EXISTS `users_dump` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `metal_1` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal_2` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal_3` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal_4` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal_5` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `exp_1` mediumint(8) unsigned DEFAULT '0',
  `exp_2` mediumint(8) unsigned DEFAULT '0',
  `exp_3` mediumint(8) unsigned DEFAULT '0',
  `exp_4` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `exp_5` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `metal_1_time` int(10) unsigned DEFAULT NULL,
  `metal_2_time` int(10) unsigned DEFAULT NULL,
  `metal_3_time` int(10) unsigned DEFAULT NULL,
  `metal_4_time` int(10) unsigned DEFAULT NULL,
  `metal_5_time` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_dyn`
--

CREATE TABLE IF NOT EXISTS `users_dyn` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) NOT NULL,
  `new_exp` int(12) unsigned NOT NULL DEFAULT '0',
  `new_bucks` bigint(20) NOT NULL DEFAULT '0',
  `new_mutagen` bigint(20) NOT NULL DEFAULT '0',
  `new_metal` bigint(20) NOT NULL DEFAULT '0',
  `new_pancers` bigint(20) NOT NULL DEFAULT '0',
  `new_health` smallint(6) NOT NULL DEFAULT '0',
  `new_power` smallint(6) NOT NULL DEFAULT '0',
  `new_agil` smallint(6) NOT NULL DEFAULT '0',
  `new_intell` smallint(6) NOT NULL DEFAULT '0',
  `result_sweeping` tinyint(1) DEFAULT NULL,
  `result_scramble` smallint(1) DEFAULT NULL COMMENT 'победа или поражение (1/0)',
  `result_advent` tinyint(1) DEFAULT NULL,
  `scramble_caused_damage` smallint(5) unsigned DEFAULT NULL COMMENT 'нанесено урона',
  `scramble_received_damage` smallint(5) unsigned DEFAULT NULL COMMENT 'получено урона',
  `clan_invite` tinyint(4) NOT NULL DEFAULT '0',
  `card_received` smallint(5) unsigned DEFAULT NULL COMMENT 'получена карточка с id',
  `level_up` tinyint(3) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_journal`
--

CREATE TABLE IF NOT EXISTS `users_journal` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `title` varchar(300) DEFAULT NULL,
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  `is_read` tinyint(1) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_lab`
--

CREATE TABLE IF NOT EXISTS `users_lab` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `immunity_level` tinyint(3) unsigned NOT NULL DEFAULT '1' COMMENT 'уровень иммунитета',
  `lab_level` tinyint(3) unsigned NOT NULL DEFAULT '1',
  `mutagen` float unsigned NOT NULL DEFAULT '5',
  `mutagen_time` int(10) unsigned DEFAULT NULL,
  `ampoule_red` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ampoule_yellow` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ampoule_blue` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `ampoule_green` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_log_battle`
--

CREATE TABLE IF NOT EXISTS `users_log_battle` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `id_text` smallint(5) unsigned NOT NULL,
  `text` text NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_mail`
--

CREATE TABLE IF NOT EXISTS `users_mail` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL COMMENT 'у кого это сообщение, кому принадлежит',
  `id_interlocutor` int(10) unsigned NOT NULL COMMENT 'id собеседника',
  `id_sender` int(10) unsigned NOT NULL COMMENT 'id отправителя',
  `id_recipient` int(10) unsigned NOT NULL COMMENT 'id получателя',
  `text` text NOT NULL,
  `timestamp` int(10) unsigned NOT NULL,
  `is_read` tinyint(1) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_notf`
--

CREATE TABLE IF NOT EXISTS `users_notf` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `notf` text NOT NULL,
  `type` enum('default','error') NOT NULL DEFAULT 'default'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_online`
--

CREATE TABLE IF NOT EXISTS `users_online` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL,
  `time_day` int(10) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_premium`
--

CREATE TABLE IF NOT EXISTS `users_premium` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` bigint(10) unsigned NOT NULL,
  `time` int(10) unsigned DEFAULT NULL COMMENT 'до какой метки будет  действовать премиум'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_robbery`
--

CREATE TABLE IF NOT EXISTS `users_robbery` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) NOT NULL,
  `reward_bucks` int(10) unsigned NOT NULL DEFAULT '0',
  `reward_mutagen` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_scramble_detal`
--

CREATE TABLE IF NOT EXISTS `users_scramble_detal` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `enemies` tinyint(2) unsigned NOT NULL,
  `enemies_timestamp` int(10) unsigned DEFAULT NULL,
  `combat_level` tinyint(2) unsigned NOT NULL DEFAULT '1',
  `combat_expr` int(10) unsigned NOT NULL DEFAULT '0',
  `auto_timestamp` int(10) unsigned DEFAULT NULL,
  `auto_status` tinyint(1) unsigned NOT NULL DEFAULT '1' COMMENT 'статус автобоя, 1- разблокирован, 0 - заблокирован'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_scramble_enemies`
--

CREATE TABLE IF NOT EXISTS `users_scramble_enemies` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` bigint(20) unsigned NOT NULL,
  `user_health` int(11) NOT NULL,
  `user_health_max` mediumint(8) unsigned NOT NULL,
  `user_damage` int(10) unsigned NOT NULL,
  `enemy_name` varchar(100) NOT NULL,
  `enemy_health` int(11) NOT NULL,
  `enemy_health_max` mediumint(8) unsigned NOT NULL,
  `enemy_damage` int(10) unsigned NOT NULL,
  `enemy_type` enum('health','power','agil','intell') NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_statistic`
--

CREATE TABLE IF NOT EXISTS `users_statistic` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `sweeping` int(10) unsigned NOT NULL DEFAULT '0',
  `scramble` int(10) unsigned NOT NULL DEFAULT '0',
  `advent` int(10) unsigned NOT NULL DEFAULT '0',
  `ml1_killed_enemies` int(10) unsigned NOT NULL DEFAULT '0',
  `robbery_score` bigint(20) unsigned NOT NULL DEFAULT '0',
  `cl1_score` bigint(20) unsigned NOT NULL DEFAULT '0',
  `sewerage_passed` int(10) unsigned NOT NULL DEFAULT '0',
  `advent_mutagen` int(10) unsigned NOT NULL DEFAULT '0',
  `lab_mutagen` int(10) unsigned NOT NULL DEFAULT '0',
  `bucks` bigint(20) unsigned NOT NULL DEFAULT '0',
  `metal` bigint(20) unsigned NOT NULL DEFAULT '0',
  `expr` bigint(20) unsigned NOT NULL DEFAULT '0',
  `pancers` int(10) unsigned NOT NULL DEFAULT '0',
  `mutagen_bought` int(10) unsigned NOT NULL DEFAULT '0',
  `mutagen_referral` int(10) unsigned NOT NULL DEFAULT '0',
  `clan_expr` bigint(20) unsigned NOT NULL DEFAULT '0',
  `clan_bucks` bigint(20) unsigned NOT NULL DEFAULT '0',
  `clan_metal` bigint(20) unsigned NOT NULL DEFAULT '0',
  `clan_mutagen` int(10) unsigned NOT NULL DEFAULT '0',
  `clan_pancers` int(10) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_sweeping`
--

CREATE TABLE IF NOT EXISTS `users_sweeping` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `enemies_num` tinyint(2) unsigned NOT NULL DEFAULT '10',
  `enemies_bonus_num` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `enemies_num_timestamp` int(10) unsigned DEFAULT NULL,
  `enemies_num_bought` mediumint(8) unsigned NOT NULL DEFAULT '0',
  `enemies_num_bought_timestamp` int(10) unsigned NOT NULL,
  `id_enemy` smallint(5) unsigned DEFAULT NULL,
  `name` varchar(25) DEFAULT NULL,
  `health` smallint(5) unsigned NOT NULL DEFAULT '0',
  `power` smallint(5) unsigned NOT NULL DEFAULT '0',
  `agil` smallint(5) unsigned NOT NULL DEFAULT '0',
  `intell` smallint(5) unsigned NOT NULL DEFAULT '0',
  `enemies_passed_num_today` int(10) unsigned NOT NULL DEFAULT '0',
  `enemies_passed_num_today_timestamp` int(10) unsigned NOT NULL,
  `battle_result` tinyint(1) unsigned DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_training`
--

CREATE TABLE IF NOT EXISTS `users_training` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `training_health_limit_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_power_limit_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_agil_limit_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_intell_limit_level` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_health_completed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_power_completed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_agil_completed` tinyint(3) unsigned NOT NULL DEFAULT '0',
  `training_intell_completed` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `users_weapon`
--

CREATE TABLE IF NOT EXISTS `users_weapon` (
  `id` bigint(20) unsigned NOT NULL,
  `id_user` int(10) unsigned NOT NULL,
  `level` tinyint(2) unsigned NOT NULL DEFAULT '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- --------------------------------------------------------

--
-- Структура таблицы `_advent_enemies`
--

CREATE TABLE IF NOT EXISTS `_advent_enemies` (
  `id` bigint(20) unsigned NOT NULL,
  `id_card` tinyint(3) unsigned NOT NULL,
  `id_type` tinyint(2) unsigned NOT NULL,
  `type` enum('health','power','agil','intell') NOT NULL,
  `need_param` smallint(5) unsigned NOT NULL,
  `exp_reward` mediumint(8) unsigned NOT NULL,
  `bucks_reward` mediumint(8) unsigned NOT NULL,
  `mutagen_reward` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=25 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_advent_enemies`
--

INSERT INTO `_advent_enemies` (`id`, `id_card`, `id_type`, `type`, `need_param`, `exp_reward`, `bucks_reward`, `mutagen_reward`) VALUES
(1, 9, 1, 'health', 45, 1200, 10000, 25),
(2, 10, 1, 'intell', 15, 1000, 10000, 15),
(3, 11, 1, 'agil', 30, 1100, 10000, 20),
(4, 12, 1, 'power', 60, 1300, 10000, 30),
(5, 13, 2, 'health', 225, 6000, 20000, 55),
(6, 14, 2, 'power', 300, 6500, 20000, 60),
(7, 15, 2, 'agil', 150, 5500, 20000, 50),
(8, 16, 2, 'intell', 75, 5000, 20000, 45),
(9, 17, 3, 'health', 750, 12000, 40000, 115),
(10, 18, 3, 'power', 900, 13000, 40000, 120),
(11, 19, 3, 'agil', 600, 11000, 40000, 110),
(12, 20, 3, 'intell', 450, 10000, 40000, 105),
(13, 21, 4, 'health', 1575, 18000, 60000, 175),
(14, 22, 4, 'power', 1800, 19500, 60000, 180),
(15, 23, 4, 'agil', 1350, 16500, 60000, 170),
(16, 24, 4, 'intell', 1125, 15000, 60000, 165),
(17, 25, 5, 'health', 2700, 24000, 80000, 295),
(18, 26, 5, 'power', 3000, 26000, 80000, 300),
(19, 27, 5, 'agil', 2400, 22000, 80000, 290),
(20, 28, 5, 'intell', 2100, 20000, 80000, 285),
(21, 29, 6, 'health', 3990, 30000, 100000, 475),
(22, 30, 6, 'power', 4320, 32500, 100000, 480),
(23, 31, 6, 'agil', 3660, 27500, 100000, 470),
(24, 32, 6, 'intell', 3330, 25000, 100000, 465);

-- --------------------------------------------------------

--
-- Структура таблицы `_ampoule`
--

CREATE TABLE IF NOT EXISTS `_ampoule` (
  `id` bigint(20) unsigned NOT NULL,
  `type` enum('red','yellow','blue','green') NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `price_mutagen` smallint(5) unsigned NOT NULL,
  `health` tinyint(2) unsigned NOT NULL,
  `power` tinyint(2) unsigned NOT NULL,
  `agil` tinyint(2) unsigned NOT NULL,
  `intell` tinyint(2) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=205 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_ampoule`
--

INSERT INTO `_ampoule` (`id`, `type`, `level`, `price_mutagen`, `health`, `power`, `agil`, `intell`) VALUES
(1, 'red', 0, 3, 3, 2, 1, 1),
(2, 'yellow', 0, 3, 2, 3, 1, 1),
(3, 'blue', 0, 3, 1, 1, 3, 2),
(4, 'green', 0, 3, 1, 1, 2, 3),
(5, 'red', 1, 5, 3, 2, 1, 1),
(6, 'yellow', 1, 5, 2, 3, 1, 1),
(7, 'blue', 1, 5, 1, 1, 3, 2),
(8, 'green', 1, 5, 1, 1, 2, 3),
(9, 'red', 2, 8, 3, 2, 1, 1),
(10, 'yellow', 2, 8, 2, 3, 1, 1),
(11, 'blue', 2, 8, 1, 1, 3, 2),
(12, 'green', 2, 8, 1, 1, 2, 3),
(13, 'red', 3, 12, 3, 2, 1, 1),
(14, 'yellow', 3, 12, 2, 3, 1, 1),
(15, 'blue', 3, 12, 1, 1, 3, 2),
(16, 'green', 3, 12, 1, 1, 2, 3),
(17, 'red', 4, 16, 3, 2, 1, 1),
(18, 'yellow', 4, 16, 2, 3, 1, 1),
(19, 'blue', 4, 16, 1, 1, 3, 2),
(20, 'green', 4, 16, 1, 1, 2, 3),
(21, 'red', 5, 20, 3, 2, 1, 1),
(22, 'yellow', 5, 20, 2, 3, 1, 1),
(23, 'blue', 5, 20, 1, 1, 3, 2),
(24, 'green', 5, 20, 1, 1, 2, 3),
(25, 'red', 6, 25, 3, 2, 1, 1),
(26, 'yellow', 6, 25, 2, 3, 1, 1),
(27, 'blue', 6, 25, 1, 1, 3, 2),
(28, 'green', 6, 25, 1, 1, 2, 3),
(29, 'red', 7, 29, 3, 2, 1, 1),
(30, 'yellow', 7, 29, 2, 3, 1, 1),
(31, 'blue', 7, 29, 1, 1, 3, 2),
(32, 'green', 7, 29, 1, 1, 2, 3),
(33, 'red', 8, 35, 3, 2, 1, 1),
(34, 'yellow', 8, 35, 2, 3, 1, 1),
(35, 'blue', 8, 35, 1, 1, 3, 2),
(36, 'green', 8, 35, 1, 1, 2, 3),
(37, 'red', 9, 40, 3, 2, 1, 1),
(38, 'yellow', 9, 40, 2, 3, 1, 1),
(39, 'blue', 9, 40, 1, 1, 3, 2),
(40, 'green', 9, 40, 1, 1, 2, 3),
(41, 'red', 10, 46, 3, 2, 1, 1),
(42, 'yellow', 10, 46, 2, 3, 1, 1),
(43, 'blue', 10, 46, 1, 1, 3, 2),
(44, 'green', 10, 46, 1, 1, 2, 3),
(45, 'red', 11, 52, 4, 3, 2, 2),
(46, 'yellow', 11, 52, 3, 4, 2, 2),
(47, 'blue', 11, 52, 2, 2, 4, 3),
(48, 'green', 11, 52, 2, 2, 3, 4),
(49, 'red', 12, 58, 4, 3, 2, 2),
(50, 'yellow', 12, 58, 3, 4, 2, 2),
(51, 'blue', 12, 58, 2, 2, 4, 3),
(52, 'green', 12, 58, 2, 2, 3, 4),
(53, 'red', 13, 65, 4, 3, 2, 2),
(54, 'yellow', 13, 65, 3, 4, 2, 2),
(55, 'blue', 13, 65, 2, 2, 4, 3),
(56, 'green', 13, 65, 2, 2, 3, 4),
(57, 'red', 14, 72, 4, 3, 2, 2),
(58, 'yellow', 14, 72, 3, 4, 2, 2),
(59, 'blue', 14, 72, 2, 2, 4, 3),
(60, 'green', 14, 72, 2, 2, 3, 4),
(61, 'red', 15, 79, 4, 3, 2, 2),
(62, 'yellow', 15, 79, 3, 4, 2, 2),
(63, 'blue', 15, 79, 2, 2, 4, 3),
(64, 'green', 15, 79, 2, 2, 3, 4),
(65, 'red', 16, 86, 4, 3, 2, 2),
(66, 'yellow', 16, 86, 3, 4, 2, 2),
(67, 'blue', 16, 86, 2, 2, 4, 3),
(68, 'green', 16, 86, 2, 2, 3, 4),
(69, 'red', 17, 93, 4, 3, 2, 2),
(70, 'yellow', 17, 93, 3, 4, 2, 2),
(71, 'blue', 17, 93, 2, 2, 4, 3),
(72, 'green', 17, 93, 2, 2, 3, 4),
(73, 'red', 18, 101, 4, 3, 2, 2),
(74, 'yellow', 18, 101, 3, 4, 2, 2),
(75, 'blue', 18, 101, 2, 2, 4, 3),
(76, 'green', 18, 101, 2, 2, 3, 4),
(77, 'red', 19, 109, 4, 3, 2, 2),
(78, 'yellow', 19, 109, 3, 4, 2, 2),
(79, 'blue', 19, 109, 2, 2, 4, 3),
(80, 'green', 19, 109, 2, 2, 3, 4),
(81, 'red', 20, 117, 4, 3, 2, 2),
(82, 'yellow', 20, 117, 3, 4, 2, 2),
(83, 'blue', 20, 117, 2, 2, 4, 3),
(84, 'green', 20, 117, 2, 2, 3, 4),
(85, 'red', 21, 125, 5, 4, 3, 3),
(86, 'yellow', 21, 125, 4, 5, 3, 3),
(87, 'blue', 21, 125, 3, 3, 5, 4),
(88, 'green', 21, 125, 3, 3, 4, 5),
(89, 'red', 22, 134, 5, 4, 3, 3),
(90, 'yellow', 22, 134, 4, 5, 3, 3),
(91, 'blue', 22, 134, 3, 3, 5, 4),
(92, 'green', 22, 134, 3, 3, 4, 5),
(93, 'red', 23, 142, 5, 4, 3, 3),
(94, 'yellow', 23, 142, 4, 5, 3, 3),
(95, 'blue', 23, 142, 3, 3, 5, 4),
(96, 'green', 23, 142, 3, 3, 4, 5),
(97, 'red', 24, 151, 5, 4, 3, 3),
(98, 'yellow', 24, 151, 4, 5, 3, 3),
(99, 'blue', 24, 151, 3, 3, 5, 4),
(100, 'green', 24, 151, 3, 3, 4, 5),
(101, 'red', 25, 160, 5, 4, 3, 3),
(102, 'yellow', 25, 160, 4, 5, 3, 3),
(103, 'blue', 25, 160, 3, 3, 5, 4),
(104, 'green', 25, 160, 3, 3, 4, 5),
(105, 'red', 26, 169, 5, 4, 3, 3),
(106, 'yellow', 26, 169, 4, 5, 3, 3),
(107, 'blue', 26, 169, 3, 3, 5, 4),
(108, 'green', 26, 169, 3, 3, 4, 5),
(109, 'red', 27, 179, 5, 4, 3, 3),
(110, 'yellow', 27, 179, 4, 5, 3, 3),
(111, 'blue', 27, 179, 3, 3, 5, 4),
(112, 'green', 27, 179, 3, 3, 4, 5),
(113, 'red', 28, 188, 5, 4, 3, 3),
(114, 'yellow', 28, 188, 4, 5, 3, 3),
(115, 'blue', 28, 188, 3, 3, 5, 4),
(116, 'green', 28, 188, 3, 3, 4, 5),
(117, 'red', 29, 198, 5, 4, 3, 3),
(118, 'yellow', 29, 198, 4, 5, 3, 3),
(119, 'blue', 29, 198, 3, 3, 5, 4),
(120, 'green', 29, 198, 3, 3, 4, 5),
(121, 'red', 30, 208, 5, 4, 3, 3),
(122, 'yellow', 30, 208, 4, 5, 3, 3),
(123, 'blue', 30, 208, 3, 3, 5, 4),
(124, 'green', 30, 208, 3, 3, 4, 5),
(125, 'red', 31, 218, 6, 5, 4, 4),
(126, 'yellow', 31, 218, 5, 6, 4, 4),
(127, 'blue', 31, 218, 4, 4, 6, 5),
(128, 'green', 31, 218, 4, 4, 5, 6),
(129, 'red', 32, 228, 6, 5, 4, 4),
(130, 'yellow', 32, 228, 5, 6, 4, 4),
(131, 'blue', 32, 228, 4, 4, 6, 5),
(132, 'green', 32, 228, 4, 4, 5, 6),
(133, 'red', 33, 239, 6, 5, 4, 4),
(134, 'yellow', 33, 239, 5, 6, 4, 4),
(135, 'blue', 33, 239, 4, 4, 6, 5),
(136, 'green', 33, 239, 4, 4, 5, 6),
(137, 'red', 34, 249, 6, 5, 4, 4),
(138, 'yellow', 34, 249, 5, 6, 4, 4),
(139, 'blue', 34, 249, 4, 4, 6, 5),
(140, 'green', 34, 249, 4, 4, 5, 6),
(141, 'red', 35, 260, 6, 5, 4, 4),
(142, 'yellow', 35, 260, 5, 6, 4, 4),
(143, 'blue', 35, 260, 4, 4, 6, 5),
(144, 'green', 35, 260, 4, 4, 5, 6),
(145, 'red', 36, 271, 6, 5, 4, 4),
(146, 'yellow', 36, 271, 5, 6, 4, 4),
(147, 'blue', 36, 271, 4, 4, 6, 5),
(148, 'green', 36, 271, 4, 4, 5, 6),
(149, 'red', 37, 282, 6, 5, 4, 4),
(150, 'yellow', 37, 282, 5, 6, 4, 4),
(151, 'blue', 37, 282, 4, 4, 6, 5),
(152, 'green', 37, 282, 4, 4, 5, 6),
(153, 'red', 38, 293, 6, 5, 4, 4),
(154, 'yellow', 38, 293, 5, 6, 4, 4),
(155, 'blue', 38, 293, 4, 4, 6, 5),
(156, 'green', 38, 293, 4, 4, 5, 6),
(157, 'red', 39, 305, 6, 5, 4, 4),
(158, 'yellow', 39, 305, 5, 6, 4, 4),
(159, 'blue', 39, 305, 4, 4, 6, 5),
(160, 'green', 39, 305, 4, 4, 5, 6),
(161, 'red', 40, 316, 6, 5, 4, 4),
(162, 'yellow', 40, 316, 5, 6, 4, 4),
(163, 'blue', 40, 316, 4, 4, 6, 5),
(164, 'green', 40, 316, 4, 4, 5, 6),
(165, 'red', 41, 328, 7, 6, 5, 5),
(166, 'yellow', 41, 328, 6, 7, 5, 5),
(167, 'blue', 41, 328, 5, 5, 7, 6),
(168, 'green', 41, 328, 5, 5, 6, 7),
(169, 'red', 42, 340, 7, 6, 5, 5),
(170, 'yellow', 42, 340, 6, 7, 5, 5),
(171, 'blue', 42, 340, 5, 5, 7, 6),
(172, 'green', 42, 340, 5, 5, 6, 7),
(173, 'red', 43, 352, 7, 6, 5, 5),
(174, 'yellow', 43, 352, 6, 7, 5, 5),
(175, 'blue', 43, 352, 5, 5, 7, 6),
(176, 'green', 43, 352, 5, 5, 6, 7),
(177, 'red', 44, 364, 7, 6, 5, 5),
(178, 'yellow', 44, 364, 6, 7, 5, 5),
(179, 'blue', 44, 364, 5, 5, 7, 6),
(180, 'green', 44, 364, 5, 5, 6, 7),
(181, 'red', 45, 376, 7, 6, 5, 5),
(182, 'yellow', 45, 376, 6, 7, 5, 5),
(183, 'blue', 45, 376, 5, 5, 7, 6),
(184, 'green', 45, 376, 5, 5, 6, 7),
(185, 'red', 46, 388, 7, 6, 5, 5),
(186, 'yellow', 46, 388, 6, 7, 5, 5),
(187, 'blue', 46, 388, 5, 5, 7, 6),
(188, 'green', 46, 388, 5, 5, 6, 7),
(189, 'red', 47, 401, 7, 6, 5, 5),
(190, 'yellow', 47, 401, 6, 7, 5, 5),
(191, 'blue', 47, 401, 5, 5, 7, 6),
(192, 'green', 47, 401, 5, 5, 6, 7),
(193, 'red', 48, 413, 7, 6, 5, 5),
(194, 'yellow', 48, 413, 6, 7, 5, 5),
(195, 'blue', 48, 413, 5, 5, 7, 6),
(196, 'green', 48, 413, 5, 5, 6, 7),
(197, 'red', 49, 426, 7, 6, 5, 5),
(198, 'yellow', 49, 426, 6, 7, 5, 5),
(199, 'blue', 49, 426, 5, 5, 7, 6),
(200, 'green', 49, 426, 5, 5, 6, 7),
(201, 'red', 50, 0, 7, 6, 5, 5),
(202, 'yellow', 50, 0, 6, 7, 5, 5),
(203, 'blue', 50, 0, 5, 5, 7, 6),
(204, 'green', 50, 0, 5, 5, 6, 7);

-- --------------------------------------------------------

--
-- Структура таблицы `_bonuses`
--

CREATE TABLE IF NOT EXISTS `_bonuses` (
  `id` bigint(20) unsigned NOT NULL,
  `type` enum('expr','bucks','metal') NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `bonus` tinyint(3) unsigned NOT NULL,
  `price_pancers` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=304 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_bonuses`
--

INSERT INTO `_bonuses` (`id`, `type`, `level`, `bonus`, `price_pancers`) VALUES
(1, 'expr', 0, 0, 6),
(2, 'bucks', 0, 0, 6),
(3, 'metal', 0, 0, 6),
(4, 'expr', 1, 1, 8),
(5, 'bucks', 1, 1, 8),
(6, 'metal', 1, 1, 8),
(7, 'expr', 2, 2, 12),
(8, 'bucks', 2, 2, 12),
(9, 'metal', 2, 2, 12),
(10, 'expr', 3, 3, 12),
(11, 'bucks', 3, 3, 18),
(12, 'metal', 3, 3, 18),
(13, 'expr', 4, 4, 20),
(14, 'bucks', 4, 4, 20),
(15, 'metal', 4, 4, 20),
(16, 'expr', 5, 5, 22),
(17, 'bucks', 5, 5, 22),
(18, 'metal', 5, 5, 22),
(19, 'expr', 6, 6, 24),
(20, 'bucks', 6, 6, 24),
(21, 'metal', 6, 6, 24),
(22, 'expr', 7, 7, 26),
(23, 'bucks', 7, 7, 26),
(24, 'metal', 7, 7, 26),
(25, 'expr', 8, 8, 28),
(26, 'bucks', 8, 8, 28),
(27, 'metal', 8, 8, 28),
(28, 'expr', 9, 9, 30),
(29, 'bucks', 9, 9, 30),
(30, 'metal', 9, 9, 30),
(31, 'expr', 10, 10, 34),
(32, 'bucks', 10, 10, 34),
(33, 'metal', 10, 10, 34),
(34, 'expr', 11, 11, 38),
(35, 'bucks', 11, 11, 38),
(36, 'metal', 11, 11, 38),
(37, 'expr', 12, 12, 42),
(38, 'bucks', 12, 12, 42),
(39, 'metal', 12, 12, 42),
(40, 'expr', 13, 13, 46),
(41, 'bucks', 13, 13, 46),
(42, 'metal', 13, 13, 46),
(43, 'expr', 14, 14, 50),
(44, 'bucks', 14, 14, 50),
(45, 'metal', 14, 14, 50),
(46, 'expr', 15, 15, 54),
(47, 'bucks', 15, 15, 54),
(48, 'metal', 15, 15, 54),
(49, 'expr', 16, 16, 58),
(50, 'bucks', 16, 16, 58),
(51, 'metal', 16, 16, 58),
(52, 'expr', 17, 17, 62),
(53, 'bucks', 17, 17, 62),
(54, 'metal', 17, 17, 62),
(55, 'expr', 18, 18, 66),
(56, 'bucks', 18, 18, 66),
(57, 'metal', 18, 18, 66),
(58, 'expr', 19, 19, 70),
(59, 'bucks', 19, 19, 70),
(60, 'metal', 19, 19, 70),
(61, 'expr', 20, 20, 76),
(62, 'bucks', 20, 20, 76),
(63, 'metal', 20, 20, 76),
(64, 'expr', 21, 21, 82),
(65, 'bucks', 21, 21, 82),
(66, 'metal', 21, 21, 82),
(67, 'expr', 22, 22, 88),
(68, 'bucks', 22, 22, 88),
(69, 'metal', 22, 22, 88),
(70, 'expr', 23, 23, 94),
(71, 'bucks', 23, 23, 94),
(72, 'metal', 23, 23, 94),
(73, 'expr', 24, 24, 100),
(74, 'bucks', 24, 24, 100),
(75, 'metal', 24, 24, 100),
(76, 'expr', 25, 25, 106),
(77, 'bucks', 25, 25, 106),
(78, 'metal', 25, 25, 106),
(79, 'expr', 26, 26, 112),
(80, 'bucks', 26, 26, 112),
(81, 'metal', 26, 26, 112),
(82, 'expr', 27, 27, 118),
(83, 'bucks', 27, 27, 118),
(84, 'metal', 27, 27, 118),
(85, 'expr', 28, 28, 124),
(86, 'bucks', 28, 28, 124),
(87, 'metal', 28, 28, 124),
(88, 'expr', 29, 29, 130),
(89, 'bucks', 29, 29, 130),
(90, 'metal', 29, 29, 130),
(91, 'expr', 30, 30, 138),
(92, 'bucks', 30, 30, 138),
(93, 'metal', 30, 30, 138),
(94, 'expr', 31, 31, 146),
(95, 'bucks', 31, 31, 146),
(96, 'metal', 31, 31, 146),
(97, 'expr', 32, 32, 154),
(98, 'bucks', 32, 32, 154),
(99, 'metal', 32, 32, 154),
(100, 'expr', 33, 33, 162),
(101, 'bucks', 33, 33, 162),
(102, 'metal', 33, 33, 162),
(103, 'expr', 34, 34, 170),
(104, 'bucks', 34, 34, 170),
(105, 'metal', 34, 34, 170),
(106, 'expr', 35, 35, 178),
(107, 'bucks', 35, 35, 178),
(108, 'metal', 35, 35, 178),
(109, 'expr', 36, 36, 186),
(110, 'bucks', 36, 36, 186),
(111, 'metal', 36, 36, 186),
(112, 'expr', 37, 37, 194),
(113, 'bucks', 37, 37, 194),
(114, 'metal', 37, 37, 194),
(115, 'expr', 38, 38, 202),
(116, 'bucks', 38, 38, 202),
(117, 'metal', 38, 38, 202),
(118, 'expr', 39, 39, 210),
(119, 'bucks', 39, 39, 210),
(120, 'metal', 39, 39, 210),
(121, 'expr', 40, 40, 220),
(122, 'bucks', 40, 40, 220),
(123, 'metal', 40, 40, 220),
(124, 'expr', 41, 41, 230),
(125, 'bucks', 41, 41, 230),
(126, 'metal', 41, 41, 230),
(127, 'expr', 42, 42, 240),
(128, 'bucks', 42, 42, 240),
(129, 'metal', 42, 42, 240),
(130, 'expr', 43, 43, 250),
(131, 'bucks', 43, 43, 250),
(132, 'metal', 43, 43, 250),
(133, 'expr', 44, 44, 260),
(134, 'bucks', 44, 44, 260),
(135, 'metal', 44, 44, 260),
(136, 'expr', 45, 45, 270),
(137, 'bucks', 45, 45, 270),
(138, 'metal', 45, 45, 270),
(139, 'expr', 46, 46, 280),
(140, 'bucks', 46, 46, 280),
(141, 'metal', 46, 46, 280),
(142, 'expr', 47, 47, 290),
(143, 'bucks', 47, 47, 290),
(144, 'metal', 47, 47, 290),
(145, 'expr', 48, 48, 300),
(146, 'bucks', 48, 48, 300),
(147, 'metal', 48, 48, 300),
(148, 'expr', 49, 49, 310),
(149, 'bucks', 49, 49, 310),
(150, 'metal', 49, 49, 310),
(151, 'expr', 50, 50, 322),
(152, 'bucks', 50, 50, 322),
(153, 'metal', 50, 50, 322),
(154, 'expr', 51, 51, 334),
(155, 'bucks', 51, 51, 334),
(156, 'metal', 51, 51, 334),
(157, 'expr', 52, 52, 346),
(158, 'bucks', 52, 52, 346),
(159, 'metal', 52, 52, 346),
(160, 'expr', 53, 53, 358),
(161, 'bucks', 53, 53, 358),
(162, 'metal', 53, 53, 358),
(163, 'expr', 54, 54, 370),
(164, 'bucks', 54, 54, 370),
(165, 'metal', 54, 54, 370),
(166, 'expr', 55, 55, 382),
(167, 'bucks', 55, 55, 382),
(168, 'metal', 55, 55, 382),
(169, 'expr', 56, 56, 394),
(170, 'bucks', 56, 56, 394),
(171, 'metal', 56, 56, 394),
(172, 'expr', 57, 57, 406),
(173, 'bucks', 57, 57, 406),
(174, 'metal', 57, 57, 406),
(175, 'expr', 58, 58, 418),
(176, 'bucks', 58, 58, 418),
(177, 'metal', 58, 58, 418),
(178, 'expr', 59, 59, 430),
(179, 'bucks', 59, 59, 430),
(180, 'metal', 59, 59, 430),
(181, 'expr', 60, 60, 444),
(182, 'bucks', 60, 60, 444),
(183, 'metal', 60, 60, 444),
(184, 'expr', 61, 61, 458),
(185, 'bucks', 61, 61, 458),
(186, 'metal', 61, 61, 458),
(187, 'expr', 62, 62, 472),
(188, 'bucks', 62, 62, 472),
(189, 'metal', 62, 62, 472),
(190, 'expr', 63, 63, 486),
(191, 'bucks', 63, 63, 486),
(192, 'metal', 63, 63, 486),
(193, 'expr', 64, 64, 500),
(194, 'bucks', 64, 64, 500),
(195, 'metal', 64, 64, 500),
(196, 'expr', 65, 65, 514),
(197, 'bucks', 65, 65, 514),
(198, 'metal', 65, 65, 514),
(199, 'expr', 66, 66, 528),
(200, 'bucks', 66, 66, 528),
(201, 'metal', 66, 66, 528),
(202, 'expr', 67, 67, 542),
(203, 'bucks', 67, 67, 542),
(204, 'metal', 67, 67, 542),
(205, 'expr', 68, 68, 556),
(206, 'bucks', 68, 68, 556),
(207, 'metal', 68, 68, 556),
(208, 'expr', 69, 69, 570),
(209, 'bucks', 69, 69, 570),
(210, 'metal', 69, 69, 570),
(211, 'expr', 70, 70, 586),
(212, 'bucks', 70, 70, 586),
(213, 'metal', 70, 70, 586),
(214, 'expr', 71, 71, 602),
(215, 'bucks', 71, 71, 602),
(216, 'metal', 71, 71, 602),
(217, 'expr', 72, 72, 618),
(218, 'bucks', 72, 72, 618),
(219, 'metal', 72, 72, 618),
(220, 'expr', 73, 73, 634),
(221, 'bucks', 73, 73, 634),
(222, 'metal', 73, 73, 634),
(223, 'expr', 74, 74, 650),
(224, 'bucks', 74, 74, 650),
(225, 'metal', 74, 74, 650),
(226, 'expr', 75, 75, 666),
(227, 'bucks', 75, 75, 666),
(228, 'metal', 75, 75, 666),
(229, 'expr', 76, 76, 682),
(230, 'bucks', 76, 76, 682),
(231, 'metal', 76, 76, 682),
(232, 'expr', 77, 77, 698),
(233, 'bucks', 77, 77, 698),
(234, 'metal', 77, 77, 698),
(235, 'expr', 78, 78, 714),
(236, 'bucks', 78, 78, 714),
(237, 'metal', 78, 78, 714),
(238, 'expr', 79, 79, 730),
(239, 'bucks', 79, 79, 730),
(240, 'metal', 79, 79, 730),
(241, 'expr', 80, 80, 748),
(242, 'bucks', 80, 80, 748),
(243, 'metal', 80, 80, 748),
(244, 'expr', 81, 81, 766),
(245, 'bucks', 81, 81, 766),
(246, 'metal', 81, 81, 766),
(247, 'expr', 82, 82, 784),
(248, 'bucks', 82, 82, 784),
(249, 'metal', 82, 82, 784),
(250, 'expr', 83, 83, 802),
(251, 'bucks', 83, 83, 802),
(252, 'metal', 83, 83, 802),
(253, 'expr', 84, 84, 820),
(254, 'bucks', 84, 84, 820),
(255, 'metal', 84, 84, 820),
(256, 'expr', 85, 85, 838),
(257, 'bucks', 85, 85, 838),
(258, 'metal', 85, 85, 838),
(259, 'expr', 86, 86, 856),
(260, 'bucks', 86, 86, 856),
(261, 'metal', 86, 86, 856),
(262, 'expr', 87, 87, 874),
(263, 'bucks', 87, 87, 874),
(264, 'metal', 87, 87, 874),
(265, 'expr', 88, 88, 892),
(266, 'bucks', 88, 88, 892),
(267, 'metal', 88, 88, 892),
(268, 'expr', 89, 89, 910),
(269, 'bucks', 89, 89, 910),
(270, 'metal', 89, 89, 910),
(271, 'expr', 90, 90, 930),
(272, 'bucks', 90, 90, 930),
(273, 'metal', 90, 90, 930),
(274, 'expr', 91, 91, 950),
(275, 'bucks', 91, 91, 950),
(276, 'metal', 91, 91, 950),
(277, 'expr', 92, 92, 970),
(278, 'bucks', 92, 92, 970),
(279, 'metal', 92, 92, 970),
(280, 'expr', 93, 93, 990),
(281, 'bucks', 93, 93, 990),
(282, 'metal', 93, 93, 990),
(283, 'expr', 94, 94, 1010),
(284, 'bucks', 94, 94, 1010),
(285, 'metal', 94, 94, 1010),
(286, 'expr', 95, 95, 1030),
(287, 'bucks', 95, 95, 1030),
(288, 'metal', 95, 95, 1030),
(289, 'expr', 96, 96, 1050),
(290, 'bucks', 96, 96, 1050),
(291, 'metal', 96, 96, 1050),
(292, 'expr', 97, 97, 1070),
(293, 'bucks', 97, 97, 1070),
(294, 'metal', 97, 97, 1070),
(295, 'expr', 98, 98, 1090),
(296, 'bucks', 98, 98, 1090),
(297, 'metal', 98, 98, 1090),
(298, 'expr', 99, 99, 1110),
(299, 'bucks', 99, 99, 1110),
(300, 'metal', 99, 99, 1110),
(301, 'expr', 100, 100, 0),
(302, 'bucks', 100, 100, 0),
(303, 'metal', 100, 100, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `_cards`
--

CREATE TABLE IF NOT EXISTS `_cards` (
  `id` bigint(20) unsigned NOT NULL,
  `name` varchar(50) NOT NULL,
  `quality` tinyint(2) unsigned NOT NULL,
  `health` tinyint(2) unsigned NOT NULL,
  `power` tinyint(2) unsigned NOT NULL,
  `agil` tinyint(2) unsigned NOT NULL,
  `intell` tinyint(2) unsigned NOT NULL,
  `max` tinyint(3) unsigned NOT NULL COMMENT 'максимальное количество таких карточек у игрока в коллекции',
  `price_mutagen` smallint(5) unsigned NOT NULL COMMENT 'цена карточки в магазине',
  `collect_bonus_type` enum('health','power','agil','intell','expr','bucks','metal','mutagen_advent') NOT NULL,
  `collect_bonus` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=33 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_cards`
--

INSERT INTO `_cards` (`id`, `name`, `quality`, `health`, `power`, `agil`, `intell`, `max`, `price_mutagen`, `collect_bonus_type`, `collect_bonus`) VALUES
(9, 'Роксэди', 1, 2, 0, 0, 0, 200, 50, 'health', 100),
(10, 'Серлинг', 1, 0, 0, 0, 2, 200, 50, 'intell', 100),
(11, 'Караи', 1, 0, 0, 2, 0, 200, 50, 'agil', 100),
(12, 'Токка', 1, 0, 2, 0, 0, 200, 50, 'power', 100),
(13, 'Мусорщик', 2, 4, 0, 0, 0, 100, 125, 'metal', 10),
(14, 'Офицер Фут', 2, 0, 4, 0, 0, 100, 125, 'expr', 10),
(15, 'Ниндзя Фут', 2, 0, 0, 4, 0, 100, 125, 'mutagen_advent', 15),
(16, 'Гуманоид', 2, 0, 0, 0, 4, 100, 125, 'bucks', 10),
(17, 'Бибоп', 3, 6, 0, 0, 0, 75, 200, 'health', 150),
(18, 'Варвар', 3, 0, 6, 0, 0, 75, 200, 'power', 150),
(19, 'Як-мутант', 3, 0, 0, 6, 0, 75, 200, 'agil', 150),
(20, 'Мехазоид', 3, 0, 0, 0, 6, 75, 200, 'intell', 150),
(21, 'Камнеглот', 4, 8, 0, 0, 0, 50, 275, 'metal', 15),
(22, 'Хан', 4, 0, 8, 0, 0, 50, 275, 'bucks', 15),
(23, 'Пёс-мутант', 4, 0, 0, 8, 0, 50, 275, 'expr', 15),
(24, 'Фуджидоит', 4, 0, 0, 0, 8, 50, 275, 'mutagen_advent', 25),
(25, 'Драконоликий', 5, 10, 0, 0, 0, 35, 350, 'bucks', 20),
(26, 'Пурпурный Дракон', 5, 0, 10, 0, 0, 35, 350, 'bucks', 20),
(27, 'Ведьма-хранитель', 5, 0, 0, 10, 0, 35, 350, 'expr', 20),
(28, 'Стокман', 5, 0, 0, 0, 10, 35, 350, 'expr', 20),
(29, 'Нано', 6, 12, 0, 0, 0, 25, 425, 'health', 200),
(30, 'Шредер', 6, 0, 12, 0, 0, 25, 425, 'power', 200),
(31, 'Ниндзя ветра', 6, 0, 0, 12, 0, 25, 425, 'agil', 200),
(32, 'Чрел', 6, 0, 0, 0, 12, 25, 425, 'intell', 200);

-- --------------------------------------------------------

--
-- Структура таблицы `_clan_buildings_levels`
--

CREATE TABLE IF NOT EXISTS `_clan_buildings_levels` (
  `id` bigint(20) unsigned NOT NULL,
  `building` enum('residence','scientific_complex','repository','metal_warehouse','training_hall') NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `price_bucks` bigint(20) unsigned NOT NULL,
  `price_metal` bigint(20) unsigned NOT NULL,
  `price_mutagen` mediumint(8) unsigned NOT NULL,
  `bonus` float unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=256 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_clan_buildings_levels`
--

INSERT INTO `_clan_buildings_levels` (`id`, `building`, `level`, `price_bucks`, `price_metal`, `price_mutagen`, `bonus`) VALUES
(1, 'residence', 0, 100000, 100000, 0, 0),
(2, 'scientific_complex', 0, 100000, 100000, 0, 0),
(3, 'repository', 0, 100000, 100000, 0, 0),
(4, 'metal_warehouse', 0, 100000, 100000, 0, 0),
(5, 'training_hall', 0, 100000, 100000, 0, 0),
(6, 'residence', 1, 122500, 112100, 0, 0),
(7, 'scientific_complex', 1, 122500, 112100, 0, 1),
(8, 'repository', 1, 122500, 112100, 0, 1),
(9, 'metal_warehouse', 1, 122500, 112100, 0, 1),
(10, 'training_hall', 1, 122500, 112100, 0, 1),
(11, 'residence', 2, 190000, 148400, 0, 0),
(12, 'scientific_complex', 2, 190000, 148400, 0, 2),
(13, 'repository', 2, 190000, 148400, 0, 2),
(14, 'metal_warehouse', 2, 190000, 148400, 0, 2),
(15, 'training_hall', 2, 190000, 148400, 0, 2),
(16, 'residence', 3, 302500, 208900, 0, 0),
(17, 'scientific_complex', 3, 302500, 208900, 0, 3),
(18, 'repository', 3, 302500, 208900, 0, 3),
(19, 'metal_warehouse', 3, 302500, 208900, 0, 3),
(20, 'training_hall', 3, 302500, 208900, 0, 3),
(21, 'residence', 4, 460000, 293600, 0, 0),
(22, 'scientific_complex', 4, 460000, 293600, 0, 4),
(23, 'repository', 4, 460000, 293600, 0, 4),
(24, 'metal_warehouse', 4, 460000, 293600, 0, 4),
(25, 'training_hall', 4, 460000, 293600, 0, 4),
(26, 'residence', 5, 0, 0, 2125, 0),
(27, 'scientific_complex', 5, 0, 0, 2125, 5),
(28, 'repository', 5, 0, 0, 2125, 5),
(29, 'metal_warehouse', 5, 0, 0, 2125, 5),
(30, 'training_hall', 5, 0, 0, 2125, 5),
(31, 'residence', 6, 910000, 535600, 0, 0),
(32, 'scientific_complex', 6, 910000, 535600, 0, 6),
(33, 'repository', 6, 910000, 535600, 0, 6),
(34, 'metal_warehouse', 6, 910000, 535600, 0, 6),
(35, 'training_hall', 6, 910000, 535600, 0, 6),
(36, 'residence', 7, 1202500, 692900, 0, 0),
(37, 'scientific_complex', 7, 1202500, 692900, 0, 7),
(38, 'repository', 7, 1202500, 692900, 0, 7),
(39, 'metal_warehouse', 7, 1202500, 692900, 0, 7),
(40, 'training_hall', 7, 1202500, 692900, 0, 7),
(41, 'residence', 8, 1540000, 874400, 0, 0),
(42, 'scientific_complex', 8, 1540000, 874400, 0, 8),
(43, 'repository', 8, 1540000, 874400, 0, 8),
(44, 'metal_warehouse', 8, 1540000, 874400, 0, 8),
(45, 'training_hall', 8, 1540000, 874400, 0, 8),
(46, 'residence', 9, 1922500, 1080100, 0, 0),
(47, 'scientific_complex', 9, 1922500, 1080100, 0, 9),
(48, 'repository', 9, 1922500, 1080100, 0, 9),
(49, 'metal_warehouse', 9, 1922500, 1080100, 0, 9),
(50, 'training_hall', 9, 1922500, 1080100, 0, 9),
(51, 'residence', 10, 0, 0, 3000, 0),
(52, 'scientific_complex', 10, 0, 0, 3000, 10),
(53, 'repository', 10, 0, 0, 3000, 10),
(54, 'metal_warehouse', 10, 0, 0, 3000, 10),
(55, 'training_hall', 10, 0, 0, 3000, 10),
(56, 'residence', 11, 2822500, 1564100, 0, 0),
(57, 'scientific_complex', 11, 2822500, 1564100, 0, 11),
(58, 'repository', 11, 2822500, 1564100, 0, 11),
(59, 'metal_warehouse', 11, 2822500, 1564100, 0, 11),
(60, 'training_hall', 11, 2822500, 1564100, 0, 11),
(61, 'residence', 12, 3340000, 1842400, 0, 0),
(62, 'scientific_complex', 12, 3340000, 1842400, 0, 12),
(63, 'repository', 12, 3340000, 1842400, 0, 12),
(64, 'metal_warehouse', 12, 3340000, 1842400, 0, 12),
(65, 'training_hall', 12, 3340000, 1842400, 0, 12),
(66, 'residence', 13, 3902500, 2144900, 0, 0),
(67, 'scientific_complex', 13, 3902500, 2144900, 0, 13),
(68, 'repository', 13, 3902500, 2144900, 0, 13),
(69, 'metal_warehouse', 13, 3902500, 2144900, 0, 13),
(70, 'training_hall', 13, 3902500, 2144900, 0, 13),
(71, 'residence', 14, 4510000, 2471600, 0, 0),
(72, 'scientific_complex', 14, 4510000, 2471600, 0, 14),
(73, 'repository', 14, 4510000, 2471600, 0, 14),
(74, 'metal_warehouse', 14, 4510000, 2471600, 0, 14),
(75, 'training_hall', 14, 4510000, 2471600, 0, 14),
(76, 'residence', 15, 0, 0, 5375, 0),
(77, 'scientific_complex', 15, 0, 0, 5375, 15),
(78, 'repository', 15, 0, 0, 5375, 15),
(79, 'metal_warehouse', 15, 0, 0, 5375, 15),
(80, 'training_hall', 15, 0, 0, 5375, 15),
(81, 'residence', 16, 5860000, 3197600, 0, 0),
(82, 'scientific_complex', 16, 5860000, 3197600, 0, 16),
(83, 'repository', 16, 5860000, 3197600, 0, 16),
(84, 'metal_warehouse', 16, 5860000, 3197600, 0, 16),
(85, 'training_hall', 16, 5860000, 3197600, 0, 16),
(86, 'residence', 17, 6602500, 3596900, 0, 0),
(87, 'scientific_complex', 17, 6602500, 3596900, 0, 17),
(88, 'repository', 17, 6602500, 3596900, 0, 17),
(89, 'metal_warehouse', 17, 6602500, 3596900, 0, 17),
(90, 'training_hall', 17, 6602500, 3596900, 0, 17),
(91, 'residence', 18, 7390000, 4020400, 0, 0),
(92, 'scientific_complex', 18, 7390000, 4020400, 0, 18),
(93, 'repository', 18, 7390000, 4020400, 0, 18),
(94, 'metal_warehouse', 18, 7390000, 4020400, 0, 18),
(95, 'training_hall', 18, 7390000, 4020400, 0, 18),
(96, 'residence', 19, 8222500, 4468100, 0, 0),
(97, 'scientific_complex', 19, 8222500, 4468100, 0, 19),
(98, 'repository', 19, 8222500, 4468100, 0, 19),
(99, 'metal_warehouse', 19, 8222500, 4468100, 0, 19),
(100, 'training_hall', 19, 8222500, 4468100, 0, 19),
(101, 'residence', 20, 0, 0, 10000, 0),
(102, 'scientific_complex', 20, 0, 0, 10000, 20),
(103, 'repository', 20, 0, 0, 10000, 20),
(104, 'metal_warehouse', 20, 0, 0, 10000, 20),
(105, 'training_hall', 20, 0, 0, 10000, 20),
(106, 'residence', 21, 10022500, 5436100, 0, 0),
(107, 'scientific_complex', 21, 10022500, 5436100, 0, 21),
(108, 'repository', 21, 10022500, 5436100, 0, 21),
(109, 'metal_warehouse', 21, 10022500, 5436100, 0, 21),
(110, 'training_hall', 21, 10022500, 5436100, 0, 21),
(111, 'residence', 22, 10990000, 5956400, 0, 0),
(112, 'scientific_complex', 22, 10990000, 5956400, 0, 22),
(113, 'repository', 22, 10990000, 5956400, 0, 22),
(114, 'metal_warehouse', 22, 10990000, 5956400, 0, 22),
(115, 'training_hall', 22, 10990000, 5956400, 0, 22),
(116, 'residence', 23, 12002500, 6500900, 0, 0),
(117, 'scientific_complex', 23, 12002500, 6500900, 0, 23),
(118, 'repository', 23, 12002500, 6500900, 0, 23),
(119, 'metal_warehouse', 23, 12002500, 6500900, 0, 23),
(120, 'training_hall', 23, 12002500, 6500900, 0, 23),
(121, 'residence', 24, 13060000, 7069600, 0, 0),
(122, 'scientific_complex', 24, 13060000, 7069600, 0, 24),
(123, 'repository', 24, 13060000, 7069600, 0, 24),
(124, 'metal_warehouse', 24, 13060000, 7069600, 0, 24),
(125, 'training_hall', 24, 13060000, 7069600, 0, 24),
(126, 'residence', 25, 0, 0, 17625, 0),
(127, 'scientific_complex', 25, 0, 0, 17625, 25),
(128, 'repository', 25, 0, 0, 17625, 25),
(129, 'metal_warehouse', 25, 0, 0, 17625, 25),
(130, 'training_hall', 25, 0, 0, 17625, 25),
(131, 'residence', 26, 15310000, 8279600, 0, 0),
(132, 'scientific_complex', 26, 15310000, 8279600, 0, 26),
(133, 'repository', 26, 15310000, 8279600, 0, 26),
(134, 'metal_warehouse', 26, 15310000, 8279600, 0, 26),
(135, 'training_hall', 26, 15310000, 8279600, 0, 26),
(136, 'residence', 27, 16502500, 8920900, 0, 0),
(137, 'scientific_complex', 27, 16502500, 8920900, 0, 27),
(138, 'repository', 27, 16502500, 8920900, 0, 27),
(139, 'metal_warehouse', 27, 16502500, 8920900, 0, 27),
(140, 'training_hall', 27, 16502500, 8920900, 0, 27),
(141, 'residence', 28, 17740000, 9586400, 0, 0),
(142, 'scientific_complex', 28, 17740000, 9586400, 0, 28),
(143, 'repository', 28, 17740000, 9586400, 0, 28),
(144, 'metal_warehouse', 28, 17740000, 9586400, 0, 28),
(145, 'training_hall', 28, 17740000, 9586400, 0, 28),
(146, 'residence', 29, 19022500, 10276100, 0, 0),
(147, 'scientific_complex', 29, 19022500, 10276100, 0, 29),
(148, 'repository', 29, 19022500, 10276100, 0, 29),
(149, 'metal_warehouse', 29, 19022500, 10276100, 0, 29),
(150, 'training_hall', 29, 19022500, 10276100, 0, 29),
(151, 'residence', 30, 0, 0, 29000, 0),
(152, 'scientific_complex', 30, 0, 0, 29000, 30),
(153, 'repository', 30, 0, 0, 29000, 30),
(154, 'metal_warehouse', 30, 0, 0, 29000, 30),
(155, 'training_hall', 30, 0, 0, 29000, 30),
(156, 'residence', 31, 21722500, 11728100, 0, 0),
(157, 'scientific_complex', 31, 21722500, 11728100, 0, 31),
(158, 'repository', 31, 21722500, 11728100, 0, 31),
(159, 'metal_warehouse', 31, 21722500, 11728100, 0, 31),
(160, 'training_hall', 31, 21722500, 11728100, 0, 31),
(161, 'residence', 32, 23140000, 12490400, 0, 0),
(162, 'scientific_complex', 32, 23140000, 12490400, 0, 32),
(163, 'repository', 32, 23140000, 12490400, 0, 32),
(164, 'metal_warehouse', 32, 23140000, 12490400, 0, 32),
(165, 'training_hall', 32, 23140000, 12490400, 0, 32),
(166, 'residence', 33, 24602500, 13276900, 0, 0),
(167, 'scientific_complex', 33, 24602500, 13276900, 0, 33),
(168, 'repository', 33, 24602500, 13276900, 0, 33),
(169, 'metal_warehouse', 33, 24602500, 13276900, 0, 33),
(170, 'training_hall', 33, 24602500, 13276900, 0, 33),
(171, 'residence', 34, 26110000, 14087600, 0, 0),
(172, 'scientific_complex', 34, 26110000, 14087600, 0, 34),
(173, 'repository', 34, 26110000, 14087600, 0, 34),
(174, 'metal_warehouse', 34, 26110000, 14087600, 0, 34),
(175, 'training_hall', 34, 26110000, 14087600, 0, 34),
(176, 'residence', 35, 0, 0, 44875, 0),
(177, 'scientific_complex', 35, 0, 0, 44875, 35),
(178, 'repository', 35, 0, 0, 44875, 35),
(179, 'metal_warehouse', 35, 0, 0, 44875, 35),
(180, 'training_hall', 35, 0, 0, 44875, 35),
(181, 'residence', 36, 29260000, 15781600, 0, 0),
(182, 'scientific_complex', 36, 29260000, 15781600, 0, 36),
(183, 'repository', 36, 29260000, 15781600, 0, 36),
(184, 'metal_warehouse', 36, 29260000, 15781600, 0, 36),
(185, 'training_hall', 36, 29260000, 15781600, 0, 36),
(186, 'residence', 37, 30902500, 16664900, 0, 0),
(187, 'scientific_complex', 37, 30902500, 16664900, 0, 37),
(188, 'repository', 37, 30902500, 16664900, 0, 37),
(189, 'metal_warehouse', 37, 30902500, 16664900, 0, 37),
(190, 'training_hall', 37, 30902500, 16664900, 0, 37),
(191, 'residence', 38, 32590000, 17572400, 0, 0),
(192, 'scientific_complex', 38, 32590000, 17572400, 0, 38),
(193, 'repository', 38, 32590000, 17572400, 0, 38),
(194, 'metal_warehouse', 38, 32590000, 17572400, 0, 38),
(195, 'training_hall', 38, 32590000, 17572400, 0, 38),
(196, 'residence', 39, 34322500, 18504100, 0, 0),
(197, 'scientific_complex', 39, 34322500, 18504100, 0, 39),
(198, 'repository', 39, 34322500, 18504100, 0, 39),
(199, 'metal_warehouse', 39, 34322500, 18504100, 0, 39),
(200, 'training_hall', 39, 34322500, 18504100, 0, 39),
(201, 'residence', 40, 0, 0, 66000, 0),
(202, 'scientific_complex', 40, 0, 0, 66000, 40),
(203, 'repository', 40, 0, 0, 66000, 40),
(204, 'metal_warehouse', 40, 0, 0, 66000, 40),
(205, 'training_hall', 40, 0, 0, 66000, 40),
(206, 'residence', 41, 37922500, 20440100, 0, 0),
(207, 'scientific_complex', 41, 37922500, 20440100, 0, 41),
(208, 'repository', 41, 37922500, 20440100, 0, 41),
(209, 'metal_warehouse', 41, 37922500, 20440100, 0, 41),
(210, 'training_hall', 41, 37922500, 20440100, 0, 41),
(211, 'residence', 42, 39790000, 21444400, 0, 0),
(212, 'scientific_complex', 42, 39790000, 21444400, 0, 42),
(213, 'repository', 42, 39790000, 21444400, 0, 42),
(214, 'metal_warehouse', 42, 39790000, 21444400, 0, 42),
(215, 'training_hall', 42, 39790000, 21444400, 0, 42),
(216, 'residence', 43, 41702500, 22472900, 0, 0),
(217, 'scientific_complex', 43, 41702500, 22472900, 0, 43),
(218, 'repository', 43, 41702500, 22472900, 0, 43),
(219, 'metal_warehouse', 43, 41702500, 22472900, 0, 43),
(220, 'training_hall', 43, 41702500, 22472900, 0, 43),
(221, 'residence', 44, 43660000, 23525600, 0, 0),
(222, 'scientific_complex', 44, 43660000, 23525600, 0, 44),
(223, 'repository', 44, 43660000, 23525600, 0, 44),
(224, 'metal_warehouse', 44, 43660000, 23525600, 0, 44),
(225, 'training_hall', 44, 43660000, 23525600, 0, 44),
(226, 'residence', 45, 0, 0, 93125, 0),
(227, 'scientific_complex', 45, 0, 0, 93125, 45),
(228, 'repository', 45, 0, 0, 93125, 45),
(229, 'metal_warehouse', 45, 0, 0, 93125, 45),
(230, 'training_hall', 45, 0, 0, 93125, 45),
(231, 'residence', 46, 47710000, 25703600, 0, 0),
(232, 'scientific_complex', 46, 47710000, 25703600, 0, 46),
(233, 'repository', 46, 47710000, 25703600, 0, 46),
(234, 'metal_warehouse', 46, 47710000, 25703600, 0, 46),
(235, 'training_hall', 46, 47710000, 25703600, 0, 46),
(236, 'residence', 47, 49802500, 26828900, 0, 0),
(237, 'scientific_complex', 47, 49802500, 26828900, 0, 47),
(238, 'repository', 47, 49802500, 26828900, 0, 47),
(239, 'metal_warehouse', 47, 49802500, 26828900, 0, 47),
(240, 'training_hall', 47, 49802500, 26828900, 0, 47),
(241, 'residence', 48, 51940000, 27978400, 0, 0),
(242, 'scientific_complex', 48, 51940000, 27978400, 0, 48),
(243, 'repository', 48, 51940000, 27978400, 0, 48),
(244, 'metal_warehouse', 48, 51940000, 27978400, 0, 48),
(245, 'training_hall', 48, 51940000, 27978400, 0, 48),
(246, 'residence', 49, 54122500, 29152100, 0, 0),
(247, 'scientific_complex', 49, 54122500, 29152100, 0, 49),
(248, 'repository', 49, 54122500, 29152100, 0, 49),
(249, 'metal_warehouse', 49, 54122500, 29152100, 0, 49),
(250, 'training_hall', 49, 54122500, 29152100, 0, 49),
(251, 'residence', 50, 0, 0, 127000, 0),
(252, 'scientific_complex', 50, 0, 0, 127000, 50),
(253, 'repository', 50, 0, 0, 127000, 50),
(254, 'metal_warehouse', 50, 0, 0, 127000, 50),
(255, 'training_hall', 50, 0, 0, 127000, 50);

-- --------------------------------------------------------

--
-- Структура таблицы `_levels_clan`
--

CREATE TABLE IF NOT EXISTS `_levels_clan` (
  `id` bigint(20) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `exp_need` bigint(20) unsigned NOT NULL,
  `reward_mutagen` mediumint(8) NOT NULL,
  `reward_bucks` int(10) unsigned NOT NULL,
  `reward_metal` int(10) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_levels_clan`
--

INSERT INTO `_levels_clan` (`id`, `level`, `exp_need`, `reward_mutagen`, `reward_bucks`, `reward_metal`) VALUES
(1, 1, 14400, 51, 10001, 8001),
(2, 2, 35136, 54, 10017, 8015),
(3, 3, 64996, 59, 10090, 8073),
(4, 4, 107994, 66, 10294, 8223),
(5, 5, 169911, 75, 10734, 8532),
(6, 6, 259072, 86, 11550, 9083),
(7, 7, 387464, 99, 12917, 9976),
(8, 8, 572348, 114, 15043, 11327),
(9, 9, 838582, 131, 18173, 13267),
(10, 10, 1221958, 150, 22589, 15943),
(11, 11, 2251621, 171, 28608, 19519),
(12, 12, 3828297, 194, 36585, 24174),
(13, 13, 6238130, 219, 46912, 30099),
(14, 14, 9803497, 246, 60018, 37505),
(15, 15, 14933331, 275, 76370, 46615),
(16, 16, 22137669, 306, 96475, 57667),
(17, 17, 32043387, 339, 120877, 70915),
(18, 18, 45411127, 374, 150158, 86625),
(19, 19, 63153433, 411, 184940, 105082),
(20, 20, 86354102, 450, 225885, 126582),
(21, 21, 116288749, 491, 273693, 151435),
(22, 22, 154446600, 534, 329105, 179968),
(23, 23, 202553522, 579, 392899, 212521),
(24, 24, 262596283, 626, 465896, 249448),
(25, 25, 336848062, 675, 548957, 291117),
(26, 26, 427895208, 726, 642981, 337910),
(27, 27, 538665252, 779, 748910, 390225),
(28, 28, 672456183, 834, 867725, 448470),
(29, 29, 832966983, 891, 1000448, 513071),
(30, 30, 1024329438, 950, 1148144, 584465),
(31, 31, 1251141220, 1011, 1311916, 663105),
(32, 32, 1518500250, 1074, 1492910, 749455),
(33, 33, 1832040344, 1139, 1692314, 843996),
(34, 34, 2197968145, 1206, 1911357, 947221),
(35, 35, 2623101347, 1275, 2151307, 1059636),
(36, 36, 3114908219, 1346, 2413479, 1181761),
(37, 37, 3681548421, 1419, 2699225, 1314131),
(38, 38, 4331915129, 1494, 3009941, 1457292),
(39, 39, 5075678469, 1571, 3347067, 1611806),
(40, 40, 5923330251, 1650, 3712081, 1778247),
(41, 41, 6886230031, 1731, 4106508, 1957203),
(42, 42, 7976652479, 1814, 4531912, 2149274),
(43, 43, 9207836075, 1899, 4989901, 2355075),
(44, 44, 10594033126, 1986, 5482125, 2575234),
(45, 45, 12150561111, 2075, 6010277, 2810391),
(46, 46, 13893855355, 2166, 6576094, 3061202),
(47, 47, 15841523043, 2259, 7181355, 3328333),
(48, 48, 18012398559, 2354, 7827881, 3612465),
(49, 49, 20426600173, 2451, 8517539, 3914292),
(50, 50, 23105588072, 2550, 9252235, 4234521);

-- --------------------------------------------------------

--
-- Структура таблицы `_levels_lab`
--

CREATE TABLE IF NOT EXISTS `_levels_lab` (
  `id` bigint(20) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `price_bucks` int(10) unsigned NOT NULL,
  `price_metal` int(10) unsigned NOT NULL,
  `bonus_mutagen` tinyint(3) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=31 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_levels_lab`
--

INSERT INTO `_levels_lab` (`id`, `level`, `price_bucks`, `price_metal`, `bonus_mutagen`) VALUES
(1, 1, 9100, 4300, 6),
(2, 2, 33400, 15100, 7),
(3, 3, 73900, 33100, 8),
(4, 4, 130600, 58300, 9),
(5, 5, 203500, 90700, 10),
(6, 6, 292600, 130300, 11),
(7, 7, 397900, 177100, 12),
(8, 8, 519400, 231100, 13),
(9, 9, 657100, 292300, 14),
(10, 10, 811000, 360700, 15),
(11, 11, 981100, 436300, 17),
(12, 12, 1167400, 519100, 18),
(13, 13, 1369900, 609100, 19),
(14, 14, 1588600, 706300, 20),
(15, 15, 1823500, 810700, 21),
(16, 16, 2074600, 922300, 22),
(17, 17, 2341900, 1041100, 23),
(18, 18, 2625400, 1167100, 24),
(19, 19, 2925100, 1300300, 25),
(20, 20, 3241000, 1440700, 26),
(21, 21, 3573100, 1588300, 28),
(22, 22, 3921400, 1743100, 29),
(23, 23, 4285900, 1905100, 30),
(24, 24, 4666600, 2074300, 31),
(25, 25, 5063500, 2250700, 32),
(26, 26, 5476600, 2434300, 33),
(27, 27, 5905900, 2625100, 34),
(28, 28, 6351400, 2823100, 35),
(29, 29, 6813100, 3028300, 36),
(30, 30, 7291000, 3240700, 37);

-- --------------------------------------------------------

--
-- Структура таблицы `_levels_scramble_combat`
--

CREATE TABLE IF NOT EXISTS `_levels_scramble_combat` (
  `id` bigint(20) unsigned NOT NULL,
  `name` varchar(25) NOT NULL,
  `expr_need` int(10) unsigned NOT NULL,
  `pancer_chance` tinyint(3) unsigned NOT NULL,
  `pancers_num` tinyint(2) unsigned NOT NULL,
  `reward_percent` tinyint(3) unsigned NOT NULL COMMENT 'бонус к награде в процентах'
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_levels_scramble_combat`
--

INSERT INTO `_levels_scramble_combat` (`id`, `name`, `expr_need`, `pancer_chance`, `pancers_num`, `reward_percent`) VALUES
(1, 'Новичок-1', 142, 50, 1, 0),
(2, 'Новичок-2', 477, 52, 1, 5),
(3, 'Новичок-3', 1882, 55, 2, 10),
(4, 'Боец-1', 6048, 57, 2, 15),
(5, 'Боец-2', 16022, 60, 3, 20),
(6, 'Боец-3', 36704, 62, 3, 25),
(8, 'Ветеран-1', 75381, 65, 4, 30),
(7, 'Ветеран-2', 142303, 67, 4, 35),
(9, 'Ветеран-3', 251288, 70, 5, 40),
(10, 'Легенда-1', 420362, 72, 5, 45),
(11, 'Легенда-2', 672424, 75, 5, 50),
(12, 'Легенда-3', 1035943, 77, 6, 55),
(13, 'Звезда-1', 1545679, 80, 6, 60),
(14, 'Звезда-2', 2243428, 82, 6, 65),
(15, 'Звезда-3', 3178788, 85, 7, 70);

-- --------------------------------------------------------

--
-- Структура таблицы `_levels_user`
--

CREATE TABLE IF NOT EXISTS `_levels_user` (
  `id` bigint(20) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `exp_need` bigint(20) unsigned NOT NULL,
  `bonus_bucks` mediumint(8) unsigned NOT NULL,
  `bonus_mutagen` tinyint(3) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=51 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_levels_user`
--

INSERT INTO `_levels_user` (`id`, `level`, `exp_need`, `bonus_bucks`, `bonus_mutagen`) VALUES
(1, 1, 0, 0, 0),
(2, 2, 700, 1000, 2),
(3, 3, 2100, 2000, 3),
(4, 4, 4200, 3000, 4),
(5, 5, 7000, 4000, 5),
(6, 6, 10500, 5000, 6),
(7, 7, 14700, 6000, 7),
(8, 8, 19600, 7000, 8),
(9, 9, 25200, 8000, 9),
(10, 10, 31500, 9000, 10),
(11, 11, 47365, 10000, 11),
(12, 12, 82475, 22000, 24),
(13, 13, 124370, 24000, 26),
(14, 14, 181479, 26000, 28),
(15, 15, 257493, 28000, 30),
(16, 16, 356632, 30000, 32),
(17, 17, 483661, 32000, 34),
(18, 18, 643928, 34000, 36),
(19, 19, 843388, 36000, 38),
(20, 20, 1088628, 38000, 40),
(21, 21, 1386897, 40000, 42),
(22, 22, 2005294, 63000, 66),
(23, 23, 2503080, 66000, 69),
(24, 24, 3093784, 69000, 72),
(25, 25, 3789559, 72000, 75),
(26, 26, 4603524, 75000, 78),
(27, 27, 5549802, 78000, 81),
(28, 28, 6643550, 81000, 84),
(29, 29, 7900988, 84000, 87),
(30, 30, 9339436, 87000, 90),
(31, 31, 10977338, 90000, 93),
(32, 32, 15002420, 124000, 128),
(33, 33, 17478656, 128000, 132),
(34, 34, 20268098, 132000, 136),
(35, 35, 23399043, 136000, 140),
(36, 36, 26901388, 140000, 144),
(37, 37, 30806664, 144000, 148),
(38, 38, 35148077, 148000, 152),
(39, 39, 39960548, 152000, 156),
(40, 40, 45280749, 156000, 160),
(41, 41, 51147145, 160000, 164),
(42, 42, 68191625, 205000, 210),
(43, 43, 76659240, 210000, 215),
(44, 44, 85941273, 215000, 220),
(45, 45, 96094352, 220000, 225),
(46, 46, 107177607, 225000, 230),
(47, 47, 119252713, 230000, 235),
(48, 48, 132383946, 235000, 240),
(49, 49, 146638230, 240000, 245),
(50, 50, 162085186, 245000, 250);

-- --------------------------------------------------------

--
-- Структура таблицы `_log_battle`
--

CREATE TABLE IF NOT EXISTS `_log_battle` (
  `id` bigint(20) unsigned NOT NULL,
  `text` text NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_log_battle`
--

INSERT INTO `_log_battle` (`id`, `text`) VALUES
(1, '<span class="springGreen">Вы</span> ударили (<span class="orangeRed">-%s</span>)'),
(2, '<span class="darkOrchid">%s</span> ударил вас (<span class="orangeRed">-%s</span>)'),
(3, '<b class="chartreuse">Вы убили %s</b>'),
(4, '<b class="orangeRed">Вас убил %s</b>'),
(5, '<i class="gray">Вы бьёте слишком часто</i>'),
(6, '<span class="pancers-color">Вы получили панцирь</span>'),
(7, '%s убил %s'),
(8, '<i class="gray">Промах</i>');

-- --------------------------------------------------------

--
-- Структура таблицы `_premium`
--

CREATE TABLE IF NOT EXISTS `_premium` (
  `id` tinyint(2) unsigned NOT NULL,
  `time` int(10) unsigned NOT NULL COMMENT 'время действия премиума',
  `price_mutagen` mediumint(8) unsigned NOT NULL COMMENT 'цена в мутагене'
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_premium`
--

INSERT INTO `_premium` (`id`, `time`, `price_mutagen`) VALUES
(1, 86400, 100),
(2, 259200, 270),
(3, 604800, 595),
(4, 2592000, 2400),
(5, 7776000, 6750),
(6, 31536000, 25550);

-- --------------------------------------------------------

--
-- Структура таблицы `_robbery_reward_etaps`
--

CREATE TABLE IF NOT EXISTS `_robbery_reward_etaps` (
  `id` bigint(20) unsigned NOT NULL,
  `score` mediumint(8) unsigned NOT NULL,
  `mutagen` smallint(5) unsigned NOT NULL,
  `bucks` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=26 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_robbery_reward_etaps`
--

INSERT INTO `_robbery_reward_etaps` (`id`, `score`, `mutagen`, `bucks`) VALUES
(1, 1300, 0, 11000),
(2, 2990, 6, 0),
(3, 5187, 0, 13000),
(4, 8043, 8, 0),
(5, 11756, 0, 15000),
(6, 16583, 10, 0),
(7, 22858, 0, 17000),
(8, 31015, 12, 0),
(9, 41619, 0, 19000),
(10, 55405, 14, 0),
(11, 73327, 0, 21000),
(12, 96625, 16, 0),
(13, 126913, 0, 23000),
(14, 166286, 18, 0),
(15, 217472, 0, 25000),
(16, 284014, 20, 0),
(17, 370518, 0, 27000),
(18, 482973, 22, 0),
(19, 629165, 0, 29000),
(20, 819215, 24, 0),
(21, 1066280, 0, 31000),
(22, 1387464, 26, 0),
(23, 1805003, 0, 33000),
(24, 2347803, 28, 0),
(25, 3053444, 0, 35000);

-- --------------------------------------------------------

--
-- Структура таблицы `_sewerage`
--

CREATE TABLE IF NOT EXISTS `_sewerage` (
  `id` bigint(20) unsigned NOT NULL,
  `name` varchar(50) NOT NULL,
  `level_need` tinyint(3) unsigned NOT NULL,
  `enemies` text NOT NULL,
  `reward_cards` varchar(150) NOT NULL COMMENT 'сериализованый массив с id карточек',
  `reward_exp` mediumint(8) unsigned NOT NULL,
  `reward_bucks` mediumint(8) unsigned NOT NULL,
  `reward_metal` mediumint(8) unsigned NOT NULL,
  `recovery_seconds` mediumint(8) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_sewerage`
--

INSERT INTO `_sewerage` (`id`, `name`, `level_need`, `enemies`, `reward_cards`, `reward_exp`, `reward_bucks`, `reward_metal`, `recovery_seconds`) VALUES
(1, 'Канализация-1', 1, 'a:3:{i:1;a:1:{i:0;a:1:{i:8;i:5;}}i:2;a:1:{i:0;a:1:{i:9;i:3;}}i:3;a:1:{i:0;a:1:{i:1;i:1;}}}', 'a:4:{i:0;i:9;i:1;i:10;i:2;i:11;i:3;i:12;}', 2000, 4000, 3500, 600),
(2, 'Канализация-2', 10, 'a:3:{i:1;a:1:{i:0;a:1:{i:10;i:6;}}i:2;a:2:{i:0;a:1:{i:10;i:3;}i:1;a:1:{i:11;i:2;}}i:3;a:2:{i:0;a:1:{i:2;i:1;}i:1;a:1:{i:11;i:2;}}}', 'a:4:{i:0;i:13;i:1;i:14;i:2;i:15;i:3;i:16;}', 4000, 10000, 8000, 1800),
(3, 'Канализация-3', 17, 'a:3:{i:1;a:1:{i:0;a:1:{i:13;i:5;}}i:2;a:2:{i:0;a:1:{i:12;i:4;}i:1;a:1:{i:13;i:2;}}i:3;a:2:{i:0;a:1:{i:3;i:1;}i:1;a:1:{i:12;i:4;}}}', 'a:4:{i:0;i:17;i:1;i:18;i:2;i:19;i:3;i:20;}', 7500, 32000, 20000, 2700),
(4, 'Канализация-4', 24, 'a:4:{i:1;a:1:{i:0;a:1:{i:4;i:1;}}i:2;a:1:{i:0;a:1:{i:15;i:8;}}i:3;a:1:{i:0;a:1:{i:14;i:6;}}i:4;a:1:{i:0;a:1:{i:4;i:1;}}}', 'a:4:{i:0;i:21;i:1;i:22;i:2;i:23;i:3;i:24;}', 9000, 75000, 38000, 3600),
(5, 'Канализация-5', 30, 'a:4:{i:1;a:2:{i:0;a:1:{i:17;i:2;}i:1;a:1:{i:16;i:8;}}i:2;a:1:{i:0;a:1:{i:5;i:1;}}i:3;a:1:{i:0;a:1:{i:16;i:8;}}i:4;a:1:{i:0;a:1:{i:17;i:6;}}}', 'a:4:{i:0;i:25;i:1;i:26;i:2;i:27;i:3;i:28;}', 12000, 115000, 66000, 5400),
(6, 'Канализация-6', 36, 'a:4:{i:1;a:2:{i:0;a:1:{i:18;i:6;}i:1;a:1:{i:19;i:1;}}i:2;a:2:{i:0;a:1:{i:18;i:5;}i:1;a:1:{i:19;i:4;}}i:3;a:1:{i:0;a:1:{i:19;i:6;}}i:4;a:2:{i:0;a:1:{i:6;i:1;}i:1;a:1:{i:18;i:5;}}}', 'a:4:{i:0;i:29;i:1;i:30;i:2;i:31;i:3;i:32;}', 15000, 150000, 90000, 7200),
(7, 'Канализация-7', 43, 'a:3:{i:1;a:1:{i:0;a:1:{i:20;i:2;}}i:2;a:1:{i:0;a:1:{i:20;i:1;}}i:3;a:2:{i:0;a:1:{i:7;i:1;}i:1;a:1:{i:20;i:1;}}}', 'a:4:{i:0;i:29;i:1;i:30;i:2;i:31;i:3;i:32;}', 22000, 200000, 115000, 50400);

-- --------------------------------------------------------

--
-- Структура таблицы `_sewerage_enemies`
--

CREATE TABLE IF NOT EXISTS `_sewerage_enemies` (
  `id` bigint(20) unsigned NOT NULL,
  `name` varchar(30) NOT NULL,
  `health` mediumint(8) unsigned NOT NULL,
  `damage` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=21 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_sewerage_enemies`
--

INSERT INTO `_sewerage_enemies` (`id`, `name`, `health`, `damage`) VALUES
(1, 'Скамбаг', 4000, 29),
(2, 'Слашур', 7000, 50),
(3, 'Драго', 15000, 135),
(4, 'Старли', 20000, 150),
(5, 'Электроник', 60000, 317),
(6, 'Вайрэл', 105000, 290),
(7, 'Торбин Зикс', 175000, 550),
(8, 'Слизень', 50, 4),
(9, 'Крыса', 130, 10),
(10, 'Крыса-мутант', 150, 12),
(11, 'Черепаха-мутант', 210, 15),
(12, 'Ящер', 300, 20),
(13, 'Крокодил', 450, 25),
(14, 'Троглодит', 575, 38),
(15, 'Амфибия', 500, 30),
(16, 'Электромышь', 300, 13),
(17, 'Инженер', 1500, 45),
(18, 'Кондира', 2200, 78),
(19, 'Ниндзя-киборг', 3000, 102),
(20, 'Носорог', 30000, 167);

-- --------------------------------------------------------

--
-- Структура таблицы `_shop_resources_lot`
--

CREATE TABLE IF NOT EXISTS `_shop_resources_lot` (
  `id` bigint(20) unsigned NOT NULL,
  `resource` enum('bucks','metal','pancers') NOT NULL,
  `quantity` int(10) unsigned NOT NULL,
  `price_mutagen` mediumint(8) unsigned NOT NULL COMMENT 'стоимость'
) ENGINE=MyISAM AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_shop_resources_lot`
--

INSERT INTO `_shop_resources_lot` (`id`, `resource`, `quantity`, `price_mutagen`) VALUES
(1, 'bucks', 3000, 2),
(2, 'bucks', 15000, 9),
(3, 'bucks', 75000, 45),
(4, 'bucks', 375000, 212),
(5, 'bucks', 1875000, 1000),
(6, 'metal', 1000, 4),
(7, 'metal', 5000, 19),
(8, 'metal', 25000, 90),
(9, 'metal', 100000, 340),
(10, 'metal', 500000, 1600),
(11, 'pancers', 1, 3),
(12, 'pancers', 5, 14),
(13, 'pancers', 25, 68),
(14, 'pancers', 100, 255),
(15, 'pancers', 500, 1200);

-- --------------------------------------------------------

--
-- Структура таблицы `_stock`
--

CREATE TABLE IF NOT EXISTS `_stock` (
  `id` tinyint(3) unsigned NOT NULL,
  `type` enum('training_steps','training_limit','ampoule','weapon','cards','expr','bucks','metal','mutagen_purchase') NOT NULL,
  `text` varchar(75) NOT NULL,
  `link` varchar(100) DEFAULT NULL,
  `plus` tinyint(1) NOT NULL DEFAULT '1'
) ENGINE=MyISAM AUTO_INCREMENT=10 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_stock`
--

INSERT INTO `_stock` (`id`, `type`, `text`, `link`, `plus`) VALUES
(1, 'training_steps', 'Скидка на шаги тренировки', 'training', 0),
(2, 'training_limit', 'Скидка на лимит тренировки', 'training', 0),
(3, 'ampoule', 'Скидка на ампулы', 'lab', 0),
(4, 'weapon', 'Скидка на улучшение оружия', 'weapon', 0),
(5, 'cards', 'Скидка на карточки', 'shop&d=cards', 0),
(6, 'expr', 'Бонус к опыту', NULL, 1),
(7, 'bucks', 'Бонус к баксам', NULL, 1),
(8, 'metal', 'Бонус к металлолому', NULL, 1),
(9, 'mutagen_purchase', 'Бонус от покупки мутагена', 'bank', 1);

-- --------------------------------------------------------

--
-- Структура таблицы `_sweeping_enemies`
--

CREATE TABLE IF NOT EXISTS `_sweeping_enemies` (
  `id` tinyint(3) unsigned NOT NULL,
  `name` varchar(20) NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_sweeping_enemies`
--

INSERT INTO `_sweeping_enemies` (`id`, `name`) VALUES
(1, 'Пиццалицый'),
(2, 'Нейтрализатор'),
(3, 'Крысиный Король'),
(4, 'Ксевер Монтес'),
(5, 'Мутант'),
(6, 'Босс Зукко'),
(7, 'Диртбаг'),
(8, 'Арон Даксум');

-- --------------------------------------------------------

--
-- Структура таблицы `_training_limits`
--

CREATE TABLE IF NOT EXISTS `_training_limits` (
  `id` tinyint(3) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `scope` tinyint(3) unsigned NOT NULL COMMENT 'лимит',
  `price_mutagen` smallint(5) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_training_limits`
--

INSERT INTO `_training_limits` (`id`, `level`, `scope`, `price_mutagen`) VALUES
(1, 0, 5, 4),
(2, 1, 10, 8),
(3, 2, 15, 14),
(4, 3, 20, 21),
(5, 4, 25, 30),
(6, 5, 30, 40),
(7, 6, 35, 52),
(8, 7, 40, 65),
(9, 8, 45, 79),
(10, 9, 50, 95),
(11, 10, 55, 112),
(12, 11, 60, 131),
(13, 12, 65, 151),
(14, 13, 70, 172),
(15, 14, 75, 194),
(16, 15, 80, 218),
(17, 16, 85, 243),
(18, 17, 90, 269),
(19, 18, 95, 296),
(20, 19, 100, 325),
(21, 20, 105, 355),
(22, 21, 110, 387),
(23, 22, 115, 419),
(24, 23, 120, 453),
(25, 24, 125, 488),
(26, 25, 130, 524),
(27, 26, 135, 562),
(28, 27, 140, 601),
(29, 28, 145, 641),
(30, 29, 150, 682),
(31, 30, 155, 724),
(32, 31, 160, 768),
(33, 32, 165, 812),
(34, 33, 170, 858),
(35, 34, 175, 906),
(36, 35, 180, 954),
(37, 36, 185, 1004),
(38, 37, 190, 1054),
(39, 38, 195, 1106),
(40, 39, 200, 1160),
(41, 40, 205, 1214),
(42, 41, 210, 1269),
(43, 42, 215, 1326),
(44, 43, 220, 1384),
(45, 44, 225, 1443),
(46, 45, 230, 1503),
(47, 46, 235, 1564),
(48, 47, 240, 1627),
(49, 48, 245, 1691),
(50, 49, 250, 1755),
(51, 50, 255, 1821);

-- --------------------------------------------------------

--
-- Структура таблицы `_training_steps`
--

CREATE TABLE IF NOT EXISTS `_training_steps` (
  `id` smallint(5) unsigned NOT NULL,
  `step` tinyint(3) unsigned NOT NULL,
  `price_bucks` mediumint(8) unsigned NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=257 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_training_steps`
--

INSERT INTO `_training_steps` (`id`, `step`, `price_bucks`) VALUES
(1, 0, 609),
(2, 1, 733),
(3, 2, 871),
(4, 3, 1024),
(5, 4, 1192),
(6, 5, 1375),
(7, 6, 1574),
(8, 7, 1789),
(9, 8, 2021),
(10, 9, 2270),
(11, 10, 2537),
(12, 11, 2822),
(13, 12, 3125),
(14, 13, 3447),
(15, 14, 3788),
(16, 15, 4149),
(17, 16, 4529),
(18, 17, 4930),
(19, 18, 5351),
(20, 19, 5793),
(21, 20, 6256),
(22, 21, 6741),
(23, 22, 7247),
(24, 23, 7776),
(25, 24, 8327),
(26, 25, 8901),
(27, 26, 9499),
(28, 27, 10119),
(29, 28, 10764),
(30, 29, 11432),
(31, 30, 12125),
(32, 31, 12842),
(33, 32, 13584),
(34, 33, 14351),
(35, 34, 15144),
(36, 35, 15963),
(37, 36, 16807),
(38, 37, 17678),
(39, 38, 18575),
(40, 39, 19499),
(41, 40, 20450),
(42, 41, 21428),
(43, 42, 22434),
(44, 43, 23468),
(45, 44, 24529),
(46, 45, 25619),
(47, 46, 26738),
(48, 47, 27885),
(49, 48, 29062),
(50, 49, 30268),
(51, 50, 31503),
(52, 51, 32768),
(53, 52, 34063),
(54, 53, 35388),
(55, 54, 36744),
(56, 55, 38130),
(57, 56, 39548),
(58, 57, 40996),
(59, 58, 42476),
(60, 59, 43988),
(61, 60, 45531),
(62, 61, 47106),
(63, 62, 48714),
(64, 63, 50354),
(65, 64, 52027),
(66, 65, 53732),
(67, 66, 55471),
(68, 67, 57243),
(69, 68, 59049),
(70, 69, 60888),
(71, 70, 62762),
(72, 71, 64669),
(73, 72, 66611),
(74, 73, 68588),
(75, 74, 70599),
(76, 75, 72645),
(77, 76, 74727),
(78, 77, 76843),
(79, 78, 78996),
(80, 79, 81184),
(81, 80, 83408),
(82, 81, 85668),
(83, 82, 87965),
(84, 83, 90298),
(85, 84, 92668),
(86, 85, 95075),
(87, 86, 97519),
(88, 87, 100000),
(89, 88, 102519),
(90, 89, 105075),
(91, 90, 107670),
(92, 91, 110302),
(93, 92, 112973),
(94, 93, 115682),
(95, 94, 118429),
(96, 95, 121216),
(97, 96, 124041),
(98, 97, 126906),
(99, 98, 129810),
(100, 99, 132753),
(101, 100, 135736),
(102, 101, 138759),
(103, 102, 141822),
(104, 103, 144926),
(105, 104, 148069),
(106, 105, 151253),
(107, 106, 154478),
(108, 107, 157744),
(109, 108, 161051),
(110, 109, 164399),
(111, 110, 167789),
(112, 111, 171220),
(113, 112, 174693),
(114, 113, 178208),
(115, 114, 181765),
(116, 115, 185364),
(117, 116, 189005),
(118, 117, 192690),
(119, 118, 196417),
(120, 119, 200187),
(121, 120, 203999),
(122, 121, 207856),
(123, 122, 211755),
(124, 123, 215699),
(125, 124, 219686),
(126, 125, 223716),
(127, 126, 227791),
(128, 127, 231910),
(129, 128, 236074),
(130, 129, 240282),
(131, 130, 244534),
(132, 131, 248832),
(133, 132, 253175),
(134, 133, 257562),
(135, 134, 261995),
(136, 135, 266474),
(137, 136, 270998),
(138, 137, 275568),
(139, 138, 280183),
(140, 139, 284845),
(141, 140, 289553),
(142, 141, 294308),
(143, 142, 299109),
(144, 143, 303957),
(145, 144, 308851),
(146, 145, 313793),
(147, 146, 318781),
(148, 147, 323817),
(149, 148, 328901),
(150, 149, 334032),
(151, 150, 339210),
(152, 151, 344437),
(153, 152, 349711),
(154, 153, 355034),
(155, 154, 360405),
(156, 155, 365825),
(157, 156, 371293),
(158, 157, 376810),
(159, 158, 382376),
(160, 159, 387991),
(161, 160, 393655),
(162, 161, 399368),
(163, 162, 405131),
(164, 163, 410943),
(165, 164, 416805),
(166, 165, 422717),
(167, 166, 428679),
(168, 167, 434692),
(169, 168, 440754),
(170, 169, 446867),
(171, 170, 453031),
(172, 171, 459245),
(173, 172, 465510),
(174, 173, 471827),
(175, 174, 478194),
(176, 175, 484613),
(177, 176, 491083),
(178, 177, 497604),
(179, 178, 504177),
(180, 179, 510803),
(181, 180, 517480),
(182, 181, 524209),
(183, 182, 530990),
(184, 183, 537824),
(185, 184, 544710),
(186, 185, 551649),
(187, 186, 558641),
(188, 187, 565685),
(189, 188, 572783),
(190, 189, 579934),
(191, 190, 587138),
(192, 191, 594395),
(193, 192, 601706),
(194, 193, 609071),
(195, 194, 616490),
(196, 195, 623962),
(197, 196, 631489),
(198, 197, 639070),
(199, 198, 646705),
(200, 199, 654395),
(201, 200, 662139),
(202, 201, 669938),
(203, 202, 677792),
(204, 203, 685700),
(205, 204, 693664),
(206, 205, 701683),
(207, 206, 709758),
(208, 207, 717888),
(209, 208, 726074),
(210, 209, 734315),
(211, 210, 742612),
(212, 211, 750966),
(213, 212, 759375),
(214, 213, 767841),
(215, 214, 776363),
(216, 215, 784941),
(217, 216, 793576),
(218, 217, 802268),
(219, 218, 811017),
(220, 219, 819823),
(221, 220, 828686),
(222, 221, 837606),
(223, 222, 846583),
(224, 223, 855618),
(225, 224, 864711),
(226, 225, 873861),
(227, 226, 883069),
(228, 227, 892335),
(229, 228, 901660),
(230, 229, 911042),
(231, 230, 920483),
(232, 231, 929982),
(233, 232, 939540),
(234, 233, 949156),
(235, 234, 958832),
(236, 235, 968566),
(237, 236, 978359),
(238, 237, 988212),
(239, 238, 998124),
(240, 239, 1008095),
(241, 240, 1018125),
(242, 241, 1028216),
(243, 242, 1038366),
(244, 243, 1048576),
(245, 244, 1058846),
(246, 245, 1069176),
(247, 246, 1079567),
(248, 247, 1090017),
(249, 248, 1100528),
(250, 249, 1111100),
(251, 250, 1121733),
(252, 251, 1132426),
(253, 252, 1143180),
(254, 253, 1153995),
(255, 254, 1164872),
(256, 255, 0);

-- --------------------------------------------------------

--
-- Структура таблицы `_weapon`
--

CREATE TABLE IF NOT EXISTS `_weapon` (
  `id` tinyint(3) unsigned NOT NULL,
  `level` tinyint(3) unsigned NOT NULL,
  `price_mutagen` smallint(5) unsigned NOT NULL DEFAULT '0',
  `bonus_param` smallint(5) unsigned NOT NULL DEFAULT '0',
  `bonus_fighting_score` smallint(5) unsigned NOT NULL DEFAULT '0',
  `bonus_combat_expr` tinyint(3) unsigned NOT NULL DEFAULT '0'
) ENGINE=MyISAM AUTO_INCREMENT=52 DEFAULT CHARSET=utf8;

--
-- Дамп данных таблицы `_weapon`
--

INSERT INTO `_weapon` (`id`, `level`, `price_mutagen`, `bonus_param`, `bonus_fighting_score`, `bonus_combat_expr`) VALUES
(1, 0, 7, 0, 0, 0),
(2, 1, 14, 5, 8, 1),
(3, 2, 22, 11, 18, 2),
(4, 3, 29, 18, 30, 3),
(5, 4, 38, 26, 44, 4),
(6, 5, 48, 35, 60, 5),
(7, 6, 58, 45, 78, 6),
(8, 7, 70, 56, 98, 7),
(9, 8, 83, 68, 120, 8),
(10, 9, 99, 81, 144, 9),
(11, 10, 116, 95, 170, 10),
(12, 11, 168, 110, 198, 11),
(13, 12, 195, 126, 228, 12),
(14, 13, 225, 143, 260, 13),
(15, 14, 258, 161, 294, 14),
(16, 15, 295, 180, 330, 15),
(17, 16, 336, 200, 368, 16),
(18, 17, 381, 221, 408, 17),
(19, 18, 430, 243, 450, 18),
(20, 19, 484, 266, 494, 19),
(21, 20, 543, 290, 540, 20),
(22, 21, 728, 315, 588, 21),
(23, 22, 811, 341, 638, 22),
(24, 23, 901, 368, 690, 23),
(25, 24, 998, 396, 744, 24),
(26, 25, 1102, 425, 800, 25),
(27, 26, 1214, 455, 858, 26),
(28, 27, 1334, 486, 918, 27),
(29, 28, 1462, 518, 980, 28),
(30, 29, 1598, 551, 1044, 29),
(31, 30, 1744, 585, 1110, 30),
(32, 31, 2531, 620, 1178, 31),
(33, 32, 2750, 656, 1248, 32),
(34, 33, 2982, 693, 1320, 33),
(35, 34, 3227, 731, 1394, 34),
(36, 35, 3486, 770, 1470, 35),
(37, 36, 3759, 810, 1548, 36),
(38, 37, 4047, 851, 1628, 37),
(39, 38, 4350, 893, 1710, 38),
(40, 39, 4668, 936, 1794, 39),
(41, 40, 5000, 980, 1880, 40),
(42, 41, 5250, 1025, 1968, 41),
(43, 42, 5500, 1071, 2058, 42),
(44, 43, 5750, 1118, 2150, 43),
(45, 44, 6000, 1166, 2244, 44),
(46, 45, 6250, 1215, 2340, 45),
(47, 46, 6500, 1265, 2438, 46),
(48, 47, 6750, 1316, 2538, 47),
(49, 48, 7000, 1368, 2640, 48),
(50, 49, 7250, 1421, 2744, 49),
(51, 50, 0, 1475, 2850, 50);

--
-- Индексы сохранённых таблиц
--

--
-- Индексы таблицы `admin_panel_users_remember`
--
ALTER TABLE `admin_panel_users_remember`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `chat`
--
ALTER TABLE `chat`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `chat_clan`
--
ALTER TABLE `chat_clan`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `cl1`
--
ALTER TABLE `cl1`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `cl1_clan`
--
ALTER TABLE `cl1_clan`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `cl1_part`
--
ALTER TABLE `cl1_part`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `cl1_users`
--
ALTER TABLE `cl1_users`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan`
--
ALTER TABLE `clan`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan_app`
--
ALTER TABLE `clan_app`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan_building`
--
ALTER TABLE `clan_building`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan_invite`
--
ALTER TABLE `clan_invite`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan_journal`
--
ALTER TABLE `clan_journal`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `clan_part`
--
ALTER TABLE `clan_part`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `compensation`
--
ALTER TABLE `compensation`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml1_part`
--
ALTER TABLE `ml1_part`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml1_pending`
--
ALTER TABLE `ml1_pending`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml1_reward`
--
ALTER TABLE `ml1_reward`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml1_statistic`
--
ALTER TABLE `ml1_statistic`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_commands`
--
ALTER TABLE `ml2_commands`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_commands_chat`
--
ALTER TABLE `ml2_commands_chat`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_invite`
--
ALTER TABLE `ml2_invite`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_locations`
--
ALTER TABLE `ml2_locations`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_part`
--
ALTER TABLE `ml2_part`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_rewards`
--
ALTER TABLE `ml2_rewards`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `ml2_statistic`
--
ALTER TABLE `ml2_statistic`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `news`
--
ALTER TABLE `news`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `news_comments`
--
ALTER TABLE `news_comments`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `robbery`
--
ALTER TABLE `robbery`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `robbery_part`
--
ALTER TABLE `robbery_part`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `shop_cards`
--
ALTER TABLE `shop_cards`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `stock_acting`
--
ALTER TABLE `stock_acting`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `support`
--
ALTER TABLE `support`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `support_comments`
--
ALTER TABLE `support_comments`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `support_notice`
--
ALTER TABLE `support_notice`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users`
--
ALTER TABLE `users`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_advent`
--
ALTER TABLE `users_advent`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_ban`
--
ALTER TABLE `users_ban`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_battle`
--
ALTER TABLE `users_battle`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_bonuses`
--
ALTER TABLE `users_bonuses`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_cards`
--
ALTER TABLE `users_cards`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_combat`
--
ALTER TABLE `users_combat`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_donat`
--
ALTER TABLE `users_donat`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_dump`
--
ALTER TABLE `users_dump`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_dyn`
--
ALTER TABLE `users_dyn`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_journal`
--
ALTER TABLE `users_journal`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_lab`
--
ALTER TABLE `users_lab`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_log_battle`
--
ALTER TABLE `users_log_battle`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_mail`
--
ALTER TABLE `users_mail`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_notf`
--
ALTER TABLE `users_notf`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_online`
--
ALTER TABLE `users_online`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_premium`
--
ALTER TABLE `users_premium`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_robbery`
--
ALTER TABLE `users_robbery`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_scramble_detal`
--
ALTER TABLE `users_scramble_detal`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_scramble_enemies`
--
ALTER TABLE `users_scramble_enemies`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_statistic`
--
ALTER TABLE `users_statistic`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_sweeping`
--
ALTER TABLE `users_sweeping`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_training`
--
ALTER TABLE `users_training`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `users_weapon`
--
ALTER TABLE `users_weapon`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_advent_enemies`
--
ALTER TABLE `_advent_enemies`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_ampoule`
--
ALTER TABLE `_ampoule`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_bonuses`
--
ALTER TABLE `_bonuses`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_cards`
--
ALTER TABLE `_cards`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_clan_buildings_levels`
--
ALTER TABLE `_clan_buildings_levels`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_levels_clan`
--
ALTER TABLE `_levels_clan`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_levels_lab`
--
ALTER TABLE `_levels_lab`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_levels_scramble_combat`
--
ALTER TABLE `_levels_scramble_combat`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_levels_user`
--
ALTER TABLE `_levels_user`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_log_battle`
--
ALTER TABLE `_log_battle`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_premium`
--
ALTER TABLE `_premium`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_robbery_reward_etaps`
--
ALTER TABLE `_robbery_reward_etaps`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_sewerage`
--
ALTER TABLE `_sewerage`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_sewerage_enemies`
--
ALTER TABLE `_sewerage_enemies`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_shop_resources_lot`
--
ALTER TABLE `_shop_resources_lot`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_stock`
--
ALTER TABLE `_stock`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_sweeping_enemies`
--
ALTER TABLE `_sweeping_enemies`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_training_limits`
--
ALTER TABLE `_training_limits`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_training_steps`
--
ALTER TABLE `_training_steps`
  ADD UNIQUE KEY `id` (`id`);

--
-- Индексы таблицы `_weapon`
--
ALTER TABLE `_weapon`
  ADD UNIQUE KEY `id` (`id`);

--
-- AUTO_INCREMENT для сохранённых таблиц
--

--
-- AUTO_INCREMENT для таблицы `admin_panel_users_remember`
--
ALTER TABLE `admin_panel_users_remember`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `chat`
--
ALTER TABLE `chat`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `chat_clan`
--
ALTER TABLE `chat_clan`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `cl1`
--
ALTER TABLE `cl1`
  MODIFY `id` int(10) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `cl1_clan`
--
ALTER TABLE `cl1_clan`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `cl1_part`
--
ALTER TABLE `cl1_part`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `cl1_users`
--
ALTER TABLE `cl1_users`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan`
--
ALTER TABLE `clan`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_app`
--
ALTER TABLE `clan_app`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_building`
--
ALTER TABLE `clan_building`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_invite`
--
ALTER TABLE `clan_invite`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_journal`
--
ALTER TABLE `clan_journal`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `clan_part`
--
ALTER TABLE `clan_part`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `compensation`
--
ALTER TABLE `compensation`
  MODIFY `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml1_part`
--
ALTER TABLE `ml1_part`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml1_pending`
--
ALTER TABLE `ml1_pending`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=18;
--
-- AUTO_INCREMENT для таблицы `ml1_reward`
--
ALTER TABLE `ml1_reward`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml1_statistic`
--
ALTER TABLE `ml1_statistic`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_commands`
--
ALTER TABLE `ml2_commands`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_commands_chat`
--
ALTER TABLE `ml2_commands_chat`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=32;
--
-- AUTO_INCREMENT для таблицы `ml2_invite`
--
ALTER TABLE `ml2_invite`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_locations`
--
ALTER TABLE `ml2_locations`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_part`
--
ALTER TABLE `ml2_part`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_rewards`
--
ALTER TABLE `ml2_rewards`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `ml2_statistic`
--
ALTER TABLE `ml2_statistic`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news`
--
ALTER TABLE `news`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `news_comments`
--
ALTER TABLE `news_comments`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `robbery`
--
ALTER TABLE `robbery`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=2;
--
-- AUTO_INCREMENT для таблицы `robbery_part`
--
ALTER TABLE `robbery_part`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `shop_cards`
--
ALTER TABLE `shop_cards`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `stock_acting`
--
ALTER TABLE `stock_acting`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `support`
--
ALTER TABLE `support`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `support_comments`
--
ALTER TABLE `support_comments`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `support_notice`
--
ALTER TABLE `support_notice`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users`
--
ALTER TABLE `users`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_advent`
--
ALTER TABLE `users_advent`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_ban`
--
ALTER TABLE `users_ban`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_battle`
--
ALTER TABLE `users_battle`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_bonuses`
--
ALTER TABLE `users_bonuses`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_cards`
--
ALTER TABLE `users_cards`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_combat`
--
ALTER TABLE `users_combat`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_donat`
--
ALTER TABLE `users_donat`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_dump`
--
ALTER TABLE `users_dump`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_dyn`
--
ALTER TABLE `users_dyn`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_journal`
--
ALTER TABLE `users_journal`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_lab`
--
ALTER TABLE `users_lab`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_log_battle`
--
ALTER TABLE `users_log_battle`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_mail`
--
ALTER TABLE `users_mail`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_notf`
--
ALTER TABLE `users_notf`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_online`
--
ALTER TABLE `users_online`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_premium`
--
ALTER TABLE `users_premium`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_robbery`
--
ALTER TABLE `users_robbery`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_scramble_detal`
--
ALTER TABLE `users_scramble_detal`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_scramble_enemies`
--
ALTER TABLE `users_scramble_enemies`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_statistic`
--
ALTER TABLE `users_statistic`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_sweeping`
--
ALTER TABLE `users_sweeping`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_training`
--
ALTER TABLE `users_training`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `users_weapon`
--
ALTER TABLE `users_weapon`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT;
--
-- AUTO_INCREMENT для таблицы `_advent_enemies`
--
ALTER TABLE `_advent_enemies`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=25;
--
-- AUTO_INCREMENT для таблицы `_ampoule`
--
ALTER TABLE `_ampoule`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=205;
--
-- AUTO_INCREMENT для таблицы `_bonuses`
--
ALTER TABLE `_bonuses`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=304;
--
-- AUTO_INCREMENT для таблицы `_cards`
--
ALTER TABLE `_cards`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=33;
--
-- AUTO_INCREMENT для таблицы `_clan_buildings_levels`
--
ALTER TABLE `_clan_buildings_levels`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=256;
--
-- AUTO_INCREMENT для таблицы `_levels_clan`
--
ALTER TABLE `_levels_clan`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=51;
--
-- AUTO_INCREMENT для таблицы `_levels_lab`
--
ALTER TABLE `_levels_lab`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=31;
--
-- AUTO_INCREMENT для таблицы `_levels_scramble_combat`
--
ALTER TABLE `_levels_scramble_combat`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT для таблицы `_levels_user`
--
ALTER TABLE `_levels_user`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=51;
--
-- AUTO_INCREMENT для таблицы `_log_battle`
--
ALTER TABLE `_log_battle`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT для таблицы `_premium`
--
ALTER TABLE `_premium`
  MODIFY `id` tinyint(2) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=7;
--
-- AUTO_INCREMENT для таблицы `_robbery_reward_etaps`
--
ALTER TABLE `_robbery_reward_etaps`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=26;
--
-- AUTO_INCREMENT для таблицы `_sewerage`
--
ALTER TABLE `_sewerage`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=8;
--
-- AUTO_INCREMENT для таблицы `_sewerage_enemies`
--
ALTER TABLE `_sewerage_enemies`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=21;
--
-- AUTO_INCREMENT для таблицы `_shop_resources_lot`
--
ALTER TABLE `_shop_resources_lot`
  MODIFY `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=16;
--
-- AUTO_INCREMENT для таблицы `_stock`
--
ALTER TABLE `_stock`
  MODIFY `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=10;
--
-- AUTO_INCREMENT для таблицы `_sweeping_enemies`
--
ALTER TABLE `_sweeping_enemies`
  MODIFY `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=9;
--
-- AUTO_INCREMENT для таблицы `_training_limits`
--
ALTER TABLE `_training_limits`
  MODIFY `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=52;
--
-- AUTO_INCREMENT для таблицы `_training_steps`
--
ALTER TABLE `_training_steps`
  MODIFY `id` smallint(5) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=257;
--
-- AUTO_INCREMENT для таблицы `_weapon`
--
ALTER TABLE `_weapon`
  MODIFY `id` tinyint(3) unsigned NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=52;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
